SPOOL 01_TableScript.log
--
col x new_val tableX
col x1 new_val fileX

DEFINE text='TABLE APPID IS EMPTY ... '

SELECT DECODE(COUNT(*), 0, 'DUAL', 'HB24.APPID') AS x
FROM ALL_TABLES
WHERE TABLE_NAME = 'APPID'
  AND OWNER = 'HB24';

SELECT DECODE('&&tableX', 'DUAL',
              'noexit.sql',
              DECODE(COUNT(*), 0, 'noexit.sql', 'exit.sql'))
       AS x1
  FROM &&tableX;

@&&fileX
--
ACCEPT index_tablespace DEFAULT INDX PROMPT 'Zadejte nazev TABLESPACE pro INDEXy [nic = INDX]:'
PROMPT
ACCEPT table_tablespace DEFAULT USERS PROMPT 'Zadejte nazev TABLESPACE pro tabulky [nic = USERS]:'
PROMPT
PROMPT Zadejte cestu pro nove TABLESPACE (napr. C:\ORACLE\ORA92\DATABASE\)
ACCEPT tablespace_path PROMPT '[nic = dle ORACLE nebo TABLESPACE existuji]:'
PROMPT
PROMPT Creating TABLESPACE &&index_tablespace for indexes
DECLARE
  countX NUMBER;
BEGIN
  SELECT COUNT(*)
    INTO countX
    FROM user_tablespaces
   WHERE UPPER(tablespace_name) = upper('&&index_tablespace');
  --
  IF countX = 0
  THEN
    EXECUTE IMMEDIATE
      'CREATE TABLESPACE &&index_tablespace DATAFILE ''&&tablespace_path&&index_tablespace'||'01.DBF'' SIZE 20M AUTOEXTEND ON NEXT 1280K MAXSIZE UNLIMITED ' ||
      'LOGGING ONLINE PERMANENT EXTENT MANAGEMENT LOCAL AUTOALLOCATE SEGMENT SPACE MANAGEMENT AUTO';
  END IF;
END;
/

PROMPT Creating TABLESPACE &&table_tablespace for tables
DECLARE
  countX NUMBER;
BEGIN
  SELECT COUNT(*)
    INTO countX
    FROM user_tablespaces
   WHERE UPPER(tablespace_name) = '&&table_tablespace';
  --
  IF countX = 0
  THEN
    EXECUTE IMMEDIATE
      'CREATE TABLESPACE &&table_tablespace DATAFILE ''&&tablespace_path&&table_tablespace'||'01.DBF'' SIZE 20M AUTOEXTEND ON NEXT 1280K MAXSIZE UNLIMITED ' ||
      'LOGGING ONLINE PERMANENT EXTENT MANAGEMENT LOCAL AUTOALLOCATE SEGMENT SPACE MANAGEMENT AUTO';
  END IF;
END;
/

CREATE USER "HB24" IDENTIFIED BY "ADMINADMIN"
 DEFAULT TABLESPACE &&table_tablespace
 TEMPORARY TABLESPACE TEMP
 QUOTA  UNLIMITED  ON &&table_tablespace;

GRANT "CONNECT" TO "HB24" with ADMIN option;
ALTER USER "HB24" DEFAULT ROLE CONNECT;

GRANT "RESOURCE" TO "HB24" with ADMIN option;
ALTER USER "HB24" DEFAULT ROLE RESOURCE;

ALTER TABLE HB24.CISELNIKY DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.CISELNIKY CASCADE CONSTRAINTS;

CREATE TABLE HB24.CISELNIKY
(
  ID_CISELNIKY   NUMBER(10)                     NOT NULL,
  KOD_CISELNIKU  NUMBER(10)                     NOT NULL,
  KOD            VARCHAR2(15)              NOT NULL,
  KRATKY_TXT     VARCHAR2(15)              NOT NULL,
  DLOUHY_TXT1    VARCHAR2(40)              NOT NULL,
  DLOUHY_TXT2    VARCHAR2(40)                  NULL,
  STATUS         CHAR(1)                   NOT NULL,
  ID_STAT        NUMBER(10)                         NULL,
  DATUM_SYNC     DATE                               NULL,
  DATUM_1        DATE                               NULL,
  ID_OPERATOR_1  NUMBER(10)                         NULL,
  DATUM_Z        DATE                               NULL,
  ID_OPERATOR_Z  NUMBER(10)                         NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.CISELNIKY_POP DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.CISELNIKY_POP CASCADE CONSTRAINTS;

CREATE TABLE HB24.CISELNIKY_POP
(
  ID_CISELNIKY_POP  NUMBER(10)                  NOT NULL,
  ID_CISELNIKY      NUMBER(10)                  NOT NULL,
  KOD               VARCHAR2(15)           NOT NULL,
  KRATKY_TXT        VARCHAR2(15)           NOT NULL,
  DLOUHY_TXT1       VARCHAR2(40)           NOT NULL,
  DLOUHY_TXT2       VARCHAR2(40)               NULL,
  ID_JAZYK          NUMBER(10)                  NOT NULL,
  DATUM_SYNC        DATE                            NULL,
  DATUM_1           DATE                            NULL,
  ID_OPERATOR_1     NUMBER(10)                      NULL,
  DATUM_Z           DATE                            NULL,
  ID_OPERATOR_Z     NUMBER(10)                      NULL,
  ZOBRAZIT          CHAR(1)                DEFAULT 8                         NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.EXP_AVIZO_TPS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.EXP_AVIZO_TPS CASCADE CONSTRAINTS;

CREATE TABLE HB24.EXP_AVIZO_TPS
(
  ID_EXP_AVIZO_TPS    NUMBER(10)                NOT NULL,
  ID_IMP_DAVKA        NUMBER(10)                NOT NULL,
  CISLO_UCTU          NUMBER(17)                NOT NULL,
  TYP_AVIZA           CHAR(3)              NOT NULL,
  TYP_VETY            CHAR(15)                 NULL,
  TRACE_ID            CHAR(40)             NOT NULL,
  DATUM_ZAUCT         DATE                          NULL,
  DATUM_SPLAT         DATE                          NULL,
  DATUM_ODUCT         DATE                          NULL,
  CISLO_TRANSAKCE     NUMBER(10)                    NULL,
  CASTKA              NUMBER(15,2)              NOT NULL,
  ZUSTATEK            NUMBER(15,2)                  NULL,
  KS                  NUMBER(16)                NOT NULL,
  VS                  NUMBER(16)                    NULL,
  SS                  NUMBER(16)                    NULL,
  KOD_BANKA_PROTIUCT  CHAR(15)                 NULL,
  CISLO_PROTIUCTU     NUMBER(17)                    NULL,
  NAZEV_PROTISTRANY   CHAR(40)                 NULL,
  VS_PLATCE           NUMBER(16)                    NULL,
  SS_PLATCE           NUMBER(16)                    NULL,
  ZPRAVA_PRIJEMCI1    CHAR(40)                 NULL,
  ZPRAVA_PRIJEMCI2    CHAR(40)                 NULL,
  ZPRAVA_PRIJEMCI3    CHAR(40)                 NULL,
  ZPRAVA_PRIJEMCI4    CHAR(40)                 NULL,
  ZPRAVA_PLATCI1      CHAR(40)                 NULL,
  ZPRAVA_PLATCI2      CHAR(40)                 NULL,
  ZPRAVA_PLATCI3      CHAR(40)                 NULL,
  ZPRAVA_PLATCI4      CHAR(40)                 NULL,
  REF_BANKA           CHAR(40)                 NULL,
  POPIS_POLOZKY       CHAR(40)                 NULL,
  CISLO_SOUPISKY      NUMBER(10)                    NULL,
  VAHA                NUMBER(10)                    NULL,
  POZNAMKA            VARCHAR2(255)            NULL,
  STATUS              CHAR(1)              NOT NULL,
  STATUS_AKTUALNI     CHAR(1)                  NULL,
  ID_AVIZO_TPS        NUMBER(10)                    NULL,
  ZUSTATEK_DISP       NUMBER(15,2)                  NULL,
  MENA                CHAR(3)                       NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.EXP_AVIZO_ZPS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.EXP_AVIZO_ZPS CASCADE CONSTRAINTS;

CREATE TABLE HB24.EXP_AVIZO_ZPS
(
  ID_EXP_AVIZO_ZPS    NUMBER(10)                NOT NULL,
  ID_IMP_DAVKA        NUMBER(10)                NOT NULL,
  CISLO_UCTU          NUMBER(17)                NOT NULL,
  TYP_AVIZA           CHAR(3)              NOT NULL,
  TRACE_ID            CHAR(40)                 NULL,
  REF_BANKA           CHAR(40)                 NULL,
  REF_KLIENT          CHAR(40)                 NULL,
  ADR_KLIENTA1        CHAR(40)                 NULL,
  ADR_KLIENTA2        CHAR(40)                 NULL,
  ADR_KLIENTA3        CHAR(40)                 NULL,
  ADR_KLIENTA4        CHAR(40)                 NULL,
  CISLO_PROTIUCTU     CHAR(40)                 NULL,
  KOD_BANKA_PROTIUCT  CHAR(40)                 NULL,
  ADR_BANKA_PROTIUC1  CHAR(40)                 NULL,
  ADR_BANKA_PROTIUC2  CHAR(40)                 NULL,
  ADR_BANKA_PROTIUC3  CHAR(40)                 NULL,
  ADR_BANKA_PROTIUC4  CHAR(40)                 NULL,
  ADR_PROTISTRANY1    CHAR(40)                 NULL,
  ADR_PROTISTRANY2    CHAR(40)                 NULL,
  ADR_PROTISTRANY3    CHAR(40)                 NULL,
  ADR_PROTISTRANY4    CHAR(40)                 NULL,
  PLATEBNI_TITUL      CHAR(40)                 NULL,
  UCEL_PLATBY1        CHAR(40)                 NULL,
  UCEL_PLATBY2        CHAR(40)                 NULL,
  UCEL_PLATBY3        CHAR(40)                 NULL,
  UCEL_PLATBY4        CHAR(40)                 NULL,
  CASTKA_MENA         NUMBER(15,2)              NOT NULL,
  CASTKA              NUMBER(15,2)              NOT NULL,
  ZUSTATEK            NUMBER(15,2)                  NULL,
  VAHA                CHAR(3)              NOT NULL,
  MENA_PLATBY         CHAR(3)              NOT NULL,
  KURZ                NUMBER(16,8)              NOT NULL,
  DATUM_SPLAT         DATE                          NULL,
  DATUM_ZPRACOVANI    DATE                          NULL,
  DATUM_SPLAT_ORIG    DATE                          NULL,
  UHRADA_VYLOH        CHAR(40)                 NULL,
  CASTKA_VYL_TUZ      NUMBER(15,2)                  NULL,
  MENA_VYL_TUZ        CHAR(3)                  NULL,
  CASTKA_VYL_ZAHR     NUMBER(15,2)                  NULL,
  MENA_VYL_ZAHR       CHAR(3)                  NULL,
  CASTKA_VYL_OST      NUMBER(15,2)                  NULL,
  MENA_VYL_OST        CHAR(3)                  NULL,
  ZPRAVA_PRIJEMCI1    CHAR(40)                 NULL,
  ZPRAVA_PRIJEMCI2    CHAR(40)                 NULL,
  ZPRAVA_PRIJEMCI3    CHAR(40)                 NULL,
  ZPRAVA_PRIJEMCI4    CHAR(40)                 NULL,
  ZPRAVA_PRIJEMCI5    CHAR(40)                 NULL,
  STATUS              CHAR(1)              NOT NULL,
  STATUS_AKTUALNI     CHAR(1)                  NULL,
  ID_AVIZO_ZPS        NUMBER(10)                    NULL,
  MENA_UCTU           CHAR(3)                       NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.EXP_KURZY DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.EXP_KURZY CASCADE CONSTRAINTS;

CREATE TABLE HB24.EXP_KURZY
(
  ID_EXP_KURZY  NUMBER(10)                      NOT NULL,
  ID_IMP_DAVKA  NUMBER(10)                      NOT NULL,
  MENA          CHAR(3)                    NOT NULL,
  DATUM         DATE                            NOT NULL,
  TYP_KURZU     CHAR(15)                   NOT NULL,
  FX_NAKUP      NUMBER(16,8)                        NULL,
  FX_PRODEJ     NUMBER(16,8)                        NULL,
  FX_STRED      NUMBER(16,8)                        NULL,
  PX_NAKUP      NUMBER(16,8)                        NULL,
  PX_PRODEJ     NUMBER(16,8)                        NULL,
  PX_STRED      NUMBER(16,8)                        NULL,
  NOMINAL       NUMBER(10)                      NOT NULL,
  ID_KURZY      NUMBER(10)                          NULL,
  MV_MENA       CHAR(3)                         NOT NULL,
  NOTACE        CHAR(1)                         NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.EXP_VYPIS_UR_SAZBA DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.EXP_VYPIS_UR_SAZBA CASCADE CONSTRAINTS;

CREATE TABLE HB24.EXP_VYPIS_UR_SAZBA
(
  EXP_VYPIS_UR_SAZBA  NUMBER(10)                NOT NULL,
  ID_EXP_VYPIS        NUMBER(10)                NOT NULL,
  UR_SAZBA            NUMBER(12,8)              NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.HROMADNY_TPS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.HROMADNY_TPS CASCADE CONSTRAINTS;

CREATE TABLE HB24.HROMADNY_TPS
(
  ID_HROMADNY_TPS  NUMBER(10)                   NOT NULL,
  POCET_TPS        NUMBER(10)                       NULL,
  SUMA_TPS         NUMBER(15,2)                     NULL,
  ID_MENA          NUMBER(20)                   NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.IMP_DAVKA DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.IMP_DAVKA CASCADE CONSTRAINTS;

CREATE TABLE HB24.IMP_DAVKA
(
  ID_IMP_DAVKA    NUMBER(10)                    NOT NULL,
  SMER            CHAR(1)                  NOT NULL,
  NAZEV_SOUBORU   VARCHAR2(255)            NOT NULL,
  TYP_FORMATU     CHAR(15)                 NOT NULL,
  ODDELOVAC       CHAR(4)                      NULL,
  DATUM_ZALOZENI  DATE                          NOT NULL,
  DATUM_AKCE      DATE                              NULL,
  STATUS          CHAR(1)                  NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.IMP_DAVKA_CHYBY DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.IMP_DAVKA_CHYBY CASCADE CONSTRAINTS;

CREATE TABLE HB24.IMP_DAVKA_CHYBY
(
  ID_IMP_DAVKA_CHYBY  NUMBER(10)                NOT NULL,
  ID_IMP_DAVKA        NUMBER(10)                NOT NULL,
  ID_CHYBA            NUMBER(10)                NOT NULL,
  RADEK               NUMBER(10)                    NULL,
  SLOUPEC             NUMBER(10)                    NULL,
  DATUM_1             DATE                      NOT NULL,
  POZNAMKA            CHAR(255)                NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.IMP_PRIKAZ_TPS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.IMP_PRIKAZ_TPS CASCADE CONSTRAINTS;

CREATE TABLE HB24.IMP_PRIKAZ_TPS
(
  ID_IMP_PRIKAZ_TPS   NUMBER(10)                NOT NULL,
  ID_IMP_DAVKA        NUMBER(10)                NOT NULL,
  TYP_PRIKAZU         CHAR(15)                 NULL,
  TYP_CC              CHAR(15)                 NULL,
  TYP_DORUCENI        CHAR(15)                 NULL,
  CISLO_UCTU          CHAR(16)                 NULL,
  DATUM_SPLAT         DATE                          NULL,
  CASTKA              NUMBER(15,2)                  NULL,
  CISLO_PROTIUCTU     VARCHAR2(17)             NULL,
  KOD_BANKA_PROTIUCT  CHAR(15)                 NULL,
  KS                  CHAR(16)                 NULL,
  VS                  NUMBER(10)                    NULL,
  VS_PLATCE           NUMBER(10)                    NULL,
  SS                  NUMBER(10)                    NULL,
  SS_PLATCE           NUMBER(10)                    NULL,
  ZPRAVA_PRIJEMCI1    CHAR(40)                 NULL,
  ZPRAVA_PRIJEMCI2    CHAR(40)                 NULL,
  ZPRAVA_PRIJEMCI3    CHAR(40)                 NULL,
  ZPRAVA_PRIJEMCI4    CHAR(40)                 NULL,
  ZPRAVA_PLATCI1      CHAR(40)                 NULL,
  ZPRAVA_PLATCI2      CHAR(40)                 NULL,
  ZPRAVA_PLATCI3      CHAR(40)                 NULL,
  ZPRAVA_PLATCI4      CHAR(40)                 NULL,
  RADKA               NUMBER(10)                    NULL,
  ID_PRIKAZ_TPS       NUMBER(10)                    NULL,
  MENA                CHAR(15)                      NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.IMP_PRIKAZ_ZPS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.IMP_PRIKAZ_ZPS CASCADE CONSTRAINTS;

CREATE TABLE HB24.IMP_PRIKAZ_ZPS
(
  ID_IMP_PRIKAZ_ZPS   NUMBER(10)                NOT NULL,
  ID_IMP_DAVKA        NUMBER(10)                NOT NULL,
  CISLO_UCTU          CHAR(16)                 NULL,
  TYP_CASTKY          CHAR(15)                 NULL,
  TYP_PLATBY          CHAR(15)                 NULL,
  REF_PLATCE          CHAR(40)                 NULL,
  DATUM_SPLAT         DATE                          NULL,
  CASTKA              NUMBER(15,2)                  NULL,
  CASTKA_FIX          NUMBER(15,2)                  NULL,
  MENA                CHAR(15)                 NULL,
  CISLO_PROTIUCTU     CHAR(40)                 NULL,
  NAZEV_PROTIUCTU     CHAR(40)                 NULL,
  SWIFT_KOD           CHAR(15)                 NULL,
  NS_KOD_BANKY        CHAR(35)                 NULL,
  NAZEV_BANKY         CHAR(40)                 NULL,
  ADR_BANKA_PROTIUC1  CHAR(40)                 NULL,
  ADR_BANKA_PROTIUC2  CHAR(40)                 NULL,
  ADR_BANKA_PROTIUC3  CHAR(40)                 NULL,
  ISO_BANKA_PRIJEMCE  CHAR(15)                 NULL,
  ADR_PROTISTRANY1    CHAR(40)                 NULL,
  ADR_PROTISTRANY2    CHAR(40)                 NULL,
  ADR_PROTISTRANY3    CHAR(40)                 NULL,
  ADR_PROTISTRANY4    CHAR(40)                 NULL,
  ISO_ZEM_PRIJEMCE    CHAR(15)                 NULL,
  PLATEBNI_TITUL      CHAR(15)                 NULL,
  UHRADA_VYLOH        CHAR(15)                 NULL,
  UCEL_PLATBY1        CHAR(40)                 NULL,
  UCEL_PLATBY2        CHAR(40)                 NULL,
  UCEL_PLATBY3        CHAR(40)                 NULL,
  UCEL_PLATBY4        CHAR(40)                 NULL,
  ZPRAVA_BANCE1       CHAR(40)                 NULL,
  ZPRAVA_BANCE2       CHAR(40)                 NULL,
  ZPRAVA_BANCE3       CHAR(40)                 NULL,
  ZPRAVA_BANCE4       CHAR(40)                 NULL,
  CISLO_UCTU_POPL     CHAR(16)                 NULL,
  KONTAKT_PLATCE      CHAR(40)                 NULL,
  RADKA               NUMBER(10)                    NULL,
  ID_PRIKAZ_ZPS       NUMBER(10)                    NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.IMP_PR_TPS_CHYBY DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.IMP_PR_TPS_CHYBY CASCADE CONSTRAINTS;

CREATE TABLE HB24.IMP_PR_TPS_CHYBY
(
  ID_IMP_PR_TPS_CHYBY  NUMBER(10)               NOT NULL,
  ID_IMP_PRIKAZ_TPS    NUMBER(10)               NOT NULL,
  ID_CHYBA             NUMBER(10)               NOT NULL,
  RADEK                NUMBER                       NULL,
  SLOUPEC              NUMBER                       NULL,
  DATUM_1              DATE                     NOT NULL,
  POZNAMKA             VARCHAR2(255)           NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.IMP_PR_ZPS_CHYBY DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.IMP_PR_ZPS_CHYBY CASCADE CONSTRAINTS;

CREATE TABLE HB24.IMP_PR_ZPS_CHYBY
(
  ID_IMP_PR_ZPS_CHYBY  NUMBER(10)               NOT NULL,
  ID_IMP_PRIKAZ_ZPS    NUMBER(10)               NOT NULL,
  ID_CHYBA             NUMBER(10)               NOT NULL,
  RADEK                NUMBER                       NULL,
  SLOUPEC              NUMBER                       NULL,
  DATUM_1              DATE                     NOT NULL,
  POZNAMKA             VARCHAR2(255)           NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.KALENDAR DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.KALENDAR CASCADE CONSTRAINTS;

CREATE TABLE HB24.KALENDAR
(
  ID_KALENDAR  NUMBER                           NOT NULL,
  ROK          NUMBER(4)                        NOT NULL,
  MESIC        NUMBER(2)                        NOT NULL,
  DNY_BANK_NE  VARCHAR2(31)                NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.KARTA_PRINT DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.KARTA_PRINT CASCADE CONSTRAINTS;

CREATE TABLE HB24.KARTA_PRINT
(
  ID_KARTA_PRINT     NUMBER(10)                 NOT NULL,
  ID_XUR01_APPID     NUMBER(10)                 NOT NULL,
  SET_PARAM          CHAR(1)               NOT NULL,
  CREATE_VIEW        CHAR(1)               NOT NULL,
  UNSELECTED         CHAR(1)               NOT NULL,
  SHOW_CONST_SYMBOL  CHAR(1)               NOT NULL,
  SUBJECT            CHAR(1)               NOT NULL,
  FORMAT             CHAR(1)               NOT NULL
)
TABLESPACE &&table_tablespace;


DROP TABLE HB24.KURZY CASCADE CONSTRAINTS;

CREATE TABLE HB24.KURZY
(
  ID_KURZY   NUMBER                             NOT NULL,
  ID_MENA    NUMBER                             NOT NULL,
  DATUM      DATE                               NOT NULL,
  TYP_KURZU  VARCHAR2(15)                       NOT NULL,
  FX_NAKUP   NUMBER(16,8)                           NULL,
  FX_PRODEJ  NUMBER(16,8)                           NULL,
  FX_STRED   NUMBER(16,8)                           NULL,
  PX_NAKUP   NUMBER(16,8)                           NULL,
  PX_PRODEJ  NUMBER(16,8)                           NULL,
  PX_STRED   NUMBER(16,8)                           NULL,
  NOMINAL    NUMBER                             NOT NULL,
  DATUM_1    DATE                               NOT NULL,
  SMAZANO    CHAR(1)                                NULL,
  ID_MV_MENA NUMBER(20)                         NOT NULL,
  NOTACE     CHAR(1)                            NOT NULL
)
TABLESPACE &&table_tablespace;


DROP TABLE HB24.MULTI_VERZE CASCADE CONSTRAINTS;

CREATE TABLE HB24.MULTI_VERZE
(
  ID_STAT      NUMBER(10)                       NOT NULL,
  ID_MENA      NUMBER(10)                       NOT NULL,
  ID_JAZYK     NUMBER(10)                       NOT NULL,
  KOD_BANKY    VARCHAR2(15)                NOT NULL,
  XTR02LANGID  NUMBER                           NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.OBCH_FUNKCE DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.OBCH_FUNKCE CASCADE CONSTRAINTS;

CREATE TABLE HB24.OBCH_FUNKCE
(
  ID_OBCH_FUNKCE  NUMBER(10)                    NOT NULL,
  KOD             VARCHAR2(15)             NOT NULL,
  NAZEV           VARCHAR2(40)             NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.KONVERZE_MEN DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.KONVERZE_MEN CASCADE CONSTRAINTS;

CREATE TABLE HB24.KONVERZE_MEN
( ID_KONVERZE_MEN  NUMBER(20)    NOT NULL,
  ID_APPID         NUMBER(20)    NOT NULL,
  ID_MENA_STARA    NUMBER(20)    NOT NULL,
  ID_MENA_NOVA     NUMBER(20)    NOT NULL,
  STATUS           CHAR(1)       NOT NULL,
  DATUM_AKCE       DATE          NOT NULL,
  DATUM_SYNC       DATE          NOT NULL,
  DATUM_PROVEDENI  DATE          NULL,
  PORADI_KONVERZE  NUMBER(2)     NOT NULL,
  KURZ             NUMBER(20,10) NOT NULL,
  CONSTRAINT PK_KONVERZE_MEN PRIMARY KEY (ID_KONVERZE_MEN) USING INDEX TABLESPACE &&index_tablespace )
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.SWIFT DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.SWIFT CASCADE CONSTRAINTS;

CREATE TABLE HB24.SWIFT
(
  ID_SWIFT   NUMBER                             NOT NULL,
  SWIFT_KOD  VARCHAR2(15)                  NOT NULL,
  NAZEV      VARCHAR2(40)                      NULL,
  ADRESA_1   VARCHAR2(40)                      NULL,
  ADRESA_2   VARCHAR2(40)                      NULL,
  ADRESA_3   VARCHAR2(40)                      NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.SYSTEM_PARM DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.SYSTEM_PARM CASCADE CONSTRAINTS;

CREATE TABLE HB24.SYSTEM_PARM
(
  ID_SYSTEM_PARM  NUMBER(10)                    NOT NULL,
  KOD             VARCHAR2(15)             NOT NULL,
  POPIS           VARCHAR2(40)             NOT NULL,
  HODNOTA_NUM     NUMBER(16)                        NULL,
  HODNOTA_CHAR    VARCHAR2(80)                 NULL,
  HODNOTA_DATE    DATE                              NULL,
  HODNOTA_CASTKA  NUMBER(15,2)                      NULL,
  POZNAMKA        VARCHAR2(255)                NULL,
  ID_APPID        NUMBER(10)                        NULL,
  STATUS_APPID    CHAR(1)                  NOT NULL,
  DATUM_SYNC      DATE                          NOT NULL,
  DATUM_1         DATE                          NOT NULL,
  ID_OPERATOR_1   NUMBER(10)                    NOT NULL,
  DATUM_Z         DATE                              NULL,
  ID_OPERATOR_Z   NUMBER(10)                        NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.VYPIS_POHYB DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.VYPIS_POHYB CASCADE CONSTRAINTS;

CREATE TABLE HB24.VYPIS_POHYB
(
  ID_VYPIS_POHYB    NUMBER(10)                  NOT NULL,
  ID_VYPIS          NUMBER(10)                      NULL,
  TYP_TRANSAKCE     VARCHAR2(15)               NULL,
  TRACE_ID          VARCHAR2(40)           NOT NULL,
  REF_KLIENT        VARCHAR2(40)               NULL,
  REF_BANKA         VARCHAR2(40)               NULL,
  DATUM_ODUCT       DATE                            NULL,
  CASTKA_PLATBY     NUMBER(15,2)                    NULL,
  ID_MENA_PLATBY    NUMBER(10)                      NULL,
  KURZ              NUMBER(16,8)                    NULL,
  ZUSTATEK          NUMBER(15,2)                NOT NULL,
  POPIS_POLOZKY     VARCHAR2(40)               NULL,
  POZNAMKA          VARCHAR2(255)              NULL,
  POR_CISLO         NUMBER(10)                  NOT NULL,
  OPER_KOD          VARCHAR2(15)               NULL,
  DATUM_SPLAT       DATE                            NULL,
  DATUM_ZAUCT       DATE                            NULL,
  ZNAMENKO          VARCHAR2(15)           NOT NULL,
  CASTKA            NUMBER(15,2)                NOT NULL,
  ID_MENA           NUMBER(10)                      NULL,
  CISLO_SEKU        VARCHAR2(40)               NULL,
  DOM_ZAHR          CHAR(15)                   NULL,
  KOD_BANKY         VARCHAR2(40)               NULL,
  SS                NUMBER(16)                      NULL,
  VS                NUMBER(16)                      NULL,
  KS                NUMBER(16)                      NULL,
  CISLO_PROTIUCTU   VARCHAR2(40)               NULL,
  NAZEV_PROTIUCTU   VARCHAR2(40)               NULL,
  SS_PLATCE         NUMBER(16)                      NULL,
  VS_PLATCE         NUMBER(16)                      NULL,
  ZPRAVA_PRIJEMCI1  VARCHAR2(40)               NULL,
  ZPRAVA_PRIJEMCI2  VARCHAR2(40)               NULL,
  ZPRAVA_PRIJEMCI3  VARCHAR2(40)               NULL,
  ZPRAVA_PRIJEMCI4  VARCHAR2(40)               NULL,
  ADRESA1           VARCHAR2(40)               NULL,
  ADRESA2           VARCHAR2(40)               NULL,
  ADRESA3           VARCHAR2(40)               NULL,
  ADRESA4           VARCHAR2(40)               NULL,
  ZPRAVA_PLATCI1    VARCHAR2(40)               NULL,
  ZPRAVA_PLATCI2    VARCHAR2(40)               NULL,
  ZPRAVA_PLATCI3    VARCHAR2(40)               NULL,
  ZPRAVA_PLATCI4    VARCHAR2(40)               NULL,
  ID_KANAL          NUMBER(10)                      NULL,
  STATUS            VARCHAR2(15)           NOT NULL,
  DATUM_1           DATE                        NOT NULL,
  DATUM_VALUTY      DATE                            NULL,
  TYP_CC            NUMBER(2)                       NULL,
  ZUSTATEK_DISP     NUMBER(15,2)                    NULL,
  VYLOHY               VARCHAR(15) NULL,
  POPLATEK             NUMERIC     NULL,
  ID_MENA_POPLATEK     INTEGER     NULL,
  POPLATEK_TUZ         NUMERIC     NULL,
  ID_MENA_POPLATEK_TUZ INTEGER     NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.VYPIS_UR_SAZBA DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.VYPIS_UR_SAZBA CASCADE CONSTRAINTS;

CREATE TABLE HB24.VYPIS_UR_SAZBA
(
  ID_VYPIS_UR_SAZBA  NUMBER(10)                 NOT NULL,
  ID_VYPIS           NUMBER(10)                 NOT NULL,
  SAZBA              NUMBER(12,8)               NOT NULL,
  DATUM_1            DATE                       NOT NULL,
  STATUS             CHAR(1)               NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XLG01 DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XLG01 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XLG01
(
  XLG01LOGDEFID  INTEGER                        NOT NULL,
  XLG01PARENTID  INTEGER                            NULL,
  XLG01CODE      VARCHAR2(8)               NOT NULL,
  XLG01NAME      VARCHAR2(70)              NOT NULL,
  XLG01SEVERITY  INTEGER                        NOT NULL,
  XLG01MODE      INTEGER                            NULL,
  XLG01MAXCOUNT  INTEGER                            NULL,
  XLG01DAYS      INTEGER                            NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XLG02 DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XLG02 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XLG02
(
  XLG02LOGSETID     INTEGER                     NOT NULL,
  XLG01LOGDEFID     INTEGER                     NOT NULL,
  XLG02STARTDATE    DATE                        NOT NULL,
  XLG02ENDDATE      DATE                            NULL,
  XLG02MAXSEVERITY  INTEGER                         NULL,
  XLG02USERDB       VARCHAR2(70)           NOT NULL,
  XLG02USEROS       VARCHAR2(70)           NOT NULL,
  XLG02WSTNAME      VARCHAR2(70)           NOT NULL,
  XLG02APPNAME      VARCHAR2(70)           NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XLG03 DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XLG03 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XLG03
(
  XLG03LOGMSGID    INTEGER                      NOT NULL,
  XLG02LOGSETID    INTEGER                      NOT NULL,
  XLG03DATE        DATE                         NOT NULL,
  XLG03SEVERITY    INTEGER                      NOT NULL,
  XLG03TEXT        VARCHAR2(255)           NOT NULL,
  XLG03OBJECT      VARCHAR2(70)                NULL,
  XLG03SCRIPT      VARCHAR2(70)                NULL,
  XLG03LINE        INTEGER                          NULL,
  XLG03SQLCODE     INTEGER                          NULL,
  XLG03SQLERRTEXT  VARCHAR2(255)               NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XRG01 DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XRG01 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XRG01
(
  XRG01OBJECTID  INTEGER                        NOT NULL,
  XRG01PARENTID  INTEGER                        NOT NULL,
  XRG01NAME      VARCHAR2(70)              NOT NULL,
  XRG01VALUE     VARCHAR2(255)                 NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XTR01 DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XTR01 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XTR01
(
  XTR01APPID    INTEGER                         NOT NULL,
  XTR01APPNAME  VARCHAR2(70)               NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XTR02 DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XTR02 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XTR02
(
  XTR02LANGID    INTEGER                        NOT NULL,
  XTR01APPID     INTEGER                        NOT NULL,
  XTR02LANGNAME  VARCHAR2(70)              NOT NULL,
  XTR02LANGDESC  VARCHAR2(70)              NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XTR03 DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XTR03 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XTR03
(
  XTR03MSGID    INTEGER                         NOT NULL,
  XTR02LANGID   INTEGER                         NOT NULL,
  XTR03MSGNAME  VARCHAR2(70)                   NOT NULL,
  XTR03MSGTEXT  VARCHAR2(255)                  NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XUR01 DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XUR01 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XUR01
(
  XUR01USERID     INTEGER                       NOT NULL,
  XUR01CODE       VARCHAR2(30)                 NOT NULL,
  XUR01TYPE       INTEGER                       NOT NULL,
  XUR01STATUS     INTEGER                       NOT NULL,
  XUR01FIRSTNAME  VARCHAR2(70)                 NULL,
  XUR01LASTNAME   VARCHAR2(70)                 NULL,
  XUR01PRETITLE   VARCHAR2(30)                 NULL,
  XUR01POSTTITLE  VARCHAR2(30)                 NULL,
  XUR01Phone      VARCHAR2(30)                  NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XUR02 DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XUR02 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XUR02
(
  XUR02OBJECTID  INTEGER                        NOT NULL,
  XUR02PARENTID  INTEGER                            NULL,
  XUR02CODE      VARCHAR2(30)                  NOT NULL,
  XUR02NAME      VARCHAR2(70)                  NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XUR03 DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XUR03 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XUR03
(
  XUR03RIGHTSID  INTEGER                        NOT NULL,
  XUR03CODE      VARCHAR2(30)                  NOT NULL,
  XUR03NAME      VARCHAR2(70)                  NOT NULL
)
TABLESPACE &&table_tablespace;


DROP TABLE HB24.XUR04 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XUR04
(
  XUR01PARENTID  INTEGER                        NOT NULL,
  XUR01CHILDID   INTEGER                        NOT NULL
)
TABLESPACE &&table_tablespace;


DROP TABLE HB24.XUR05 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XUR05
(
  XUR03RIGHTSID  INTEGER                        NOT NULL,
  XUR02OBJECTID  INTEGER                        NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XUR06 DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XUR06 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XUR06
(
  XUR06ID        INTEGER                        NOT NULL,
  XUR01USERID    INTEGER                        NOT NULL,
  XUR02OBJECTID  INTEGER                        NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XUR07 DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XUR07 CASCADE CONSTRAINTS;

CREATE TABLE HB24.XUR07
(
  XUR07ID        INTEGER                        NOT NULL,
  XUR03RIGHTSID  INTEGER                            NULL,
  XUR06ID        INTEGER                            NULL,
  XUR07TYPE      INTEGER                        NOT NULL
)
TABLESPACE &&table_tablespace;


CREATE TABLE hb24.xrtr01
(
	login_name  VARCHAR(25)            NOT NULL,
	host_name   VARCHAR(35)            NOT NULL,
	window_name VARCHAR(35)            NOT NULL,
	table_name  VARCHAR(35)            NOT NULL,
	retrieve    NUMBER(1)              NOT NULL,
	upd_rights  NUMBER(1)   DEFAULT 0  NOT NULL
)
TABLESPACE &&table_tablespace;


CREATE TABLE hb24.xrtr01_table
(
	window_name VARCHAR(35)            NOT NULL,
	table_name  VARCHAR(35)            NOT NULL,
	window_descr VARCHAR(255)	   NULL
)
TABLESPACE &&table_tablespace;


DROP TABLE HB24.VERIBAN CASCADE CONSTRAINTS;

CREATE TABLE HB24.VERIBAN
 (
  CCIBAN VARCHAR2(2),
  CCBIC	 VARCHAR2(2),
  NOC    VARCHAR2(70),
  SWIFTV INTEGER,
  EUREG  INTEGER,
  LIBAN  INTEGER
 )
TABLESPACE &&table_tablespace;
 

CREATE UNIQUE INDEX HB24.HB24_PK_VYPIS_POHYB ON HB24.VYPIS_POHYB(ID_VYPIS_POHYB)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_CIS_KOD ON HB24.CISELNIKY(KOD)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_CIS_KOD_CIS ON HB24.CISELNIKY(KOD_CISELNIKU)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_CISPOP_ID_JAZYK ON HB24.CISELNIKY_POP(ID_JAZYK)
  TABLESPACE &&index_tablespace;

CREATE  INDEX HB24.IX_CISPOP_KOD ON HB24.CISELNIKY_POP(KOD)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_CIS_STATUS ON HB24.CISELNIKY(STATUS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_EAVTPS_TRACE_ID ON HB24.EXP_AVIZO_TPS(TRACE_ID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_EAVZPS_TRACE_ID ON HB24.EXP_AVIZO_ZPS(TRACE_ID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_KAL_ROKMES ON HB24.KALENDAR(ROK, MESIC)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_KU_DATUM ON HB24.KURZY(DATUM)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_KU_TK ON HB24.KURZY(TYP_KURZU)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_OF_KOD ON HB24.OBCH_FUNKCE(KOD)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_SP_KOD ON HB24.SYSTEM_PARM(KOD)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_SWIFT_SWIFT_KOD ON HB24.SWIFT(SWIFT_KOD)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_VP_TRACE_ID ON HB24.VYPIS_POHYB(TRACE_ID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_CISELNIKY ON HB24.CISELNIKY(ID_CISELNIKY)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_CISELNIKY_POP ON HB24.CISELNIKY_POP(ID_CISELNIKY_POP)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_EXP_AVIZO_TPS ON HB24.EXP_AVIZO_TPS(ID_EXP_AVIZO_TPS)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_EXP_AVIZO_ZPS ON HB24.EXP_AVIZO_ZPS(ID_EXP_AVIZO_ZPS)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_EXP_KURZY ON HB24.EXP_KURZY(ID_EXP_KURZY)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_EXP_VYPIS_UR_SAZBA ON HB24.EXP_VYPIS_UR_SAZBA(EXP_VYPIS_UR_SAZBA)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_HROMADNY_TPS ON HB24.HROMADNY_TPS(ID_HROMADNY_TPS)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_IMP_DAVKA ON HB24.IMP_DAVKA(ID_IMP_DAVKA)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_IMP_DAVKA_CHYBY ON HB24.IMP_DAVKA_CHYBY(ID_IMP_DAVKA_CHYBY)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_IMP_PRIKAZ_TPS ON HB24.IMP_PRIKAZ_TPS(ID_IMP_PRIKAZ_TPS)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_IMP_PRIKAZ_ZPS ON HB24.IMP_PRIKAZ_ZPS(ID_IMP_PRIKAZ_ZPS)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_IMP_PR_TPS_CHYBY ON HB24.IMP_PR_TPS_CHYBY(ID_IMP_PR_TPS_CHYBY)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_IMP_PR_ZPS_CHYBY ON HB24.IMP_PR_ZPS_CHYBY(ID_IMP_PR_ZPS_CHYBY)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_KALENDAR ON HB24.KALENDAR(ID_KALENDAR)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_KARTA_PRINT ON HB24.KARTA_PRINT(ID_KARTA_PRINT)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_OBCH_FUNKCE ON HB24.OBCH_FUNKCE(ID_OBCH_FUNKCE)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_SWIFT ON HB24.SWIFT(ID_SWIFT)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_SYSTEM_PARM ON HB24.SYSTEM_PARM(ID_SYSTEM_PARM)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_VYPIS_UR_SAZBA ON HB24.VYPIS_UR_SAZBA(ID_VYPIS_UR_SAZBA)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XLG01 ON HB24.XLG01(XLG01LOGDEFID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XLG02 ON HB24.XLG02(XLG02LOGSETID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XLG03 ON HB24.XLG03(XLG03LOGMSGID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XRG01 ON HB24.XRG01(XRG01OBJECTID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XTR01 ON HB24.XTR01(XTR01APPID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XTR02 ON HB24.XTR02(XTR02LANGID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XTR03 ON HB24.XTR03(XTR03MSGID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XUR01 ON HB24.XUR01(XUR01USERID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XUR02 ON HB24.XUR02(XUR02OBJECTID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XUR03 ON HB24.XUR03(XUR03RIGHTSID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XUR06 ON HB24.XUR06(XUR06ID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XUR07 ON HB24.XUR07(XUR07ID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_147_FK ON HB24.EXP_VYPIS_UR_SAZBA(ID_EXP_VYPIS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_163_FK ON HB24.IMP_DAVKA_CHYBY(ID_IMP_DAVKA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_164_FK ON HB24.IMP_DAVKA_CHYBY(ID_CHYBA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_165_FK ON HB24.IMP_PR_ZPS_CHYBY(ID_IMP_PRIKAZ_ZPS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_166_FK ON HB24.IMP_PR_ZPS_CHYBY(ID_CHYBA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_167_FK ON HB24.IMP_PR_TPS_CHYBY(ID_CHYBA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_168_FK ON HB24.IMP_PR_TPS_CHYBY(ID_IMP_PRIKAZ_TPS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_999_FK ON HB24.CISELNIKY_POP(ID_CISELNIKY)
  TABLESPACE &&index_tablespace;


ALTER TABLE HB24.EXP_VYPIS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.EXP_VYPIS CASCADE CONSTRAINTS;

CREATE TABLE HB24.EXP_VYPIS
(
  ID_EXP_VYPIS      NUMBER(10)                  NOT NULL,
  ID_IMP_DAVKA      NUMBER(10)                  NOT NULL,
  CISLO_UCTU        NUMBER(17)                  NOT NULL,
  NAZEV_UCTU        CHAR(40)               NOT NULL,
  CISLO_VYPISU      NUMBER(10)                  NOT NULL,
  ROK_VYPISU        NUMBER(10)                  NOT NULL,
  FREKVENCE_VYPISU  CHAR(40)               NOT NULL,
  CISLO_RADKU       NUMBER(10)                  NOT NULL,
  DATUM_START       DATE                        NOT NULL,
  ZUSTATEK_START    NUMBER(15,2)                NOT NULL,
  DATUM_END         DATE                        NOT NULL,
  ZUSTATEK_END      NUMBER(15,2)                NOT NULL,
  OBRAT_DR          NUMBER(15,2)                NOT NULL,
  OBRAT_CR          NUMBER(15,2)                NOT NULL,
  STATUS            CHAR(1)                    NULL,
  DATUM_1           DATE                            NULL,
  TYP_UCTU          CHAR(15)                   NULL,
  UR_SAZBA_START    NUMBER(9,3)                     NULL,
  UR_SAZBA_END      NUMBER(9,3)                     NULL,
  KOD_FREKVENCE     CHAR(1)                    NULL,
  ID_VYPIS          NUMBER(10)                      NULL,
  MENA_UCTU         CHAR(3)                         NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.EXP_VYPIS_POHYB DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.EXP_VYPIS_POHYB CASCADE CONSTRAINTS;

CREATE TABLE HB24.EXP_VYPIS_POHYB
(
  ID_EXP_VYPIS_POHYB  NUMBER(10)                NOT NULL,
  ID_EXP_VYPIS        NUMBER(10)                NOT NULL,
  TYP_TRANSAKCE       CHAR(15)                 NULL,
  TRACE_ID            CHAR(40)                 NULL,
  REF_KLIENT          CHAR(40)                 NULL,
  REF_BANKA           CHAR(40)                 NULL,
  DATUM_ODUCT         DATE                          NULL,
  CASTKA_PLATBY       NUMBER(15,2)                  NULL,
  MENA_PLATBY         CHAR(3)                  NULL,
  KURZ                NUMBER(16,8)                  NULL,
  ZUSTATEK            NUMBER(15,2)              NOT NULL,
  POPIS_POLOZKY       CHAR(40)                 NULL,
  POZNAMKA            VARCHAR2(255)            NULL,
  POR_CISLO           INTEGER                   NOT NULL,
  OPER_KOD            CHAR(15)                 NULL,
  DATUM_SPLAT         DATE                          NULL,
  DATUM_ZAUCT         DATE                          NULL,
  ZNAMENKO            VARCHAR2(15)             NOT NULL,
  CASTKA              NUMBER(15,2)              NOT NULL,
  MENA                CHAR(3)              NOT NULL,
  CISLO_SEKU          CHAR(40)                 NULL,
  DOM_ZAHR            CHAR(15)                 NULL,
  KOD_BANKY           CHAR(40)                 NULL,
  SS                  NUMBER(16)                    NULL,
  VS                  NUMBER(16)                    NULL,
  KS                  NUMBER(16)                    NULL,
  CISLO_PROTIUCTU     CHAR(40)                 NULL,
  NAZEV_PROTIUCTU     CHAR(40)                 NULL,
  SS_PLATCE           NUMBER(16)                    NULL,
  VS_PLATCE           NUMBER(16)                    NULL,
  ZPRAVA_PRIJEMCI1    CHAR(40)                 NULL,
  ZPRAVA_PRIJEMCI2    CHAR(40)                 NULL,
  ZPRAVA_PRIJEMCI3    CHAR(40)                 NULL,
  ZPRAVA_PRIJEMCI4    CHAR(40)                 NULL,
  ADRESA1             CHAR(40)                 NULL,
  ADRESA2             CHAR(40)                 NULL,
  ADRESA3             CHAR(40)                 NULL,
  ADRESA4             CHAR(40)                 NULL,
  ZPRAVA_PLATCI1      CHAR(35)                 NULL,
  ZPRAVA_PLATCI2      CHAR(35)                 NULL,
  ZPRAVA_PLATCI3      CHAR(35)                 NULL,
  ZPRAVA_PLATCI4      CHAR(35)                 NULL,
  STATUS              CHAR(15)                 NULL,
  DATUM_VALUTY        DATE                          NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.IPPID DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.IPPID CASCADE CONSTRAINTS;

CREATE TABLE HB24.IPPID
(
  ID_IPPID       NUMBER(10)                     NOT NULL,
  XUR01USERID    NUMBER(10)                         NULL,
  CISLO_IPPID    VARCHAR2(15)                  NOT NULL,
  STATUS         CHAR(1)                       NOT NULL,
  DATUM_1        DATE                           NOT NULL,
  ID_OPERATOR_1  NUMBER(10)                     NOT NULL,
  DATUM_Z        DATE                               NULL,
  ID_OPERATOR_Z  NUMBER(10)                         NULL,
  DATUM_SYNC     DATE                               NULL,
  ID_TYP_KARTY   NUMBER(10)                         NULL,
  CISLOCERT      NUMERIC                            NULL,
  DATUM_CERT_END DATE                               NULL,
  STATUS_CERT    CHAR(1)                            NULL,
  TYP_CERT       CHAR(2)                            NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.KLIENT DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.KLIENT CASCADE CONSTRAINTS;

CREATE TABLE HB24.KLIENT
(
  ID_KLIENT      NUMBER(10)                     NOT NULL,
  CISLO_KLIENTA  NUMBER(16)                     NOT NULL,
  JMENO_FIRMA1   VARCHAR2(40)              NOT NULL,
  RODNE_CISLO    VARCHAR2(15)                  NULL,
  ICO            VARCHAR2(15)                  NULL,
  BANK_SYSTEM    VARCHAR2(15)              NOT NULL,
  STATUS         CHAR(1)                   NOT NULL,
  POZNAMKA       VARCHAR2(255)                 NULL,
  DATUM_1        DATE                           NOT NULL,
  ID_OPERATOR_1  NUMBER(10)                     NOT NULL,
  DATUM_Z        DATE                               NULL,
  ID_OPERATOR_Z  NUMBER(10)                         NULL,
  DATUM_SYNC     DATE                               NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.UCET DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.UCET CASCADE CONSTRAINTS;

CREATE TABLE HB24.UCET
(
  ID_UCET        NUMBER(10)                     NOT NULL,
  ID_DRUH_UCTU   NUMBER(10)                         NULL,
  ID_KLIENT      NUMBER(10)                     NOT NULL,
  ID_MENA        NUMBER(10)                     NOT NULL,
  CISLO_UCTU     NUMBER(16)                     NOT NULL,
  UZIV_UCET      NUMBER(16)                     NOT NULL,
  IBAN_UCET      VARCHAR2(40)                  NULL,
  BANK_SYSTEM    VARCHAR2(15)              NOT NULL,
  STATUS         CHAR(1)                   NOT NULL,
  POZNAMKA       VARCHAR2(255)                 NULL,
  DATUM_1        DATE                           NOT NULL,
  ID_OPERATOR_1  NUMBER(10)                     NOT NULL,
  DATUM_Z        DATE                               NULL,
  ID_OPERATOR_Z  NUMBER(10)                         NULL,
  DATUM_SYNC     DATE                               NULL,
  TPS_YES        CHAR(1)                       NULL,
  ZPS_YES        CHAR(1)                       NULL,
  ID_MENA_ORIG   NUMBER(20)                    NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.VYPIS_POH_DEP DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.VYPIS_POH_DEP CASCADE CONSTRAINTS;

CREATE TABLE HB24.VYPIS_POH_DEP
(
  ID_VYPIS_POH_DEP  NUMBER(10)                  NOT NULL,
  ID_VYPIS_POHYB    NUMBER(10)                  NOT NULL,
  POR_CISLO         NUMBER(10)                  NOT NULL,
  CASTKA            NUMBER(17,2)                    NULL,
  UROK              NUMBER(17,2)                    NULL,
  POPLATEK          NUMBER(17,2)                    NULL,
  DAN_UROK          NUMBER(17,2)                    NULL,
  UROK_DEBET        NUMBER(17,2)                    NULL,
  POPL_ZADR         NUMBER(17,2)                    NULL,
  UROK_DISP         NUMBER(17,2)                    NULL,
  DAN_UROK_DEBET    NUMBER(17,2)                    NULL,
  UROK_ZBYT         NUMBER(17,2)                    NULL,
  UROK_NEPOV_DEBET  NUMBER(17,2)                    NULL,
  POVOL_DEBET       NUMBER(17,2)                    NULL,
  NEPOV_DEBET       NUMBER(17,2)                    NULL,
  JISTINA           NUMBER(15,2)                    NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.VYPIS_POH_UVE DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.VYPIS_POH_UVE CASCADE CONSTRAINTS;

CREATE TABLE HB24.VYPIS_POH_UVE
(
  ID_VYPIS_POH_UVE    NUMBER(10)                NOT NULL,
  ID_VYPIS_POHYB      NUMBER(10)                NOT NULL,
  POR_CISLO           NUMBER(10)                NOT NULL,
  CASTKA              NUMBER(17,2)                  NULL,
  JISTINA             NUMBER(17,2)                  NULL,
  UROK                NUMBER(17,2)                  NULL,
  UROK_PRODL          NUMBER(17,2)                  NULL,
  JISTINA_NECERP      NUMBER(17,2)                  NULL,
  POPLATKY            NUMBER(17,2)                  NULL,
  PROSTR_ZADR         NUMBER(17,2)                  NULL,
  UROK_ESK            NUMBER(17,2)                  NULL,
  UROK_NEINKAS        NUMBER(17,2)                  NULL,
  JISTINA_CHOFF       NUMBER(17,2)                  NULL,
  CASTKA_UHR_JISTINY  NUMBER(17,2)                  NULL,
  REZ_UVE_ZTRATY      NUMBER(17,2)                  NULL,
  SPLATKY_ODLOZ       NUMBER(17,2)                  NULL,
  JISTINA_ZAPORNA     NUMBER(17,2)                  NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XUR07_UCET DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XUR07_UCET CASCADE CONSTRAINTS;

CREATE TABLE HB24.XUR07_UCET
(
  ID_XUR07_UCET  NUMBER(10)                     NOT NULL,
  XUR07ID        NUMBER(10)                     NOT NULL,
  ID_UCET        NUMBER(10)                     NOT NULL,
  STATUS         CHAR(1)                   NOT NULL,
  DATUM_1        DATE                           NOT NULL,
  ID_OPERATOR_1  NUMBER(10)                     NOT NULL,
  DATUM_Z        DATE                               NULL,
  ID_OPERATOR_Z  NUMBER(10)                         NULL
)
TABLESPACE &&table_tablespace;


CREATE INDEX HB24.IX_EVP_TRACE_ID ON HB24.EXP_VYPIS_POHYB(TRACE_ID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_IPPID_CISIPPID ON HB24.IPPID(CISLO_IPPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_IPPID_STATUS ON HB24.IPPID(STATUS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_KL_CISKL ON HB24.KLIENT(CISLO_KLIENTA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_KL_STATUS ON HB24.KLIENT(STATUS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_U_STATUS ON HB24.UCET(STATUS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_U_TY ON HB24.UCET(TPS_YES)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_U_UZIV_UCET ON HB24.UCET(UZIV_UCET)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_U_ZY ON HB24.UCET(ZPS_YES)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_EXP_VYPIS ON HB24.EXP_VYPIS(ID_EXP_VYPIS)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_EXP_VYPIS_POHYB ON HB24.EXP_VYPIS_POHYB(ID_EXP_VYPIS_POHYB)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_IPPID ON HB24.IPPID(ID_IPPID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_KLIENT ON HB24.KLIENT(ID_KLIENT)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_VYPIS_POH_DEP ON HB24.VYPIS_POH_DEP(ID_VYPIS_POH_DEP)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_VYPIS_POH_UVE ON HB24.VYPIS_POH_UVE(ID_VYPIS_POH_UVE)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XUR07_UCET ON HB24.XUR07_UCET(ID_XUR07_UCET)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_145_FK ON HB24.EXP_VYPIS(ID_IMP_DAVKA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_146_FK ON HB24.EXP_VYPIS_POHYB(ID_EXP_VYPIS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_922_FK ON HB24.XUR07_UCET(ID_OPERATOR_Z)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_924_FK ON HB24.XUR07_UCET(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_925_FK ON HB24.XUR07_UCET(ID_UCET)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_930_FK ON HB24.VYPIS_POH_UVE(ID_VYPIS_POHYB)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_931_FK ON HB24.VYPIS_POH_DEP(ID_VYPIS_POHYB)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_941_FK ON HB24.UCET(ID_UCET, ID_MENA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_942_FK ON HB24.UCET(ID_OPERATOR_Z)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_943_FK ON HB24.UCET(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_944_FK ON HB24.UCET(ID_KLIENT)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_945_FK ON HB24.UCET(ID_DRUH_UCTU)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_975_FK ON HB24.KLIENT(ID_OPERATOR_Z)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_976_FK ON HB24.KLIENT(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_977_FK ON HB24.IPPID(XUR01USERID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_978_FK ON HB24.IPPID(ID_OPERATOR_Z)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_979_FK ON HB24.IPPID(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

ALTER TABLE HB24.APPID DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.APPID CASCADE CONSTRAINTS;

CREATE TABLE HB24.APPID
(
  ID_APPID       NUMBER(10)                     NOT NULL,
  CISLO_APPID    VARCHAR2(15)              NOT NULL,
  ID_KLIENT      NUMBER(10)                         NULL,
  STATUS         CHAR(1)                   NOT NULL,
  DATUM_1        DATE                           NOT NULL,
  ID_OPERATOR_1  NUMBER(10)                     NOT NULL,
  DATUM_Z        DATE                               NULL,
  ID_OPERATOR_Z  NUMBER(10)                         NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.BANK_SPOJENI DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.BANK_SPOJENI CASCADE CONSTRAINTS;

CREATE TABLE HB24.BANK_SPOJENI
(
  ID_BANK_SPOJENI      NUMBER(10)               NOT NULL,
  ID_APPID             NUMBER(10)               NOT NULL,
  NAZEV                VARCHAR2(40)        NOT NULL,
  TPS_VALID            CHAR(1)             NOT NULL,
  ZPS_VALID            CHAR(1)             NOT NULL,
  STATUS               CHAR(1)             NOT NULL,
  CISLO_PROTIUCTU_TPS  VARCHAR2(17)            NULL,
  KOD_BANKA_PROTIUCT   VARCHAR2(15)            NULL,
  CISLO_PROTIUCTU_ZPS  VARCHAR2(40)            NULL,
  NAZEV_PROTIUCTU      VARCHAR2(40)            NULL,
  SWIFT_KOD            VARCHAR2(15)            NULL,
  NAZEV_BANKY          VARCHAR2(40)            NULL,
  ADR_BANKA_PROTIUCT1  VARCHAR2(40)            NULL,
  ADR_BANKA_PROTIUCT2  VARCHAR2(40)            NULL,
  ADR_BANKA_PROTIUCT3  VARCHAR2(40)            NULL,
  ISO_BANKA_PRIJEMCE   VARCHAR2(15)            NULL,
  ADR_PROTISTRANY1     VARCHAR2(40)            NULL,
  ADR_PROTISTRANY2     VARCHAR2(40)            NULL,
  ADR_PROTISTRANY3     VARCHAR2(40)            NULL,
  ADR_PROTISTRANY4     VARCHAR2(40)            NULL,
  ISO_ZEM_PRIJEMCE     VARCHAR2(15)            NULL,
  DATUM_1              DATE                     NOT NULL,
  ID_OPERATOR_1        NUMBER(10)               NOT NULL,
  DATUM_Z              DATE                         NULL,
  ID_OPERATOR_Z        NUMBER(10)                   NULL,
  POZNAMKA             VARCHAR2(255)           NULL,
  SS                   NUMBER(16)                   NULL,
  UZIV_CISLO           VARCHAR2(10)            NULL,
  POZN_PRENOS          CHAR(1)                 NULL,
  NS_KOD_BANKY         VARCHAR2(35)            NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.DISPONENT DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.DISPONENT CASCADE CONSTRAINTS;

CREATE TABLE HB24.DISPONENT
(
  ID_DISPONENT   NUMBER(10)                     NOT NULL,
  ID_IPPID       NUMBER(10)                     NOT NULL,
  ID_APPID       NUMBER(10)                     NOT NULL,
  STATUS         CHAR(1)                   NOT NULL,
  DATUM_1        DATE                           NOT NULL,
  ID_OPERATOR_1  NUMBER(10)                     NOT NULL,
  DATUM_Z        DATE                               NULL,
  ID_OPERATOR_Z  NUMBER(10)                         NULL,
  DATUM_SYNC     DATE                               NULL,
  VYBER          CHAR(1)                       NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.DISP_UCET DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.DISP_UCET CASCADE CONSTRAINTS;

CREATE TABLE HB24.DISP_UCET
(
  ID_DISP_UCET      NUMBER(10)                  NOT NULL,
  ID_DISPONENT_1    NUMBER(10)                  NOT NULL,
  ID_DISPONENT_2    NUMBER(10)                      NULL,
  ID_UCET           NUMBER(10)                  NOT NULL,
  TYP_DISPONENTA    CHAR(1)                NOT NULL,
  LIMIT             NUMBER(15,2)                    NULL,
  STATUS            CHAR(1)                NOT NULL,
  DATUM_1           DATE                        NOT NULL,
  ID_OPERATOR_1     NUMBER(10)                  NOT NULL,
  DATUM_Z           DATE                            NULL,
  ID_OPERATOR_Z     NUMBER(10)                      NULL,
  DATUM_SYNC        DATE                            NULL,
  STATUS_NEKONECNO  CHAR(1)                    NULL,
  ID_MENA_LIMITU    NUMBER(20)                 NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.SABLONA_ZPS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.SABLONA_ZPS CASCADE CONSTRAINTS;

CREATE TABLE HB24.SABLONA_ZPS
(
  ID_SABLONA_ZPS      NUMBER(10)                NOT NULL,
  ID_APPID            NUMBER(10)                    NULL,
  NAZEV               VARCHAR2(40)         NOT NULL,
  STATUS              CHAR(1)              NOT NULL,
  REF_PLATCE          VARCHAR2(40)             NULL,
  ID_UCET             NUMBER(10)                    NULL,
  ID_TYP_PLATBY       NUMBER(10)                    NULL,
  CASTKA              NUMBER(15,2)                  NULL,
  ID_MENA             NUMBER(10)                    NULL,
  CISLO_PROTIUCTU     VARCHAR2(40)             NULL,
  NAZEV_PROTIUCTU     VARCHAR2(40)             NULL,
  SWIFT_KOD           VARCHAR2(15)             NULL,
  NAZEV_BANKY         VARCHAR2(40)             NULL,
  ADR_BANKA_PROTIUC1  VARCHAR2(40)             NULL,
  ADR_BANKA_PROTIUC2  VARCHAR2(40)             NULL,
  ADR_BANKA_PROTIUC3  VARCHAR2(40)             NULL,
  ISO_BANKA_PRIJEMCE  VARCHAR2(15)             NULL,
  ADR_PROTISTRANY1    VARCHAR2(40)             NULL,
  ADR_PROTISTRANY2    VARCHAR2(40)             NULL,
  ADR_PROTISTRANY3    VARCHAR2(40)             NULL,
  ADR_PROTISTRANY4    VARCHAR2(40)             NULL,
  ISO_ZEM_PRIJEMCE    VARCHAR2(15)             NULL,
  PLATEBNI_TITUL      VARCHAR2(15)             NULL,
  UHRADA_VYLOH        VARCHAR2(15)             NULL,
  UCEL_PLATBY1        VARCHAR2(40)             NULL,
  UCEL_PLATBY2        VARCHAR2(40)             NULL,
  UCEL_PLATBY3        VARCHAR2(40)             NULL,
  UCEL_PLATBY4        VARCHAR2(40)             NULL,
  ZPRAVA_BANCE1       VARCHAR2(40)             NULL,
  ZPRAVA_BANCE2       VARCHAR2(40)             NULL,
  ZPRAVA_BANCE3       VARCHAR2(40)             NULL,
  ZPRAVA_BANCE4       VARCHAR2(40)             NULL,
  ID_UCET_POPL        NUMBER(10)                    NULL,
  KONTAKT_PLATCE      VARCHAR2(40)             NULL,
  DATUM_1             DATE                      NOT NULL,
  ID_OPERATOR_1       NUMBER(10)                NOT NULL,
  DATUM_Z             DATE                          NULL,
  ID_OPERATOR_Z       NUMBER(10)                    NULL,
  POZNAMKA            VARCHAR2(255)            NULL,
  TYP_CASTKY          CHAR(1)                  NULL,
  CASTKA_FIX          NUMBER(15,2)                  NULL,
  NS_KOD_BANKY        VARCHAR2(35)             NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.SABL_TPS_HLAVA DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.SABL_TPS_HLAVA CASCADE CONSTRAINTS;

CREATE TABLE HB24.SABL_TPS_HLAVA
(
  ID_SABL_TPS_HLAVA  NUMBER(10)                 NOT NULL,
  ID_UCET            NUMBER(10)                 NOT NULL,
  ID_APPID           NUMBER(10)                 NOT NULL,
  ID_TYP_CC          NUMBER(10)                     NULL,
  ID_OBCH_FUNKCE     NUMBER(10)                     NULL,
  NAZEV              VARCHAR2(40)               NOT NULL,
  STATUS             CHAR(1)                    NOT NULL,
  KS                 VARCHAR2(15)                   NULL,
  POCET_PRIKAZU      NUMBER(10)                 NOT NULL,
  SUMA_PRIKAZU       NUMBER(15,2)               NOT NULL,
  ID_MENA            NUMBER(20)                 NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.UCET_DET DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.UCET_DET CASCADE CONSTRAINTS;

CREATE TABLE HB24.UCET_DET
(
  ID_UCET_DET       NUMBER(10)                  NOT NULL,
  ID_UCET           NUMBER(10)                  NOT NULL,
  ID_APPID          NUMBER(10)                  NOT NULL,
  NAZEV_UCTU        VARCHAR2(40)           NOT NULL,
  UCET_ALIAS        VARCHAR2(40)           NOT NULL,
  LIMIT             NUMBER(15,2)                    NULL,
  ZUSTATEK_AKT      NUMBER(15,2)                NOT NULL,
  ZUSTATEK_DISP     NUMBER(15,2)                    NULL,
  STATUS            CHAR(1)                NOT NULL,
  POZNAMKA          VARCHAR2(255)              NULL,
  DATUM_1           DATE                        NOT NULL,
  ID_OPERATOR_1     NUMBER(10)                  NOT NULL,
  DATUM_Z           DATE                            NULL,
  ID_OPERATOR_Z     NUMBER(10)                      NULL,
  DATUM_SYNC        DATE                            NULL,
  STATUS_NEKONECNO  CHAR(1)                    NULL,
  DATUM_ZUST        DATE                            NULL,
  REFERENCE         CHAR(40)                   NULL,
  ALIAS             VARCHAR2(10)               NULL,
  ID_MENA_LIMITU    NUMBER(20)                 NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.VYPIS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.VYPIS CASCADE CONSTRAINTS;

CREATE TABLE HB24.VYPIS
(
  ID_VYPIS          NUMBER(10)                  NOT NULL,
  ID_UCET_DET       NUMBER(10)                  NOT NULL,
  NAZEV_UCTU        VARCHAR2(40)           NOT NULL,
  CISLO_VYPISU      NUMBER(10)                  NOT NULL,
  ROK_VYPISU        NUMBER(10)                  NOT NULL,
  SOUBOR            VARCHAR2(255)          NOT NULL,
  CISLO_RADKU       NUMBER(10)                  NOT NULL,
  DATUM_START       DATE                        NOT NULL,
  ZUSTATEK_START    NUMBER(15,2)                NOT NULL,
  DATUM_END         DATE                        NOT NULL,
  ZUSTATEK_END      NUMBER(15,2)                NOT NULL,
  OBRAT_DR          NUMBER(15,2)                NOT NULL,
  OBRAT_CR          NUMBER(15,2)                NOT NULL,
  UROK_SAZBA        NUMBER(12,8)                    NULL,
  DATUM_1           DATE                        NOT NULL,
  ID_OPERATOR_1     NUMBER(10)                  NOT NULL,
  STATUS            CHAR(1)                NOT NULL,
  FREKVENCE_VYPISU  VARCHAR2(40)               NULL,
  TYP_UCTU          CHAR(15)               NOT NULL,
  UR_SAZBA_START    NUMBER(9,3)                     NULL,
  UR_SAZBA_END      NUMBER(9,3)                     NULL,
  KOD_FREKVENCE     CHAR(1)                    NULL,
  OBRAT_ROK_CR      NUMBER(15,2)                    NULL,
  OBRAT_ROK_DR      NUMBER(15,2)                    NULL,
  ID_MENA_UCTU      NUMBER(20)                  NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.VYPIS_KKARTA DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.VYPIS_KKARTA CASCADE CONSTRAINTS;

CREATE TABLE HB24.VYPIS_KKARTA
(
  ID_VYPIS_KKARTA  NUMBER(10)                   NOT NULL,
  ID_VYPIS         NUMBER(10)                   NOT NULL,
  UROKY            NUMBER(17,2)                     NULL,
  UROKY_ZAPL       NUMBER(17,2)                     NULL,
  DATUM_SPLAT      DATE                             NULL,
  LIMIT_CELKOVY    NUMBER(17,2)                     NULL,
  SPLATKA_POV      NUMBER(17,2)                     NULL,
  SPLATKA_PLNA     NUMBER(17,2)                     NULL,
  POZNAMKA         VARCHAR2(255)                   NULL,
  DATUM_UHRADY     DATE                             NULL,
  POZNAMKA_MDT     VARCHAR2(255)                   NULL,
  TYP_KK           CHAR(1)                          NULL,
  UR_CERP_PO       NUMERIC                          NULL,
  CERP_SNIZ_UR_BO  NUMERIC                          NULL,
  UR_SNIZ_BO       NUMERIC                          NULL,
  CERP_KAP_UR_BO   NUMERIC                          NULL,
  UR_KAP_UR_BO     NUMERIC                          NULL,
  POZNAMKA2        VARCHAR(255)                     NULL,
  POZNAMKA2_MDT    VARCHAR(255)                     NULL,
  KOMENTAR_KKP1    CHAR(255)                        NULL,
  KOMENTAR_KKP2    CHAR(255)                        NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.VYPIS_POHD DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.VYPIS_POHD CASCADE CONSTRAINTS;

CREATE TABLE HB24.VYPIS_POHD
(
  ID_VYPIS_POHD   NUMBER(10)                    NOT NULL,
  ID_VYPIS        NUMBER(10)                    NOT NULL,
  TYP_POLOZKY     NUMBER(10)                    NOT NULL,
  POR_CISLO       NUMBER(10)                    NOT NULL,
  REF_BANKA       VARCHAR2(17)             NOT NULL,
  VAR_SAZBA       CHAR(1)                  NOT NULL,
  CASTKA_VKLADU   NUMBER(17,2)                  NOT NULL,
  STORNO          CHAR(1)                  NOT NULL,
  SAZBA_UROK      NUMBER(12,8)                      NULL,
  FREKVENCE_UROK  CHAR(3)                      NULL,
  UROK            NUMBER(17,2)                      NULL,
  DAN_UROK        NUMBER(15,2)                      NULL,
  SAZBA_DAN       NUMBER(12,8)                      NULL,
  ZACATEK_VKLADU  DATE                          NOT NULL,
  KONEC_VKLADU    DATE                          NOT NULL,
  REF_STORNO_VKL  VARCHAR2(17)                 NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.VYPIS_POHUS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.VYPIS_POHUS CASCADE CONSTRAINTS;

CREATE TABLE HB24.VYPIS_POHUS
(
  ID_VYPIS_POHUS  NUMBER(10)                    NOT NULL,
  ID_VYPIS        NUMBER(10)                    NOT NULL,
  POR_CISLO       NUMBER(10)                    NOT NULL,
  UR_SAZBA_PUV    NUMBER(12,8)                  NOT NULL,
  UR_SAZBA_NOVA   NUMBER(12,8)                  NOT NULL,
  DATUM_UCTOVANI  DATE                              NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XUR01_APPID DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XUR01_APPID CASCADE CONSTRAINTS;

CREATE TABLE HB24.XUR01_APPID
(
  ID_XUR01_APPID  NUMBER(10)                    NOT NULL,
  ID_APPID        NUMBER(10)                        NULL,
  XUR01USERID     NUMBER(10)                    NOT NULL,
  STATUS          CHAR(1)                  NOT NULL,
  DATUM_1         DATE                          NOT NULL,
  ID_OPERATOR_1   NUMBER(10)                    NOT NULL,
  DATUM_Z         DATE                              NULL,
  ID_OPERATOR_Z   NUMBER(10)                        NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.XUR01_UOF DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.XUR01_UOF CASCADE CONSTRAINTS;

CREATE TABLE HB24.XUR01_UOF
(
  ID_XUR01_UOF    NUMBER(10)                    NOT NULL,
  XUR01USERID     NUMBER(10)                    NOT NULL,
  ID_UCET_DET     NUMBER(10)                    NOT NULL,
  ID_OBCH_FUNKCE  NUMBER(10)                    NOT NULL,
  STATUS          CHAR(1)                  NOT NULL,
  DATUM_1         DATE                          NOT NULL,
  ID_OPERATOR_1   NUMBER(10)                    NOT NULL,
  DATUM_Z         DATE                              NULL,
  ID_OPERATOR_Z   NUMBER(10)                        NULL
)
TABLESPACE &&table_tablespace;


CREATE UNIQUE INDEX HB24.HB24_PK_VYPIS ON HB24.VYPIS(ID_VYPIS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_APPID_CISAPPID ON HB24.APPID(CISLO_APPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_BS_TPSV ON HB24.BANK_SPOJENI(TPS_VALID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_BS_ZPSV ON HB24.BANK_SPOJENI(ZPS_VALID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_DISP_STATUS ON HB24.DISPONENT(STATUS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_DU_STATUS ON HB24.DISP_UCET(STATUS)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_APPID ON HB24.APPID(ID_APPID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_BANK_SPOJENI ON HB24.BANK_SPOJENI(ID_BANK_SPOJENI)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_DISPONENT ON HB24.DISPONENT(ID_DISPONENT)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_DISP_UCET ON HB24.DISP_UCET(ID_DISP_UCET)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_SABLONA_ZPS ON HB24.SABLONA_ZPS(ID_SABLONA_ZPS)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_SABL_TPS_HLAVA ON HB24.SABL_TPS_HLAVA(ID_SABL_TPS_HLAVA)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_UCET_DET ON HB24.UCET_DET(ID_UCET_DET)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_VYPIS_KARTA ON HB24.VYPIS_KKARTA(ID_VYPIS_KKARTA)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_VYPIS_POHD ON HB24.VYPIS_POHD(ID_VYPIS_POHD)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_VYPIS_POHUS ON HB24.VYPIS_POHUS(ID_VYPIS_POHUS)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XUR01_APPID ON HB24.XUR01_APPID(ID_XUR01_APPID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_XUR01_UOF ON HB24.XUR01_UOF(ID_XUR01_UOF)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_169_FK ON HB24.XUR01_UOF(XUR01USERID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_170_FK ON HB24.XUR01_UOF(ID_UCET_DET)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_171_FK ON HB24.XUR01_UOF(ID_OBCH_FUNKCE)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_172_FK ON HB24.XUR01_UOF(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_173_FK ON HB24.XUR01_UOF(ID_OPERATOR_Z)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_176_FK ON HB24.SABL_TPS_HLAVA(ID_UCET)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_926_FK ON HB24.XUR01_APPID(XUR01USERID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_927_FK ON HB24.XUR01_APPID(ID_OPERATOR_Z)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_928_FK ON HB24.XUR01_APPID(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_933_FK ON HB24.VYPIS_POHUS(ID_VYPIS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_934_FK ON HB24.VYPIS_POHD(ID_VYPIS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_935_FK ON HB24.VYPIS_KKARTA(ID_VYPIS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_936_FK ON HB24.VYPIS(ID_UCET_DET)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_937_FK ON HB24.VYPIS(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_938_FK ON HB24.UCET_DET(ID_UCET)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_939_FK ON HB24.UCET_DET(ID_OPERATOR_Z)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_940_FK ON HB24.UCET_DET(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_946_FK ON HB24.SABLONA_ZPS(ID_UCET_POPL)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_947_FK ON HB24.SABLONA_ZPS(ID_UCET)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_948_FK ON HB24.SABLONA_ZPS(ID_TYP_PLATBY)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_949_FK ON HB24.SABLONA_ZPS(ID_OPERATOR_Z)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_950_FK ON HB24.SABLONA_ZPS(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_951_FK ON HB24.SABLONA_ZPS(ID_MENA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_952_FK ON HB24.SABLONA_ZPS(ID_APPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_982_FK ON HB24.DISP_UCET(ID_OPERATOR_Z)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_983_FK ON HB24.DISP_UCET(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_984_FK ON HB24.DISP_UCET(ID_UCET)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_985_FK ON HB24.DISP_UCET(ID_DISPONENT_2)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_986_FK ON HB24.DISP_UCET(ID_DISPONENT_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_987_FK ON HB24.DISPONENT(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_988_FK ON HB24.DISPONENT(ID_OPERATOR_Z)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_989_FK ON HB24.DISPONENT(ID_IPPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_990_FK ON HB24.XUR01_APPID(ID_APPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_991_FK ON HB24.UCET_DET(ID_APPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_994_FK ON HB24.DISPONENT(ID_APPID)
  TABLESPACE &&index_tablespace;


ALTER TABLE HB24.AVIZO_TPS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.AVIZO_TPS CASCADE CONSTRAINTS;

CREATE TABLE HB24.AVIZO_TPS
(
  ID_AVIZO_TPS        NUMBER(10)                NOT NULL,
  ID_UCET_DET         NUMBER(10)                NOT NULL,
  TYP_AVIZA           VARCHAR2(3)          NOT NULL,
  TYP_VETY            VARCHAR2(15)             NULL,
  TRACE_ID            VARCHAR2(40)         NOT NULL,
  DATUM_ZAUCT         DATE                      NOT NULL,
  DATUM_SPLAT         DATE                          NULL,
  DATUM_ODUCT         DATE                          NULL,
  CISLO_TRANS         NUMBER(16)                    NULL,
  CASTKA              NUMBER(15,2)              NOT NULL,
  ZUSTATEK            NUMBER(15,2)                  NULL,
  KS                  NUMBER(16)                NOT NULL,
  VS                  NUMBER(16)                    NULL,
  SS                  NUMBER(16)                    NULL,
  KOD_BANKA_PROTIUCT  VARCHAR2(15)             NULL,
  CISLO_PROTIUCTU     NUMBER(16)                    NULL,
  NAZEV_PROTISTRANY   VARCHAR2(40)             NULL,
  VS_PLATCE           NUMBER(16)                    NULL,
  SS_PLATCE           NUMBER(16)                    NULL,
  ZPRAVA_PRIJEMCI1    VARCHAR2(40)             NULL,
  ZPRAVA_PRIJEMCI2    VARCHAR2(40)             NULL,
  ZPRAVA_PRIJEMCI3    VARCHAR2(40)             NULL,
  ZPRAVA_PRIJEMCI4    VARCHAR2(40)             NULL,
  ZPRAVA_PLATCI1      VARCHAR2(40)             NULL,
  ZPRAVA_PLATCI2      VARCHAR2(40)             NULL,
  ZPRAVA_PLATCI3      VARCHAR2(40)             NULL,
  ZPRAVA_PLATCI4      VARCHAR2(40)             NULL,
  REF_BANKA           VARCHAR2(40)             NULL,
  POPIS_POLOZKY       VARCHAR2(40)             NULL,
  CISLO_SOUPISKY      NUMBER(10)                    NULL,
  VAHA                NUMBER(10)                    NULL,
  POZNAMKA            VARCHAR2(255)            NULL,
  DATUM_1             DATE                      NOT NULL,
  STATUS              CHAR(1)              NOT NULL,
  STATUS_AKTUALNI     CHAR(1)                  NULL,
  ID_MENA             NUMBER(10)                    NULL,
  ZUSTATEK_DISP       NUMBER(15,2)                  NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.AVIZO_ZPS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.AVIZO_ZPS CASCADE CONSTRAINTS;

CREATE TABLE HB24.AVIZO_ZPS
(
  ID_AVIZO_ZPS        NUMBER(10)                NOT NULL,
  ID_UCET_DET         NUMBER(10)                NOT NULL,
  TYP_AVIZA           CHAR(3)              NOT NULL,
  TRACE_ID            VARCHAR2(40)         NOT NULL,
  REF_BANKA           VARCHAR2(40)             NULL,
  REF_KLIENT          VARCHAR2(40)             NULL,
  ADR_KLIENTA1        VARCHAR2(40)             NULL,
  ADR_KLIENTA2        VARCHAR2(40)             NULL,
  ADR_KLIENTA3        VARCHAR2(40)             NULL,
  ADR_KLIENTA4        VARCHAR2(40)             NULL,
  CISLO_PROTIUCTU     VARCHAR2(40)             NULL,
  KOD_BANKA_PROTIUCT  VARCHAR2(40)             NULL,
  ADR_BANKA_PROTIUC1  VARCHAR2(40)             NULL,
  ADR_BANKA_PROTIUC2  VARCHAR2(40)             NULL,
  ADR_BANKA_PROTIUC3  VARCHAR2(40)             NULL,
  ADR_BANKA_PROTIUC4  VARCHAR2(40)             NULL,
  ADR_PROTISTRANY1    VARCHAR2(40)             NULL,
  ADR_PROTISTRANY2    VARCHAR2(40)             NULL,
  ADR_PROTISTRANY3    VARCHAR2(40)             NULL,
  ADR_PROTISTRANY4    VARCHAR2(40)             NULL,
  PLATEBNI_TITUL      CHAR(15)                 NULL,
  UCEL_PLATBY1        VARCHAR2(40)             NULL,
  UCEL_PLATBY2        VARCHAR2(40)             NULL,
  UCEL_PLATBY3        VARCHAR2(40)             NULL,
  UCEL_PLATBY4        VARCHAR2(40)             NULL,
  CASTKA_MENA         NUMBER(15,2)              NOT NULL,
  CASTKA              NUMBER(15,2)              NOT NULL,
  KURZ                NUMBER(16,8)              NOT NULL,
  ZUSTATEK            NUMBER(15,2)                  NULL,
  DATUM_SPLAT         DATE                          NULL,
  DATUM_ZPRACOVANI    DATE                          NULL,
  DATUM_SPLAT_ORIG    DATE                          NULL,
  UHRADA_VYLOH        CHAR(15)                 NULL,
  CASTKA_VYL_TUZ      NUMBER(15,2)                  NULL,
  CASTKA_VYL_ZAHR     NUMBER(15,2)                  NULL,
  CASTKA_VYL_OST      NUMBER(15,2)                  NULL,
  ZPRAVA_PRIJEMCI1    VARCHAR2(40)             NULL,
  ZPRAVA_PRIJEMCI2    VARCHAR2(40)             NULL,
  ZPRAVA_PRIJEMCI3    VARCHAR2(40)             NULL,
  ZPRAVA_PRIJEMCI4    VARCHAR2(40)             NULL,
  ZPRAVA_PRIJEMCI5    VARCHAR2(40)             NULL,
  VAHA                NUMBER(10)                NOT NULL,
  DATUM_1             DATE                      NOT NULL,
  STATUS              CHAR(15)             NOT NULL,
  ID_MENA_VYL_OST     NUMBER(10)                    NULL,
  ID_MENA_VYL_ZAHR    NUMBER(10)                    NULL,
  ID_MENA_VYL_TUZ     NUMBER(10)                    NULL,
  ID_MENA_PLATBY      NUMBER(10)                NOT NULL,
  STATUS_AKTUALNI     CHAR(1)                  NULL,
  NSKB                VARCHAR2(34)             NULL,
  ID_MENA_UCTU        NUMBER(20)               NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.DAVKA DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.DAVKA CASCADE CONSTRAINTS;

CREATE TABLE HB24.DAVKA
(
  ID_DAVKA        NUMBER(10)                    NOT NULL,
  ID_APPID        NUMBER(10)                    NOT NULL,
  SOUBOR          VARCHAR2(255)                NULL,
  CISLO_DAVKY     VARCHAR2(15)             NOT NULL,
  TYP_DAVKY       CHAR(1)                  NOT NULL,
  STATUS          CHAR(1)                  NOT NULL,
  DATUM_TIP       DATE                          NOT NULL,
  ID_OPER_TIP     NUMBER(10)                    NOT NULL,
  DATUM_PODP1     DATE                              NULL,
  ID_DISP_PODP1   NUMBER(10)                        NULL,
  DATUM_PODP2     DATE                              NULL,
  ID_DISP_PODP2   NUMBER(10)                        NULL,
  DATUM_POSL      DATE                              NULL,
  ID_DISP_POSL    NUMBER(10)                        NULL,
  POZNAMKA        VARCHAR2(255)                NULL,
  DATUM_ZRUS      DATE                              NULL,
  ID_DISP_ZRUS    NUMBER(10)                        NULL,
  DATUM_POTVRD    DATE                              NULL,
  ID_DISP_POTVRD  NUMBER(10)                        NULL,
  REZIM_DAVKY     CHAR(1)                      NULL,
  TRANSFER        CHAR(1)                      NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.DAVKA_CHYBY DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.DAVKA_CHYBY CASCADE CONSTRAINTS;

CREATE TABLE HB24.DAVKA_CHYBY
(
  ID_DAVKA_CHYBY  NUMBER(10)                    NOT NULL,
  ID_DAVKA        NUMBER(10)                    NOT NULL,
  ID_CHYBA        NUMBER(10)                    NOT NULL,
  DATUM_1         DATE                          NOT NULL,
  POZNAMKA        VARCHAR2(255)                NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.KARTA_DAVKY DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.KARTA_DAVKY CASCADE CONSTRAINTS;

CREATE TABLE HB24.KARTA_DAVKY
(
  ID_KARTA_DAVKY  NUMBER(10)                    NOT NULL,
  ID_XUR01_APPID  NUMBER(10)                    NOT NULL,
  ADRESAR         VARCHAR2(255)            NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.KARTA_IMPEXP DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.KARTA_IMPEXP CASCADE CONSTRAINTS;

CREATE TABLE HB24.KARTA_IMPEXP
(
  ID_KARTA_IMPEXP             NUMBER(10)     NOT NULL,
  ID_XUR01_APPID              NUMBER(10)     NOT NULL,
  IMP_CH_ODMITNOUT            CHAR(1)       NOT NULL,
  IMP_ADRESAR                 VARCHAR2(255) NOT NULL,
  EXP_ADRESAR                 VARCHAR2(255) NOT NULL,
  AUTOIMPORT                  CHAR(1)           NULL,
  AI_MOVE_DIR                 CHAR(1)           NULL,
  ARCH_ADRESAR                VARCHAR2(255)     NULL,
  PAY_ORDER_FILE              VARCHAR2(255)     NULL,
  PAY_ORDER_FOREIGN_FILE      VARCHAR2(255)     NULL,
  USERS_FILE                  VARCHAR2(255)     NULL,
  PAY_ORDER_FILE_EXP          VARCHAR2(255)     NULL,
  PAY_ORDER_FOREIGN_FILE_EXP  VARCHAR2(255)     NULL,
  QUOTES_FILE_EXP             VARCHAR2(255)     NULL,
  VYPISY_FILE_EXP             VARCHAR2(255)     NULL,
  AVIZA_FILE_EXP              VARCHAR2(255)     NULL,
  USERS_FILE_EXP              VARCHAR2(255)     NULL,
  UNSELECT_ROWS_EXP           CHAR(1)           NULL,
  FILE_PLUS_DATE_EXP          CHAR(1)           NULL,
  ARCH_ADRESAR_DAVKA          VARCHAR2(255)     NULL,
  ARCH_MOVE_DAVKA             CHAR(1)           NULL,
  VYPISY_FILE_EXP_VICE        CHAR(1)            NULL,
  VYPISY_COLOR_ROWS_EXP       CHAR(1)            NULL,
  IMP_DATA_ADRESAR            CHAR(255)          NULL,
  ZAL_DB_ADRESAR              CHAR(255)          NULL,
  ZAL_DB_SOUBOR               CHAR(255)          NULL,
  ZAL_DB_PRIDAT_DATUM         CHAR(1)            NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.KARTA_KLIENT DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.KARTA_KLIENT CASCADE CONSTRAINTS;

CREATE TABLE HB24.KARTA_KLIENT
(
  ID_KARTA_KLIENT  NUMBER(10)                   NOT NULL,
  ID_XUR01_APPID   NUMBER(10)                   NOT NULL,
  OMEZENI          CHAR(1)                 NOT NULL,
  ID_KLIENT        NUMBER(10)                       NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.KARTA_PRIKAZY DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.KARTA_PRIKAZY CASCADE CONSTRAINTS;

CREATE TABLE HB24.KARTA_PRIKAZY
(
  ID_KARTA_PRIKAZY       NUMBER(10)        NOT NULL,
  ID_XUR01_APPID         NUMBER(10)        NOT NULL,
  ZOBR_SYMB_PLATCE       CHAR(1)           NOT NULL,
  PRESUN_POZN            CHAR(1)           NOT NULL,
  BANK_SPOJENI           CHAR(1)           NOT NULL,
  ZOBR_KSYMB_PLATCE      CHAR(1)               NULL,
  SORT_ACCOUNT_CUSTOMER  CHAR(1)               NULL,
  SORT_ACCOUNT_TPS       CHAR(1)               NULL,
  SORT_ACCOUNT_ZPS       CHAR(1)               NULL,
  NEZARAZENEPRIKAZY      CHAR(1)               NULL,
  ZOBRZPRPLATPRIJ        CHAR(1)               NULL,
  ZOBRPOZNPLAT           CHAR(1)               NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.KARTA_VAROVANI DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.KARTA_VAROVANI CASCADE CONSTRAINTS;

CREATE TABLE HB24.KARTA_VAROVANI
(
  ID_KARTA_VAROVANI  NUMBER(10)                 NOT NULL,
  ID_XUR01_APPID     NUMBER(10)                 NOT NULL,
  ZOBR_CHYBY_PODP    CHAR(1)               NOT NULL,
  CERTIFIKAT_DNY     NUMBER(10)                     NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.PRIKAZ_TPS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.PRIKAZ_TPS CASCADE CONSTRAINTS;

CREATE TABLE HB24.PRIKAZ_TPS
(
  ID_PRIKAZ_TPS       NUMBER(10)                NOT NULL,
  ID_APPID            NUMBER(10)                NOT NULL,
  ID_DAVKA            NUMBER(10)                    NULL,
  ID_TYP_CC           NUMBER(10)                NOT NULL,
  ID_TYP_DORUCENI     NUMBER(10)                    NULL,
  ID_UCET             NUMBER(10)                    NULL,
  DATUM_TIP           DATE                      NOT NULL,
  ID_OPER_TIP         NUMBER(10)                NOT NULL,
  DATUM_DAVKA         DATE                          NULL,
  ID_OPER_DAVKA       NUMBER(10)                    NULL,
  STATUS              CHAR(1)              NOT NULL,
  TRACE_ID            VARCHAR2(40)             NULL,
  DATUM_SPLAT         DATE                      NOT NULL,
  CASTKA              NUMBER(15,2)              NOT NULL,
  CISLO_PROTIUCTU     VARCHAR2(16)         NOT NULL,
  KOD_BANKA_PROTIUCT  VARCHAR2(15)         NOT NULL,
  KS                  VARCHAR2(15)             NULL,
  VS                  NUMBER(16)                    NULL,
  VS_PLATCE           NUMBER(16)                    NULL,
  SS                  NUMBER(16)                    NULL,
  SS_PLATCE           NUMBER(16)                    NULL,
  ZPRAVA_PRIJEMCI1    VARCHAR2(40)             NULL,
  ZPRAVA_PRIJEMCI2    VARCHAR2(40)             NULL,
  ZPRAVA_PRIJEMCI3    VARCHAR2(40)             NULL,
  ZPRAVA_PRIJEMCI4    VARCHAR2(40)             NULL,
  ZPRAVA_PLATCI1      VARCHAR2(40)             NULL,
  ZPRAVA_PLATCI2      VARCHAR2(40)             NULL,
  ZPRAVA_PLATCI3      VARCHAR2(40)             NULL,
  ZPRAVA_PLATCI4      VARCHAR2(40)             NULL,
  ID_OBCH_FUNKCE      NUMBER(10)                    NULL,
  ID_AVIZO_TPS        NUMBER(10)                    NULL,
  NEEX_CISLO_UCTU     VARCHAR2(17)             NULL,
  ID_MENA             NUMBER(20)               NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.PRIKAZ_TPS_CHYBY DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.PRIKAZ_TPS_CHYBY CASCADE CONSTRAINTS;

CREATE TABLE HB24.PRIKAZ_TPS_CHYBY
(
  ID_PRIKAZ_TPS_CHYBY  NUMBER(10)               NOT NULL,
  ID_PRIKAZ_TPS        NUMBER(10)               NOT NULL,
  ID_CHYBA             NUMBER(10)               NOT NULL,
  DATUM_1              DATE                     NOT NULL,
  POZNAMKA             VARCHAR2(255)           NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.PRIKAZ_TPS_HIST DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.PRIKAZ_TPS_HIST CASCADE CONSTRAINTS;

CREATE TABLE HB24.PRIKAZ_TPS_HIST
(
  ID_PRIKAZ_TPS_HIST  NUMBER(10)                NOT NULL,
  ID_STATUS           NUMBER(10)                NOT NULL,
  ID_OPERATOR_1       NUMBER(10)                NOT NULL,
  ID_PRIKAZ_TPS       NUMBER(10)                NOT NULL,
  DATUM_1             DATE                      NOT NULL,
  POZNAMKA            VARCHAR2(255)            NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.PRIKAZ_TPS_HIST_CTX DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.PRIKAZ_TPS_HIST_CTX CASCADE CONSTRAINTS;

CREATE TABLE HB24.PRIKAZ_TPS_HIST_CTX
(
  ID_PRIKAZ_TPS_HIST_CTX  NUMBER(10)            NOT NULL,
  ID_PRIKAZ_TPS_HIST      NUMBER(10)            NOT NULL,
  ID_CTX_TYPE             NUMBER(10)                NULL,
  CTX_DATA                VARCHAR2(255)        NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.PRIKAZ_ZPS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.PRIKAZ_ZPS CASCADE CONSTRAINTS;

CREATE TABLE HB24.PRIKAZ_ZPS
(
  ID_PRIKAZ_ZPS       NUMBER(10)                NOT NULL,
  ID_APPID            NUMBER(10)                NOT NULL,
  ID_DAVKA            NUMBER(10)                    NULL,
  ID_UCET             NUMBER(10)                    NULL,
  ID_TYP_PLATBY       NUMBER(10)                NOT NULL,
  DATUM_TIP           DATE                      NOT NULL,
  ID_OPER_TIP         NUMBER(10)                NOT NULL,
  DATUM_DAVKA         DATE                          NULL,
  ID_OPER_DAVKA       NUMBER(10)                    NULL,
  STATUS              CHAR(1)              NOT NULL,
  TRACE_ID            VARCHAR2(40)             NULL,
  REF_PLATCE          VARCHAR2(40)             NULL,
  DATUM_SPLAT         DATE                      NOT NULL,
  CASTKA              NUMBER(15,2)                  NULL,
  ID_MENA             NUMBER(10)                NOT NULL,
  CISLO_PROTIUCTU     VARCHAR2(40)             NULL,
  NAZEV_PROTIUCTU     VARCHAR2(40)             NULL,
  SWIFT_KOD           VARCHAR2(15)             NULL,
  NAZEV_BANKY         VARCHAR2(40)             NULL,
  ADR_BANKA_PROTIUC1  VARCHAR2(40)             NULL,
  ADR_BANKA_PROTIUC2  VARCHAR2(40)             NULL,
  ADR_BANKA_PROTIUC3  VARCHAR2(40)             NULL,
  ISO_BANKA_PRIJEMCE  VARCHAR2(15)             NULL,
  ADR_PROTISTRANY1    VARCHAR2(40)             NULL,
  ADR_PROTISTRANY2    VARCHAR2(40)             NULL,
  ADR_PROTISTRANY3    VARCHAR2(40)             NULL,
  ADR_PROTISTRANY4    VARCHAR2(40)             NULL,
  ISO_ZEM_PRIJEMCE    VARCHAR2(15)             NULL,
  PLATEBNI_TITUL      VARCHAR2(15)         NOT NULL,
  UHRADA_VYLOH        VARCHAR2(15)         NOT NULL,
  UCEL_PLATBY1        VARCHAR2(40)             NULL,
  UCEL_PLATBY2        VARCHAR2(40)             NULL,
  UCEL_PLATBY3        VARCHAR2(40)             NULL,
  UCEL_PLATBY4        VARCHAR2(40)             NULL,
  ZPRAVA_BANCE1       VARCHAR2(40)             NULL,
  ZPRAVA_BANCE2       VARCHAR2(40)             NULL,
  ZPRAVA_BANCE3       VARCHAR2(40)             NULL,
  ZPRAVA_BANCE4       VARCHAR2(40)             NULL,
  ID_UCET_POPL        NUMBER(10)                    NULL,
  KONTAKT_PLATCE      VARCHAR2(40)             NULL,
  TYP_CASTKY          CHAR(1)                  NULL,
  CASTKA_FIX          NUMBER(15,2)                  NULL,
  ID_AVIZO_ZPS        NUMBER(10)                    NULL,
  ID_KURZ             NUMBER(10)                    NULL,
  NS_KOD_BANKY        VARCHAR2(35)             NULL,
  NEEX_CISLO_UCTU     VARCHAR2(17)             NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.PRIKAZ_ZPS_CHYBY DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.PRIKAZ_ZPS_CHYBY CASCADE CONSTRAINTS;

CREATE TABLE HB24.PRIKAZ_ZPS_CHYBY
(
  ID_PRIKAZ_TPS_CHYBY  NUMBER(10)               NOT NULL,
  ID_PRIKAZ_ZPS        NUMBER(10)               NOT NULL,
  ID_CHYBA             NUMBER(10)               NOT NULL,
  DATUM_1              DATE                     NOT NULL,
  POZNAMKA             VARCHAR2(255)           NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.PRIKAZ_ZPS_HIST DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.PRIKAZ_ZPS_HIST CASCADE CONSTRAINTS;

CREATE TABLE HB24.PRIKAZ_ZPS_HIST
(
  ID_PRIKAZ_ZPS_HIST  NUMBER(10)                NOT NULL,
  ID_PRIKAZ_ZPS       NUMBER(10)                NOT NULL,
  ID_STATUS           NUMBER(10)                NOT NULL,
  ID_OPERATOR_1       NUMBER(10)                NOT NULL,
  DATUM_1             DATE                      NOT NULL,
  POZNAMKA            VARCHAR2(255)            NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.PRIKAZ_ZPS_HIST_CTX DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.PRIKAZ_ZPS_HIST_CTX CASCADE CONSTRAINTS;

CREATE TABLE HB24.PRIKAZ_ZPS_HIST_CTX
(
  ID_PRIKAZ_ZPS_HIST_CTX  NUMBER(10)            NOT NULL,
  ID_PRIKAZ_ZPS_HIST      NUMBER(10)            NOT NULL,
  ID_CTX_TYPE             NUMBER(10)                NULL,
  CTX_DATA                VARCHAR2(255)        NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.SABLONA_TPS DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.SABLONA_TPS CASCADE CONSTRAINTS;

CREATE TABLE HB24.SABLONA_TPS
(
  ID_SABLONA_TPS      NUMBER(10)                NOT NULL,
  ID_APPID            NUMBER(10)                NOT NULL,
  NAZEV               VARCHAR2(40)         NOT NULL,
  STATUS              CHAR(1)              NOT NULL,
  ID_UCET             NUMBER(10)                    NULL,
  ID_TYP_CC           NUMBER(10)                    NULL,
  ID_TYP_DORUCENI     NUMBER(10)                    NULL,
  CASTKA              NUMBER(15,2)                  NULL,
  CISLO_PROTIUCTU     VARCHAR2(16)             NULL,
  KOD_BANKA_PROTIUCT  VARCHAR2(15)             NULL,
  KS                  VARCHAR2(15)             NULL,
  VS                  NUMBER(16)                    NULL,
  VS_PLATCE           NUMBER(16)                    NULL,
  SS                  NUMBER(16)                    NULL,
  SS_PLATCE           NUMBER(16)                    NULL,
  ZPRAVA_PRIJEMCI1    VARCHAR2(40)             NULL,
  ZPRAVA_PRIJEMCI2    VARCHAR2(40)             NULL,
  ZPRAVA_PRIJEMCI3    VARCHAR2(40)             NULL,
  ZPRAVA_PRIJEMCI4    VARCHAR2(40)             NULL,
  ZPRAVA_PLATCI1      VARCHAR2(40)             NULL,
  ZPRAVA_PLATCI2      VARCHAR2(40)             NULL,
  ZPRAVA_PLATCI3      VARCHAR2(40)             NULL,
  ZPRAVA_PLATCI4      VARCHAR2(40)             NULL,
  DATUM_1             DATE                      NOT NULL,
  ID_OPERATOR_1       NUMBER(10)                NOT NULL,
  DATUM_Z             DATE                          NULL,
  ID_OPERATOR_Z       NUMBER(10)                    NULL,
  POZNAMKA            VARCHAR2(255)            NULL,
  ID_OBCH_FUNKCE      NUMBER(10)                    NULL,
  ID_SABL_TPS_HLAVA   NUMBER(10)                    NULL,
  ID_MENA             NUMBER(20)                NOT NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.VYPIS_POH_POP DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.VYPIS_POH_POP CASCADE CONSTRAINTS;

CREATE TABLE HB24.VYPIS_POH_POP
 (
  ID_VYPIS_POH_POP INTEGER      NOT NULL PRIMARY KEY USING INDEX TABLESPACE &&index_tablespace,
  ID_VYPIS_POHYB   INTEGER      NOT NULL,
  CISLO_POPUCTU    VARCHAR2(16) NULL,
  POPL_VEDENI      NUMERIC      NULL,
  POPL_TRANS       NUMERIC      NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.VYPIS_POH_POP_DET DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.VYPIS_POH_POP_DET CASCADE CONSTRAINTS;

CREATE TABLE HB24.VYPIS_POH_POP_DET
 (
  ID_VYPIS_POH_POP_DET INTEGER      NOT NULL PRIMARY KEY USING INDEX TABLESPACE &&index_tablespace,
  ID_VYPIS_POH_POP     INTEGER      NOT NULL,
  POCET_TRANS          INTEGER      NULL,
  TYP_TRANS            VARCHAR2(40) NULL,
  CELKEM               NUMERIC      NULL
)
TABLESPACE &&table_tablespace;


ALTER TABLE HB24.CURRENCY_EU DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.CURRENCY_EU CASCADE CONSTRAINTS;
Create Table HB24.CURRENCY_EU (ID_MENA int Not Null,  EU_EEA varchar(1) Not Null) TABLESPACE &&table_tablespace;

ALTER TABLE HB24.COUNTRY DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.COUNTRY CASCADE CONSTRAINTS;
Create Table HB24.COUNTRY (ID_STAT int Not Null, EUREG varchar(1) Not Null, EU_EEA  varchar(1) Not Null) TABLESPACE &&table_tablespace;

ALTER TABLE HB24.IBAN_VAL DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.IBAN_VAL CASCADE CONSTRAINTS;
Create Table HB24.IBAN_VAL (ID_IBAN_VAL int, ID_STAT int Not Null, COUNTRY_CODE varchar(2) Not Null, LENGTH int Not Null) TABLESPACE &&table_tablespace;

ALTER TABLE HB24.VYPIS_UV_95 DROP PRIMARY KEY CASCADE;
DROP TABLE HB24.VYPIS_UV_95 CASCADE CONSTRAINTS;
Create Table HB24.VYPIS_UV_95 (ID_VYPIS_UV_95 int,ID_VYPIS Int NOT NULL, DATUM_LAST Date NOT NULL, DATUM_ACT Date NOT NULL, ID_MENA Int NOT NULL, DLUH_PO_SPLAT Decimal(15,2) NULL, DLUH_JISTINA Decimal(12,2) NULL, DLUH_UROKY Decimal(12,2) NULL, DLUH_POPLATKY Decimal(12,2) NULL, DLUH_UROKY_PROD	Decimal(12,2) NULL ) TABLESPACE &&table_tablespace;

Alter Table HB24.VYPIS_UV_95 Add Constraint PK_VYPIS_UV_95 Primary Key (ID_VYPIS_UV_95);
Alter Table HB24.VYPIS_UV_95 Add Constraint FK_VYPIS_UV_95_VYPIS_IDVYPIS Foreign Key (ID_VYPIS) References HB24.VYPIS(ID_VYPIS);
Alter Table HB24.PRIKAZ_ZPS Modify (PLATEBNI_TITUL varchar(15) null);
Alter Table HB24.CURRENCY_EU Add Constraint PK_CURRENCY_EU Primary Key (ID_MENA);
Alter Table HB24.CURRENCY_EU Add Constraint FK_CURRENCY_EU_CISELNIK_IDMENA Foreign Key (ID_MENA) References HB24.CISELNIKY(ID_CISELNIKY);
Alter Table HB24.COUNTRY Add Constraint PK_COUNTRY Primary Key (ID_STAT);
Alter Table HB24.COUNTRY Add Constraint FK_COUNTRY_CISELNIK_IDSTAT Foreign Key (ID_STAT) References HB24.CISELNIKY(ID_CISELNIKY);
Alter Table HB24.IBAN_VAL Add Constraint PK_IBAN_VAL Primary Key (ID_IBAN_VAL);
Alter Table HB24.IBAN_VAL Add Constraint FK_IBAN_VAL_CISELNIK_IDSTAT Foreign Key (ID_STAT) References HB24.CISELNIKY(ID_CISELNIKY);

Alter Table HB24.IPPID Add CISLOCERT2 number;
Alter Table HB24.IPPID Add DATUM_CERT_END2 date;
Alter Table HB24.IPPID Add STATUS_CERT2 char(1);
Alter Table HB24.IPPID Add TYP_CERT2 char(1);
Alter Table HB24.IPPID Add CISLOCERT3 number;
Alter Table HB24.IPPID Add DATUM_CERT_END3 date;
Alter Table HB24.IPPID Add STATUS_CERT3 char(1);
Alter Table HB24.IPPID Add TYP_CERT3 char(1);
Alter Table HB24.IPPID Add CISLOCERT4 number;
Alter Table HB24.IPPID Add DATUM_CERT_END4 date;
Alter Table HB24.IPPID Add STATUS_CERT4 char(1);
Alter Table HB24.IPPID Add TYP_CERT4 char(1);
Alter Table HB24.IPPID Add CISLOCERT5 number;
Alter Table HB24.IPPID Add DATUM_CERT_END5 date;
Alter Table HB24.IPPID Add STATUS_CERT5 char(1);
Alter Table HB24.IPPID Add TYP_CERT5 char(1);
Alter Table HB24.IPPID Add CISLOCERT6 number;
Alter Table HB24.IPPID Add DATUM_CERT_END6 date;
Alter Table HB24.IPPID Add STATUS_CERT6 char(1);
Alter Table HB24.IPPID Add TYP_CERT6 char(1);
Alter Table HB24.IPPID Add CISLOCERT7 number;
Alter Table HB24.IPPID Add DATUM_CERT_END7 date;
Alter Table HB24.IPPID Add STATUS_CERT7 char(1);
Alter Table HB24.IPPID Add TYP_CERT7 char(1);
Alter Table HB24.IPPID Add CISLOCERT8 number;
Alter Table HB24.IPPID Add DATUM_CERT_END8 date;
Alter Table HB24.IPPID Add STATUS_CERT8 char(1);
Alter Table HB24.IPPID Add TYP_CERT8 char(1);


CREATE UNIQUE INDEX HB24.HB24_FK_HAVIZO_ZPS ON HB24.AVIZO_ZPS(ID_AVIZO_ZPS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_AVTPS_TRACE_ID ON HB24.AVIZO_TPS(TRACE_ID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_AVZPS_TRACE_ID ON HB24.AVIZO_ZPS(TRACE_ID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_DAV_CISDAV ON HB24.DAVKA(CISLO_DAVKY)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_PTPS_STATUS ON HB24.PRIKAZ_TPS(STATUS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_PTPS_TRACE_ID ON HB24.PRIKAZ_TPS(TRACE_ID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_PZPS_STATUS ON HB24.PRIKAZ_ZPS(STATUS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.IX_PZPS_TRACE_ID ON HB24.PRIKAZ_ZPS(TRACE_ID)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_AVIZO_TPS ON HB24.AVIZO_TPS(ID_AVIZO_TPS)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_DAVKA ON HB24.DAVKA(ID_DAVKA)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_DAVKA_CHYBY ON HB24.DAVKA_CHYBY(ID_DAVKA_CHYBY)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_KARTA_DAVKY ON HB24.KARTA_DAVKY(ID_KARTA_DAVKY)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_KARTA_IMPEXP ON HB24.KARTA_IMPEXP(ID_KARTA_IMPEXP)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_KARTA_KLIENT ON HB24.KARTA_KLIENT(ID_KARTA_KLIENT)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_KARTA_PRIKAZY ON HB24.KARTA_PRIKAZY(ID_KARTA_PRIKAZY)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_KARTA_VAROVANI ON HB24.KARTA_VAROVANI(ID_KARTA_VAROVANI)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_PRIKAZ_TPS ON HB24.PRIKAZ_TPS(ID_PRIKAZ_TPS)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_PRIKAZ_TPS_CHYBY ON HB24.PRIKAZ_TPS_CHYBY(ID_PRIKAZ_TPS_CHYBY)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_PRIKAZ_TPS_HIST ON HB24.PRIKAZ_TPS_HIST(ID_PRIKAZ_TPS_HIST)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_PRIKAZ_TPS_HIST_CTX ON HB24.PRIKAZ_TPS_HIST_CTX(ID_PRIKAZ_TPS_HIST_CTX)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_PRIKAZ_ZPS ON HB24.PRIKAZ_ZPS(ID_PRIKAZ_ZPS)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_PRIKAZ_ZPS_CHYBY ON HB24.PRIKAZ_ZPS_CHYBY(ID_PRIKAZ_TPS_CHYBY)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_PRIKAZ_ZPS_HIST ON HB24.PRIKAZ_ZPS_HIST(ID_PRIKAZ_ZPS_HIST)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_PRIKAZ_ZPS_HIST_CTX ON HB24.PRIKAZ_ZPS_HIST_CTX(ID_PRIKAZ_ZPS_HIST_CTX)
  TABLESPACE &&index_tablespace;

CREATE UNIQUE INDEX HB24.PK_SABLONA_TPS ON HB24.SABLONA_TPS(ID_SABLONA_TPS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_126_FK ON HB24.AVIZO_TPS(ID_UCET_DET)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_131_FK ON HB24.PRIKAZ_TPS_HIST(ID_PRIKAZ_TPS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_132_FK ON HB24.PRIKAZ_TPS_HIST(ID_STATUS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_133_FK ON HB24.PRIKAZ_TPS_HIST(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_134_FK ON HB24.PRIKAZ_TPS_HIST_CTX(ID_PRIKAZ_TPS_HIST)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_135_FK ON HB24.PRIKAZ_TPS_HIST_CTX(ID_CTX_TYPE)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_136_FK ON HB24.PRIKAZ_ZPS_HIST(ID_PRIKAZ_ZPS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_137_FK ON HB24.PRIKAZ_ZPS_HIST_CTX(ID_PRIKAZ_ZPS_HIST)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_138_FK ON HB24.PRIKAZ_ZPS_HIST_CTX(ID_CTX_TYPE)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_139_FK ON HB24.PRIKAZ_ZPS_HIST(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_140_FK ON HB24.PRIKAZ_ZPS_HIST(ID_STATUS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_155_FK ON HB24.KARTA_VAROVANI(ID_XUR01_APPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_156_FK ON HB24.KARTA_PRIKAZY(ID_XUR01_APPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_157_FK ON HB24.KARTA_IMPEXP(ID_XUR01_APPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_158_FK ON HB24.KARTA_KLIENT(ID_XUR01_APPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_159_FK ON HB24.KARTA_DAVKY(ID_XUR01_APPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_160_FK ON HB24.KARTA_KLIENT(ID_KLIENT)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_175_FK ON HB24.SABLONA_TPS(ID_SABL_TPS_HLAVA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONSHIP_998_FK ON HB24.DAVKA_CHYBY(ID_DAVKA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_953_FK ON HB24.SABLONA_TPS(ID_UCET)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_954_FK ON HB24.SABLONA_TPS(ID_TYP_DORUCENI)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_955_FK ON HB24.SABLONA_TPS(ID_TYP_CC)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_956_FK ON HB24.SABLONA_TPS(ID_OPERATOR_Z)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_957_FK ON HB24.SABLONA_TPS(ID_OPERATOR_1)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_958_FK ON HB24.SABLONA_TPS(ID_OBCH_FUNKCE)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_959_FK ON HB24.SABLONA_TPS(ID_APPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_960_FK ON HB24.PRIKAZ_ZPS_CHYBY(ID_PRIKAZ_ZPS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_961_FK ON HB24.PRIKAZ_ZPS_CHYBY(ID_CHYBA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_962_FK ON HB24.PRIKAZ_ZPS(ID_OPER_DAVKA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_963_FK ON HB24.PRIKAZ_ZPS(ID_OPER_TIP)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_964_FK ON HB24.PRIKAZ_ZPS(ID_UCET_POPL)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_965_FK ON HB24.PRIKAZ_ZPS(ID_UCET)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_966_FK ON HB24.PRIKAZ_ZPS(ID_MENA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_967_FK ON HB24.PRIKAZ_ZPS(ID_TYP_PLATBY)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_968_FK ON HB24.PRIKAZ_TPS_CHYBY(ID_PRIKAZ_TPS)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_969_FK ON HB24.PRIKAZ_TPS_CHYBY(ID_CHYBA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_970_FK ON HB24.PRIKAZ_TPS(ID_OPER_DAVKA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_971_FK ON HB24.PRIKAZ_TPS(ID_OPER_TIP)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_972_FK ON HB24.PRIKAZ_TPS(ID_UCET)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_973_FK ON HB24.PRIKAZ_TPS(ID_TYP_DORUCENI)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_974_FK ON HB24.PRIKAZ_TPS(ID_TYP_CC)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_992_FK ON HB24.PRIKAZ_ZPS(ID_APPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_993_FK ON HB24.PRIKAZ_TPS(ID_APPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_995_FK ON HB24.DAVKA(ID_APPID)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_996_FK ON HB24.PRIKAZ_ZPS(ID_DAVKA)
  TABLESPACE &&index_tablespace;

CREATE INDEX HB24.RELATIONS_997_FK ON HB24.PRIKAZ_TPS(ID_DAVKA)
  TABLESPACE &&index_tablespace;

CREATE INDEX IX_IPPID_CISLOCERT ON HB24.IPPID(CISLOCERT)
TABLESPACE &&index_tablespace;

CREATE INDEX IX_BANK_SPOJ_NAZEV ON HB24.BANK_SPOJENI(NAZEV)
TABLESPACE &&index_tablespace;

CREATE INDEX IX_BANKSPOJENI_CPROTIUCTU_TPS ON HB24.BANK_SPOJENI(CISLO_PROTIUCTU_TPS)
TABLESPACE &&index_tablespace;

CREATE INDEX IX_IMPPRIKAZTPS_ID_IMP_DAVKA ON HB24.IMP_PRIKAZ_TPS (ID_IMP_DAVKA)
TABLESPACE &&index_tablespace;

CREATE INDEX IX_CISELNIKYPOP_KRATKY_TXT ON HB24.CISELNIKY_POP(KRATKY_TXT)
TABLESPACE &&index_tablespace;

CREATE INDEX IX_BANKSPOJENI_ID_APPID ON HB24.BANK_SPOJENI(ID_APPID)
TABLESPACE &&index_tablespace;

CREATE INDEX IX_AVIZOZPS_ID_UCET_DET ON HB24.AVIZO_ZPS(ID_UCET_DET)
TABLESPACE &&index_tablespace;

CREATE  INDEX IX_BANKSPOJ_STATUS ON HB24.BANK_SPOJENI(STATUS)
TABLESPACE &&index_tablespace;

CREATE  INDEX IX_BANKSPOJ_UZIV_CISLO ON HB24.BANK_SPOJENI(UZIV_CISLO)
TABLESPACE &&index_tablespace;

CREATE INDEX IX_KONVMEN_APPID ON HB24.KONVERZE_MEN (ID_APPID) TABLESPACE &&index_tablespace;

CREATE INDEX IX_KONVMEN_MENASTARA ON HB24.KONVERZE_MEN (ID_MENA_STARA) TABLESPACE &&index_tablespace;

CREATE INDEX IX_KONVMEN_MENANOVA ON HB24.KONVERZE_MEN (ID_MENA_NOVA) TABLESPACE &&index_tablespace;

CREATE INDEX IX_AVIZOZPS_MENAUCTU ON HB24.AVIZO_ZPS (ID_MENA_UCTU) TABLESPACE &&index_tablespace;

CREATE INDEX IX_DISPUCET_MENALIM ON HB24.DISP_UCET (ID_MENA_LIMITU) TABLESPACE &&index_tablespace;

CREATE INDEX IX_HTPS_MENA ON HB24.HROMADNY_TPS (ID_MENA) TABLESPACE &&index_tablespace;

CREATE INDEX IX_KURZY_MVMENA ON HB24.KURZY (ID_MV_MENA) TABLESPACE &&index_tablespace;

CREATE INDEX IX_PRIKAZTPS_MENA ON HB24.PRIKAZ_TPS (ID_MENA) TABLESPACE &&index_tablespace;

CREATE INDEX IX_SABLONATPS_MENA ON HB24.SABLONA_TPS (ID_MENA) TABLESPACE &&index_tablespace;

CREATE INDEX IX_SABLTPSH_MENA ON HB24.SABL_TPS_HLAVA (ID_MENA) TABLESPACE &&index_tablespace;

CREATE INDEX IX_UCET_MENAORIG ON HB24.UCET (ID_MENA_ORIG) TABLESPACE &&index_tablespace;

CREATE INDEX IX_UCETDET_MENALIM ON HB24.UCET_DET (ID_MENA_LIMITU) TABLESPACE &&index_tablespace;

CREATE INDEX IX_VYPIS_MENAUCTU ON HB24.VYPIS (ID_MENA_UCTU) TABLESPACE &&index_tablespace;


ALTER TABLE HB24.CISELNIKY ADD (
  CONSTRAINT PK_CISELNIKY PRIMARY KEY (ID_CISELNIKY)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.CISELNIKY_POP ADD (
  CONSTRAINT PK_CISELNIKY_POP PRIMARY KEY (ID_CISELNIKY_POP)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.EXP_AVIZO_TPS ADD (
  CONSTRAINT PK_EXP_AVIZO_TPS PRIMARY KEY (ID_EXP_AVIZO_TPS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.EXP_AVIZO_ZPS ADD (
  CONSTRAINT PK_EXP_AVIZO_ZPS PRIMARY KEY (ID_EXP_AVIZO_ZPS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.EXP_KURZY ADD (
  CONSTRAINT PK_EXP_KURZY PRIMARY KEY (ID_EXP_KURZY)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.EXP_VYPIS_UR_SAZBA ADD (
  CONSTRAINT PK_EXP_VYPIS_UR_SAZBA PRIMARY KEY (EXP_VYPIS_UR_SAZBA)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.HROMADNY_TPS ADD (
  CONSTRAINT PK_HROMADNY_TPS PRIMARY KEY (ID_HROMADNY_TPS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.IMP_DAVKA ADD (
  CONSTRAINT PK_IMP_DAVKA PRIMARY KEY (ID_IMP_DAVKA)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.IMP_DAVKA_CHYBY ADD (
  CONSTRAINT PK_IMP_DAVKA_CHYBY PRIMARY KEY (ID_IMP_DAVKA_CHYBY)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.IMP_PRIKAZ_TPS ADD (
  CONSTRAINT PK_IMP_PRIKAZ_TPS PRIMARY KEY (ID_IMP_PRIKAZ_TPS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.IMP_PRIKAZ_ZPS ADD (
  CONSTRAINT PK_IMP_PRIKAZ_ZPS PRIMARY KEY (ID_IMP_PRIKAZ_ZPS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.IMP_PR_TPS_CHYBY ADD (
  CONSTRAINT PK_IMP_PR_TPS_CHYBY PRIMARY KEY (ID_IMP_PR_TPS_CHYBY)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.IMP_PR_ZPS_CHYBY ADD (
  CONSTRAINT PK_IMP_PR_ZPS_CHYBY PRIMARY KEY (ID_IMP_PR_ZPS_CHYBY)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.KALENDAR ADD (
  CONSTRAINT PK_KALENDAR PRIMARY KEY (ID_KALENDAR)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.KARTA_PRINT ADD (
  CONSTRAINT PK_KARTA_PRINT PRIMARY KEY (ID_KARTA_PRINT)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.OBCH_FUNKCE ADD (
  CONSTRAINT PK_OBCH_FUNKCE PRIMARY KEY (ID_OBCH_FUNKCE)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.SWIFT ADD (
  CONSTRAINT PK_SWIFT PRIMARY KEY (ID_SWIFT)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.SYSTEM_PARM ADD (
  CONSTRAINT PK_SYSTEM_PARM PRIMARY KEY (ID_SYSTEM_PARM)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.VYPIS_POHYB ADD (
  CONSTRAINT HB24_PK_VYPIS_POHYB PRIMARY KEY (ID_VYPIS_POHYB)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.VYPIS_UR_SAZBA ADD (
  CONSTRAINT PK_VYPIS_UR_SAZBA PRIMARY KEY (ID_VYPIS_UR_SAZBA)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XLG01 ADD (
  CONSTRAINT PK_XLG01 PRIMARY KEY (XLG01LOGDEFID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XLG02 ADD (
  CONSTRAINT PK_XLG02 PRIMARY KEY (XLG02LOGSETID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XLG03 ADD (
  CONSTRAINT PK_XLG03 PRIMARY KEY (XLG03LOGMSGID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XRG01 ADD (
  CONSTRAINT PK_XRG01 PRIMARY KEY (XRG01OBJECTID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XTR01 ADD (
  CONSTRAINT PK_XTR01 PRIMARY KEY (XTR01APPID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XTR02 ADD (
  CONSTRAINT PK_XTR02 PRIMARY KEY (XTR02LANGID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XTR03 ADD (
  CONSTRAINT PK_XTR03 PRIMARY KEY (XTR03MSGID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XUR01 ADD (
  CONSTRAINT PK_XUR01 PRIMARY KEY (XUR01USERID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XUR02 ADD (
  CONSTRAINT PK_XUR02 PRIMARY KEY (XUR02OBJECTID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XUR03 ADD (
  CONSTRAINT PK_XUR03 PRIMARY KEY (XUR03RIGHTSID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XUR06 ADD (
  CONSTRAINT PK_XUR06 PRIMARY KEY (XUR06ID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XUR07 ADD (
  CONSTRAINT PK_XUR07 PRIMARY KEY (XUR07ID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.EXP_VYPIS ADD (
  CONSTRAINT PK_EXP_VYPIS PRIMARY KEY (ID_EXP_VYPIS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.EXP_VYPIS_POHYB ADD (
  CONSTRAINT PK_EXP_VYPIS_POHYB PRIMARY KEY (ID_EXP_VYPIS_POHYB)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.IPPID ADD (
  CONSTRAINT PK_IPPID PRIMARY KEY (ID_IPPID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.KLIENT ADD (
  CONSTRAINT PK_KLIENT PRIMARY KEY (ID_KLIENT)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.UCET ADD (
  CONSTRAINT PK_UCET PRIMARY KEY (ID_UCET)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.VYPIS_POH_DEP ADD (
  CONSTRAINT PK_VYPIS_POH_DEP PRIMARY KEY (ID_VYPIS_POH_DEP)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.VYPIS_POH_UVE ADD (
  CONSTRAINT PK_VYPIS_POH_UVE PRIMARY KEY (ID_VYPIS_POH_UVE)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XUR07_UCET ADD (
  CONSTRAINT PK_XUR07_UCET PRIMARY KEY (ID_XUR07_UCET)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.APPID ADD (
  CONSTRAINT PK_APPID PRIMARY KEY (ID_APPID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.BANK_SPOJENI ADD (
  CONSTRAINT PK_BANK_SPOJENI PRIMARY KEY (ID_BANK_SPOJENI)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.DISPONENT ADD (
  CONSTRAINT PK_DISPONENT PRIMARY KEY (ID_DISPONENT)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.DISP_UCET ADD (
  CONSTRAINT PK_DISP_UCET PRIMARY KEY (ID_DISP_UCET)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.SABLONA_ZPS ADD (
  CONSTRAINT PK_SABLONA_ZPS PRIMARY KEY (ID_SABLONA_ZPS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.SABL_TPS_HLAVA ADD (
  CONSTRAINT PK_SABL_TPS_HLAVA PRIMARY KEY (ID_SABL_TPS_HLAVA)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.UCET_DET ADD (
  CONSTRAINT PK_UCET_DET PRIMARY KEY (ID_UCET_DET)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.VYPIS ADD (
  CONSTRAINT HB24_PK_VYPIS PRIMARY KEY (ID_VYPIS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.VYPIS_KKARTA ADD (
  CONSTRAINT PK_VYPIS_KARTA PRIMARY KEY (ID_VYPIS_KKARTA)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.VYPIS_POHD ADD (
  CONSTRAINT PK_VYPIS_POHD PRIMARY KEY (ID_VYPIS_POHD)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.VYPIS_POHUS ADD (
  CONSTRAINT PK_VYPIS_POHUS PRIMARY KEY (ID_VYPIS_POHUS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XUR01_APPID ADD (
  CONSTRAINT PK_XUR01_APPID PRIMARY KEY (ID_XUR01_APPID)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XUR01_UOF ADD (
  CONSTRAINT PK_XUR01_UOF PRIMARY KEY (ID_XUR01_UOF)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.AVIZO_TPS ADD (
  CONSTRAINT PK_AVIZO_TPS PRIMARY KEY (ID_AVIZO_TPS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.AVIZO_ZPS ADD (
  CONSTRAINT HB24_FK_HAVIZO_ZPS PRIMARY KEY (ID_AVIZO_ZPS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.DAVKA ADD (
  CONSTRAINT PK_DAVKA PRIMARY KEY (ID_DAVKA)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.DAVKA_CHYBY ADD (
  CONSTRAINT PK_DAVKA_CHYBY PRIMARY KEY (ID_DAVKA_CHYBY)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.KARTA_DAVKY ADD (
  CONSTRAINT PK_KARTA_DAVKY PRIMARY KEY (ID_KARTA_DAVKY)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.KARTA_IMPEXP ADD (
  CONSTRAINT PK_KARTA_IMPEXP PRIMARY KEY (ID_KARTA_IMPEXP)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.KARTA_KLIENT ADD (
  CONSTRAINT PK_KARTA_KLIENT PRIMARY KEY (ID_KARTA_KLIENT)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.KARTA_PRIKAZY ADD (
  CONSTRAINT PK_KARTA_PRIKAZY PRIMARY KEY (ID_KARTA_PRIKAZY)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.KARTA_VAROVANI ADD (
  CONSTRAINT PK_KARTA_VAROVANI PRIMARY KEY (ID_KARTA_VAROVANI)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.PRIKAZ_TPS ADD (
  CONSTRAINT PK_PRIKAZ_TPS PRIMARY KEY (ID_PRIKAZ_TPS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.PRIKAZ_TPS_CHYBY ADD (
  CONSTRAINT PK_PRIKAZ_TPS_CHYBY PRIMARY KEY (ID_PRIKAZ_TPS_CHYBY)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.PRIKAZ_TPS_HIST ADD (
  CONSTRAINT PK_PRIKAZ_TPS_HIST PRIMARY KEY (ID_PRIKAZ_TPS_HIST)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.PRIKAZ_TPS_HIST_CTX ADD (
  CONSTRAINT PK_PRIKAZ_TPS_HIST_CTX PRIMARY KEY (ID_PRIKAZ_TPS_HIST_CTX)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.PRIKAZ_ZPS ADD (
  CONSTRAINT PK_PRIKAZ_ZPS PRIMARY KEY (ID_PRIKAZ_ZPS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.PRIKAZ_ZPS_CHYBY ADD (
  CONSTRAINT PK_PRIKAZ_ZPS_CHYBY PRIMARY KEY (ID_PRIKAZ_TPS_CHYBY)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.PRIKAZ_ZPS_HIST ADD (
  CONSTRAINT PK_PRIKAZ_ZPS_HIST PRIMARY KEY (ID_PRIKAZ_ZPS_HIST)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.PRIKAZ_ZPS_HIST_CTX ADD (
  CONSTRAINT PK_PRIKAZ_ZPS_HIST_CTX PRIMARY KEY (ID_PRIKAZ_ZPS_HIST_CTX)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.SABLONA_TPS ADD (
  CONSTRAINT PK_SABLONA_TPS PRIMARY KEY (ID_SABLONA_TPS)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.XTR03 ADD (
  CONSTRAINT UK_XTR03_XTR2LNGID_XTR3MSGNAME UNIQUE (XTR02LANGID, XTR03MSGNAME)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE hb24.xrtr01 ADD (
  CONSTRAINT pk_xrtr01 PRIMARY KEY (login_name, host_name, window_name, table_name)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE hb24.xrtr01 ADD (
  CONSTRAINT ch_xrtr01_retrieve CHECK (retrieve IN (0, 1))
 );

ALTER TABLE hb24.xrtr01 ADD (
  CONSTRAINT ch_xrtr01_upd_rights CHECK (upd_rights IN (0, 1))
 );

ALTER TABLE hb24.xrtr01_table ADD (
  CONSTRAINT pk_xrtr01_table PRIMARY KEY (window_name, table_name)
  USING INDEX TABLESPACE &&index_tablespace);

ALTER TABLE HB24.KONVERZE_MEN ADD CONSTRAINT FK_KONVMEN_APPID
  FOREIGN KEY (ID_APPID) REFERENCES HB24.APPID (ID_APPID);

ALTER TABLE HB24.KONVERZE_MEN ADD CONSTRAINT FK_KONVMEN_MENASTARA
  FOREIGN KEY (ID_MENA_STARA) REFERENCES HB24.CISELNIKY (ID_CISELNIKY);

ALTER TABLE HB24.KONVERZE_MEN ADD CONSTRAINT FK_KONVMEN_MENANOVA
  FOREIGN KEY (ID_MENA_NOVA) REFERENCES HB24.CISELNIKY (ID_CISELNIKY);

ALTER TABLE HB24.AVIZO_ZPS ADD CONSTRAINT FK_AVIZOZPS_MENAUCTU
  FOREIGN KEY (ID_MENA_UCTU) REFERENCES HB24.CISELNIKY (ID_CISELNIKY);

ALTER TABLE HB24.DISP_UCET ADD CONSTRAINT FK_DISPUCET_MENALIM
  FOREIGN KEY (ID_MENA_LIMITU) REFERENCES HB24.CISELNIKY (ID_CISELNIKY);

ALTER TABLE HB24.HROMADNY_TPS ADD CONSTRAINT FK_HTPS_MENA
  FOREIGN KEY (ID_MENA) REFERENCES HB24.CISELNIKY (ID_CISELNIKY);

ALTER TABLE HB24.KURZY ADD CONSTRAINT FK_KURZY_MVMENA
  FOREIGN KEY (ID_MV_MENA) REFERENCES HB24.CISELNIKY (ID_CISELNIKY);

ALTER TABLE HB24.PRIKAZ_TPS ADD CONSTRAINT FK_PRIKAZTPS_MENA
  FOREIGN KEY (ID_MENA) REFERENCES HB24.CISELNIKY (ID_CISELNIKY);

ALTER TABLE HB24.SABLONA_TPS ADD CONSTRAINT FK_SABLONATPS_MENA
  FOREIGN KEY (ID_MENA) REFERENCES HB24.CISELNIKY (ID_CISELNIKY);

ALTER TABLE HB24.SABL_TPS_HLAVA ADD CONSTRAINT FK_SABLTPSH_MENA
  FOREIGN KEY (ID_MENA) REFERENCES HB24.CISELNIKY (ID_CISELNIKY);

ALTER TABLE HB24.UCET ADD CONSTRAINT FK_UCET_MENAORIG
  FOREIGN KEY (ID_MENA_ORIG) REFERENCES HB24.CISELNIKY (ID_CISELNIKY);

ALTER TABLE HB24.UCET_DET ADD CONSTRAINT FK_UCETDET_MENALIM
  FOREIGN KEY (ID_MENA_LIMITU) REFERENCES HB24.CISELNIKY (ID_CISELNIKY);

ALTER TABLE HB24.VYPIS ADD CONSTRAINT FK_VYPIS_MENAUCTU
  FOREIGN KEY (ID_MENA_UCTU) REFERENCES HB24.CISELNIKY (ID_CISELNIKY);


DROP PUBLIC SYNONYM SEQ_AVIZO;
DROP PUBLIC SYNONYM SEQ_CISELNIKY;
DROP PUBLIC SYNONYM SEQ_DAVKA;
DROP PUBLIC SYNONYM SEQ_DISPONENT;
DROP PUBLIC SYNONYM SEQ_HB;
DROP PUBLIC SYNONYM SLG01;
DROP PUBLIC SYNONYM SLG02;
DROP PUBLIC SYNONYM SLG03;
DROP PUBLIC SYNONYM SRG01;
DROP PUBLIC SYNONYM STR01;
DROP PUBLIC SYNONYM STR02;
DROP PUBLIC SYNONYM STR03;
DROP PUBLIC SYNONYM SUR01;
DROP PUBLIC SYNONYM SUR02;
DROP PUBLIC SYNONYM SUR03;
DROP PUBLIC SYNONYM SUR06;
DROP PUBLIC SYNONYM SUR07;
DROP PUBLIC SYNONYM XLG01;
DROP PUBLIC SYNONYM XLG02;
DROP PUBLIC SYNONYM XLG03;
DROP PUBLIC SYNONYM XRG01;
DROP PUBLIC SYNONYM XTR01;
DROP PUBLIC SYNONYM XTR02;
DROP PUBLIC SYNONYM XTR03;
DROP PUBLIC SYNONYM XUR01;
DROP PUBLIC SYNONYM XUR02;
DROP PUBLIC SYNONYM XUR03;
DROP PUBLIC SYNONYM XUR04;
DROP PUBLIC SYNONYM XUR05;
DROP PUBLIC SYNONYM XUR06;
DROP PUBLIC SYNONYM XUR07;

CREATE PUBLIC SYNONYM SEQ_AVIZO FOR HB24.SEQ_AVIZO;
CREATE PUBLIC SYNONYM SEQ_CISELNIKY FOR HB24.SEQ_CISELNIKY;
CREATE PUBLIC SYNONYM SEQ_DAVKA FOR HB24.SEQ_DAVKA;
CREATE PUBLIC SYNONYM SEQ_DISPONENT FOR HB24.SEQ_DISPONENT;
CREATE PUBLIC SYNONYM SEQ_HB FOR HB24.SEQ_HB;
CREATE PUBLIC SYNONYM SLG01 FOR HB24.SLG01;
CREATE PUBLIC SYNONYM SLG02 FOR HB24.SLG02;
CREATE PUBLIC SYNONYM SLG03 FOR HB24.SLG03;
CREATE PUBLIC SYNONYM SRG01 FOR HB24.SRG01;
CREATE PUBLIC SYNONYM STR01 FOR HB24.STR01;
CREATE PUBLIC SYNONYM STR02 FOR HB24.STR02;
CREATE PUBLIC SYNONYM STR03 FOR HB24.STR03;
CREATE PUBLIC SYNONYM SUR01 FOR HB24.SUR01;
CREATE PUBLIC SYNONYM SUR02 FOR HB24.SUR02;
CREATE PUBLIC SYNONYM SUR03 FOR HB24.SUR03;
CREATE PUBLIC SYNONYM SUR06 FOR HB24.SUR06;
CREATE PUBLIC SYNONYM SUR07 FOR HB24.SUR07;
CREATE PUBLIC SYNONYM XLG01 FOR HB24.XLG01;
CREATE PUBLIC SYNONYM XLG02 FOR HB24.XLG02;
CREATE PUBLIC SYNONYM XLG03 FOR HB24.XLG03;
CREATE PUBLIC SYNONYM XRG01 FOR HB24.XRG01;
CREATE PUBLIC SYNONYM XTR01 FOR HB24.XTR01;
CREATE PUBLIC SYNONYM XTR02 FOR HB24.XTR02;
CREATE PUBLIC SYNONYM XTR03 FOR HB24.XTR03;
CREATE PUBLIC SYNONYM XUR01 FOR HB24.XUR01;
CREATE PUBLIC SYNONYM XUR02 FOR HB24.XUR02;
CREATE PUBLIC SYNONYM XUR03 FOR HB24.XUR03;
CREATE PUBLIC SYNONYM XUR04 FOR HB24.XUR04;
CREATE PUBLIC SYNONYM XUR05 FOR HB24.XUR05;
CREATE PUBLIC SYNONYM XUR06 FOR HB24.XUR06;
CREATE PUBLIC SYNONYM XUR07 FOR HB24.XUR07;
--
SPOOL OFF
