SPOOL 03_Package.log
--
UPDATE HB24.CISELNIKY SET KOD=TRIM(KOD);
UPDATE HB24.CISELNIKY_POP SET KOD=TRIM(KOD);
COMMIT;

CREATE OR REPLACE PACKAGE HB24.EFC
AS

	TYPE DefCursor IS REF CURSOR;

	PROCEDURE sp_XLG_GetLogset
		(ParCode	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XLG_OpenLogset
		(ParCode	IN VARCHAR2,
		ParUserDB	IN VARCHAR2,
		ParUserOS	IN VARCHAR2,
		ParWstName	IN VARCHAR2,
		ParAppName	IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XLG_WriteMessage
		(ParLogsetID	IN INTEGER,
		ParSeverity	IN INTEGER,
		ParMsgDate	IN DATE,
		ParMsgText	IN VARCHAR2,
		ParObject	IN VARCHAR2,
		ParScript	IN VARCHAR2,
		ParLine		IN INTEGER,
		ParSQLCode	IN INTEGER,
		ParSQLErrText	IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XLG_CloseLogset
		(ParLogsetID	IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XLG_GetDefinitions
		(ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XLG_GetInstances
		(ParCode	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XLG_GetMessages
		(ParLogsetID	IN INTEGER,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XLG_DelDefinition
		(ParLogDefID	IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XLG_InsDefinition
		(ParParentID	IN INTEGER,
		ParCode		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParSeverity	IN INTEGER,
		ParMode		IN INTEGER,
		ParMaxCount	IN INTEGER,
		ParDays		IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XLG_UpdDefinition
		(ParLogDefID	IN INTEGER,
		ParParentID	IN INTEGER,
		ParCode		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParSeverity	IN INTEGER,
		ParMode		IN INTEGER,
		ParMaxCount	IN INTEGER,
		ParDays		IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XLG_TruncateDefintions
		(ParRC		OUT INTEGER);

	PROCEDURE sp_XRG_GetObjectID
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XRG_DeleteInstances
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XRG_DeleteObject
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XRG_GetObjectValue
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParValue	OUT VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XRG_GetProfiles
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParExport	IN INTEGER,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XRG_GetTree
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParDepth	IN INTEGER := 0,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XRG_SetObjectName
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParValue	IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XRG_SetObjectValue
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParValue	IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XRG_CopyTree
		(ParSourceID	IN INTEGER := 0,
		ParSourcePath	IN VARCHAR2,
		ParDestID	IN INTEGER := 0,
		ParDestPath	IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XTR_DelCode
		(ParMsgID	IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XTR_DelLanguage
		(ParAppName	IN VARCHAR2,
		ParLangName	IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XTR_GetDetail
		(ParAppName	IN VARCHAR2,
		ParMsgName	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XTR_GetLanguages
		(ParAppName	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XTR_GetMaster
		(ParAppName	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XTR_GetMessages
		(ParAppName	IN VARCHAR2,
		ParLangName	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XTR_InsCode
		(ParLangID	IN INTEGER,
		ParMsgName	IN VARCHAR2,
		ParMsgText	IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XTR_InsLanguage
		(ParAppName	IN VARCHAR2,
		ParLangName	IN VARCHAR2,
		ParLangDesc	IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XTR_UpdCode
		(ParMsgID	IN INTEGER,
		ParMsgName	IN VARCHAR2,
		ParMsgText	IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_DelDependency
		(ParParentID	IN INTEGER,
		ParChildID	IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_DelObject
		(ParObjectID	IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_DelObjectRight
		(ParObjectID	IN INTEGER,
		ParRightsID	IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_DelRight
		(ParRightsID	IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_DelUser
		(ParUserID	IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_DelUserObject
		(ParXUR06ID	IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_DelUserRight
		(ParXUR06ID	IN INTEGER,
		ParRightsID	IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_GetGroupsAll
		(ParUserID	IN INTEGER,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XUR_GetGroupsParent
		(ParUserID	IN INTEGER,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XUR_GetObjects
		(ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XUR_GetObjectRights
		(ParObjectID	IN INTEGER,
		ParXUR06ID	IN INTEGER,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XUR_GetObjectUsers
		(ParObjectID	IN INTEGER,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XUR_GetRights
		(ParObjectID	IN INTEGER,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XUR_GetRightsAll
		(ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XUR_GetUserInfo
		(ParUserCode	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XUR_GetUsers
		(ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XUR_GetUsersCode
		(ParObjectID	IN INTEGER,
		ParCode		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor);

	PROCEDURE sp_XUR_CheckRight
		(ParUserID	IN INTEGER,
		ParObjectPath	IN VARCHAR2,
		ParRightsCode	IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_InsDependency
		(ParParentID	IN INTEGER,
		ParChildID	IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_InsObject
		(ParParentID	IN INTEGER,
		ParCode		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_InsObjectRight
		(ParObjectID	IN INTEGER,
		ParRightsID	IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_InsRight
		(ParCode	IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_InsUser
	(ParCode	     IN VARCHAR2,
		ParType		   IN INTEGER,
		ParStatus	   IN INTEGER,
		ParFirstName IN VARCHAR2,
		ParLastName	 IN VARCHAR2,
		ParPreTitle	 IN VARCHAR2,
		ParPostTitle IN VARCHAR2,
  ParPhone     IN VARCHAR2,
		ParRC		    OUT INTEGER);

	PROCEDURE sp_XUR_InsUserObject
		(ParUserID	IN INTEGER,
		ParObjectID	IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_InsUserRight
		(ParXUR06ID	IN INTEGER,
		ParRightsID	IN INTEGER,
		ParType		IN INTEGER,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_IsMember
		(ParUserID	IN INTEGER,
		ParGroup	IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_UpdObject
		(ParObjectID	IN INTEGER,
		ParParentID	IN INTEGER,
		ParCode		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_UpdRight
		(ParRightsID	IN INTEGER,
		ParCode		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParRC		OUT INTEGER);

	PROCEDURE sp_XUR_UpdUser
	(ParUserID	   IN INTEGER,
		ParCode		   IN VARCHAR2,
		ParType		   IN INTEGER,
		ParStatus	   IN INTEGER,
		ParFirstName IN VARCHAR2,
		ParLastName	 IN VARCHAR2,
		ParPreTitle	 IN VARCHAR2,
		ParPostTitle IN VARCHAR2,
    ParPhone     IN VARCHAR2,
		ParRC		    OUT INTEGER);

	PROCEDURE sp_XUR_UpdUserRight
		(ParXUR06ID	IN INTEGER,
		ParRightsID	IN INTEGER,
		ParType		IN INTEGER,
		ParRC		OUT INTEGER);

END EFC;
/
CREATE OR REPLACE PACKAGE BODY HB24.EFC
 AS

/* -----------------------------  EFC Log  ----------------------------------*/

/*
Project:
	Empire Foundation Classes
Description:
	Gets logset definition
Parameters:
	ParCode - Identification of logset
Return Value:
	 2 - Logset didn't exist and was created
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 10.01.2001 Created
*/

	PROCEDURE sp_XLG_GetLogset
		(ParCode	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor)
	AS
		VarRC		INTEGER;
		VarLogDefID	INTEGER;
	BEGIN


--	Get the ID of existing logset definition or create a new one

		VarRC := 1;

		BEGIN
			SELECT	XLG01LogDefID
			INTO    VarLogDefID
			FROM	XLG01
			WHERE	UPPER(LTRIM(RTRIM(XLG01Code))) = UPPER(LTRIM(RTRIM(ParCode)));

		EXCEPTION
			WHEN NO_DATA_FOUND THEN

				SELECT	SLG01.NEXTVAL
				INTO	VarLogDefID
				FROM	DUAL;

				BEGIN
					INSERT
					INTO	XLG01
						(XLG01LogDefID,
						XLG01Code,
						XLG01Name,
						XLG01Severity)
					VALUES	(VarLogDefID,
						ParCode,
						ParCode,
						0);

				EXCEPTION
					WHEN OTHERS THEN
						RETURN;
				END;

				VarRC := 2;

			WHEN OTHERS THEN
				RETURN;
		END;

--	Select logset definition

		OPEN ParDefCursor FOR
		SELECT	XLG01LogDefID,
			XLG01ParentID,
			RTRIM(XLG01Code),
			XLG01Name,
			XLG01Severity,
			XLG01Mode,
			XLG01MaxCount,
			XLG01Days,
			VarRC
		FROM	XLG01
		WHERE	XLG01LogDefID = VarLogDefID;

		RETURN;

	END sp_XLG_GetLogset;

/*
Project:
	Empire Foundation Classes
Description:
	Opens an instance of logset
Parameters:
	ParCode		- Identification of logset
	ParUserDB	- Name of database user
	ParUserOS	- Name of operating system user
	ParWstName	- Current workstation
	ParAppName	- Name of application
Return Value:
	ID of new logset instance, -1 if error
Revision History:
	Jakub Janda 10.01.2001 Created
*/

	PROCEDURE sp_XLG_OpenLogset
		(ParCode	IN VARCHAR2,
		ParUserDB	IN VARCHAR2,
		ParUserOS	IN VARCHAR2,
		ParWstName	IN VARCHAR2,
		ParAppName	IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarLogDefID	INTEGER;
		VarLogsetID	INTEGER;
	BEGIN


--	Get the ID of existing logset definition or create a new one

		BEGIN
			SELECT	XLG01LogDefID
			INTO	VarLogDefID
			FROM	XLG01
			WHERE	UPPER(LTRIM(RTRIM(XLG01Code))) = UPPER(LTRIM(RTRIM(ParCode)));

		EXCEPTION
			WHEN NO_DATA_FOUND THEN

				SELECT	SLG01.NEXTVAL
				INTO	VarLogDefID
				FROM	DUAL;

				BEGIN
					INSERT
					INTO	XLG01
						(XLG01LogDefID,
						XLG01Code,
						XLG01Name,
						XLG01Severity)
					VALUES	(VarLogDefID,
						ParCode,
						ParCode,
						0);

				EXCEPTION
					WHEN OTHERS THEN
						ParRC := -1;
						RETURN;
				END;

				ParRC := 2;

			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

--	Create logset instance

		SELECT	SLG02.NEXTVAL
		INTO	VarLogsetID
		FROM	DUAL;

		BEGIN
			INSERT
			INTO	XLG02
				(XLG02LogsetID,
				XLG01LogDefID,
				XLG02StartDate,
				XLG02UserDB,
				XLG02UserOS,
				XLG02WstName,
				XLG02AppName)
			VALUES	(VarLogsetID,
				VarLogDefID,
				SYSDATE,
				ParUserDB,
				ParUserOS,
				ParWstName,
				ParAppName);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := VarLogsetID;
		RETURN;

	END sp_XLG_OpenLogset;

/*
Project:
	Empire Foundation Classes
Description:
	Writes a message to open logset instance
Parameters:
	ParLogsetID	- ID of open logset instance
	ParSeverity	- Severity of written message
	ParMsgDate	- When the procedure was called
	ParMsgText	- Text of written message
	ParObject	- Name of object that writes message
	ParScript	- Name of script that writes message
	ParLine		- Number of line, where the procedure is called
	ParSQLCode	- Status of defaut transaction
	ParSQLErrText	- Message, that sends database
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 10.01.2001 Created
*/

	PROCEDURE sp_XLG_WriteMessage
		(ParLogsetID	IN INTEGER,
		ParSeverity	IN INTEGER,
		ParMsgDate	IN DATE,
		ParMsgText	IN VARCHAR2,
		ParObject	IN VARCHAR2,
		ParScript	IN VARCHAR2,
		ParLine		IN INTEGER,
		ParSQLCode	IN INTEGER,
		ParSQLErrText	IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarLogMsgID	INTEGER;
	BEGIN

--	Write the message

		SELECT	SLG03.NEXTVAL
		INTO	VarLogMsgID
		FROM	DUAL;

		BEGIN
			INSERT
			INTO	XLG03
				(XLG03LogMsgID,
				XLG02LogsetID,
				XLG03Date,
				XLG03Severity,
				XLG03Text,
				XLG03Object,
				XLG03Script,
				XLG03Line,
				XLG03SQLCode,
				XLG03SQLErrText)
			VALUES	(VarLogMsgID,
				ParLogsetID,
				ParMsgDate,
				ParSeverity,
				ParMsgText,
				ParObject,
				ParScript,
				ParLine,
				ParSQLCode,
				ParSQLErrText);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN ;

	END sp_XLG_WriteMessage;

/*
Project:
	Empire Foundation Classes
Description:
	Closes an instance of logset
Parameters:
	LogsetID - ID of opened logset instance
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 10.01.2001 Created
*/

	PROCEDURE sp_XLG_CloseLogset
		(ParLogsetID	IN INTEGER,
		ParRC		OUT INTEGER)
	AS
		VarMsgCount	INTEGER;
		VarMaxSeverity	INTEGER;
	BEGIN


--	Delete logset instance if there are no messages

		SELECT	COUNT(*)
		INTO	VarMsgCount
		FROM	XLG03
		WHERE	XLG02LogsetID = ParLogsetID;

		IF VarMsgCount < 1 THEN

			DELETE
			FROM	XLG02
			WHERE	XLG02LogsetID = ParLogsetID;

			ParRC := 1;
			RETURN;
		END IF;

--	Close logset

		BEGIN
			UPDATE	XLG02
			SET	XLG02EndDate = SYSDATE,
				XLG02MaxSeverity = (	SELECT	MAX(XLG03.XLG03Severity)
							FROM	XLG03
							WHERE	XLG03.XLG02LogsetID = ParLogsetID)
			WHERE	XLG02LogsetID = ParLogsetID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XLG_CloseLogset;

/*
Project:
	Empire Foundation Classes
Description:
	Retrieves all logset definitions
Parameters:
	None
Return Value:
	None
Revision History:
	Jakub Janda 22.02.2001 Created
*/

	PROCEDURE sp_XLG_GetDefinitions
		(ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XLG01LogDefID,
			XLG01ParentID,
			XLG01Code,
			XLG01Name,
			XLG01Severity,
			XLG01Mode,
			XLG01MaxCount,
			XLG01Days
		FROM	XLG01;

	END sp_XLG_GetDefinitions;

/*
Project:
	Empire Foundation Classes
Description:
	Retrieves logset instances of given logset definition
Parameters:
	ParCode - Identification of logset
Return Value:
	None
Revision History:
	Jakub Janda 23.02.2001 Created
*/

	PROCEDURE sp_XLG_GetInstances
		(ParCode	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XLG02.XLG02LogsetID,
			XLG02.XLG01LogDefID,
			XLG02.XLG02StartDate,
			XLG02.XLG02EndDate,
			XLG02.XLG02MaxSeverity,
			XLG02.XLG02UserDB,
			XLG02.XLG02UserOS,
			XLG02.XLG02WstName,
			XLG02.XLG02AppName
		FROM	XLG01,
			XLG02
		WHERE	XLG01.XLG01LogDefID = XLG02.XLG01LogDefID AND
			UPPER(LTRIM(RTRIM(XLG01.XLG01Code))) = UPPER(LTRIM(RTRIM(ParCode)));

	END sp_XLG_GetInstances;

/*
Project:
	Empire Foundation Classes
Description:
	Retrieves log messages of given logset instance
Parameters:
	ParLogsetID - ID of logset instance
Return Value:
	None
Revision History:
	Jakub Janda 23.02.2001 Created
*/

	PROCEDURE sp_XLG_GetMessages
		(ParLogsetID	IN INTEGER,
		ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XLG03LogMsgID,
			XLG02LogsetID,
			XLG03Date,
			XLG03Severity,
			XLG03Text,
			XLG03Object,
			XLG03Script,
			XLG03Line,
			XLG03SQLCode,
			XLG03SQLErrText
		FROM	XLG03
		WHERE	XLG02LogsetID = ParLogsetID;

	END sp_XLG_GetMessages;

/*
Project:
	Empire Foundation Classes
Description:
	Deletes logset definition from database
Parameters:
	Existing logset definition values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 25.04.2001 Created
*/

	PROCEDURE sp_XLG_DelDefinition
		(ParLogDefID	IN INTEGER,
		ParRC		OUT INTEGER)
	AS
	BEGIN

--	Delete the log messages

		BEGIN

			DELETE	XLG03
			WHERE	XLG03.XLG02LogsetID IN
				(SELECT	XLG02.XLG02LogsetID
				FROM	XLG02
				WHERE	XLG02.XLG01LogDefID IN
					(SELECT	XLG01.XLG01LogDefID
					FROM	XLG01
					START WITH XLG01.XLG01LogDefID = ParLogDefID
					CONNECT BY PRIOR XLG01.XLG01LogDefID = XLG01.XLG01ParentID));

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

--	Delete the log instances

		BEGIN

			DELETE	XLG02
			WHERE	XLG02.XLG01LogDefID IN
				(SELECT	XLG01.XLG01LogDefID
				FROM	XLG01
				START WITH XLG01.XLG01LogDefID = ParLogDefID
				CONNECT BY PRIOR XLG01.XLG01LogDefID = XLG01.XLG01ParentID);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

--	Delete the log definition and all its children

		BEGIN

			DELETE	XLG01 XLG01A
			WHERE	XLG01A.XLG01LogDefID IN
				(SELECT	XLG01B.XLG01LogDefID
				FROM	XLG01 XLG01B
				START WITH XLG01B.XLG01LogDefID = ParLogDefID
				CONNECT BY PRIOR XLG01B.XLG01LogDefID = XLG01B.XLG01ParentID);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XLG_DelDefinition;

/*
Project:
	Empire Foundation Classes
Description:
	Inserts new logset definition to database
Parameters:
	New logset definition values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 25.04.2001 Created
*/

	PROCEDURE sp_XLG_InsDefinition
		(ParParentID	IN INTEGER,
		ParCode		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParSeverity	IN INTEGER,
		ParMode		IN INTEGER,
		ParMaxCount	IN INTEGER,
		ParDays		IN INTEGER,
		ParRC		OUT INTEGER)
	AS
		VarLogDefID	INTEGER;
	BEGIN

		SELECT	SLG01.NEXTVAL
		INTO	VarLogDefID
		FROM	DUAL;

		BEGIN

			INSERT
			INTO	XLG01
				(XLG01LogDefID,
				XLG01ParentID,
				XLG01Code,
				XLG01Name,
				XLG01Severity,
				XLG01Mode,
				XLG01MaxCount,
				XLG01Days)
			VALUES	(VarLogDefID,
				ParParentID,
				ParCode,
				ParName,
				ParSeverity,
				ParMode,
				ParMaxCount,
				ParDays);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XLG_InsDefinition;

/*
Project:
	Empire Foundation Classes
Description:
	Updates logset definition in database
Parameters:
	Existing logset definition values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 25.04.2001 Created
*/

	PROCEDURE sp_XLG_UpdDefinition
		(ParLogDefID	IN INTEGER,
		ParParentID	IN INTEGER,
		ParCode		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParSeverity	IN INTEGER,
		ParMode		IN INTEGER,
		ParMaxCount	IN INTEGER,
		ParDays		IN INTEGER,
		ParRC		OUT INTEGER)
	AS
	BEGIN

		BEGIN

			UPDATE	XLG01
			SET	XLG01ParentID = ParParentID,
				XLG01Code = ParCode,
				XLG01Name = ParName,
				XLG01Severity = ParSeverity,
				XLG01Mode = ParMode,
				XLG01MaxCount = ParMaxCount,
				XLG01Days = ParDays
			WHERE	XLG01LogDefID = ParLogDefID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XLG_UpdDefinition;

/*
Project:
	Empire Foundation Classes
Description:
	Removes all logset instances that are older than definition specified number of days
	or that are over the definition specified limit.
	This procedure is REQUIRED to run in AutoCommit mode
Parameters:
	None
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 03.05.2001 Created
*/

	PROCEDURE sp_XLG_TruncateDefintions
		(ParRC		OUT INTEGER)
	AS
		VarLogDefID	INTEGER;
		VarLogsetID	INTEGER;
		VarMaxCount	INTEGER;
		VarCount	INTEGER;
		VarDelete	INTEGER;
		VarNow		DATE;
		CURSOR LogCursor IS SELECT XLG01LogDefID FROM XLG01;
	BEGIN

--	Delete logset messages that are older that certain number of days

		SELECT	SYSDATE
		INTO	VarNow
		FROM	DUAL;

		BEGIN

			DELETE
			FROM	XLG03
			WHERE	XLG02LogsetID IN (	SELECT	XLG02.XLG02LogsetID
							FROM	XLG01,
								XLG02
							WHERE	XLG01.XLG01LogDefID = XLG02.XLG01LogDefID AND
								XLG01.XLG01Days IS NOT NULL AND
								(TRUNC(VarNow, 'DD') - TRUNC(XLG02.XLG02StartDate, 'DD')) > XLG01.XLG01Days);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

--	Delete logset instances that are older that certain number of days

		BEGIN

			DELETE
			FROM	XLG02
			WHERE	XLG02LogsetID IN (	SELECT	XLG02A.XLG02LogsetID
							FROM	XLG01,
								XLG02 XLG02A
							WHERE	XLG01.XLG01LogDefID = XLG02A.XLG01LogDefID AND
								XLG01.XLG01Days IS NOT NULL AND
								(TRUNC(VarNow, 'DD') - TRUNC(XLG02A.XLG02StartDate, 'DD')) > XLG01.XLG01Days);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

--	Get all logset definitions

		OPEN LogCursor;

		LOOP

			FETCH	LogCursor
			INTO	VarLogDefID;

			EXIT WHEN LogCursor%NOTFOUND;

			SELECT	XLG01MaxCount
			INTO	VarMaxCount
			FROM	XLG01
			WHERE	XLG01LogDefID = VarLogDefID;

			IF VarMaxCount IS NOT NULL THEN

				SELECT	COUNT(*)
				INTO	VarCount
				FROM	XLG02,
					XLG03
				WHERE	XLG02.XLG02LogsetID = XLG03.XLG02LogsetID AND
					XLG02.XLG01LogDefID = VarLogDefID;

--	Delete all instances that are over limit

				WHILE VarCount > VarMaxCount LOOP

					BEGIN

						SELECT	MIN(XLG02A.XLG02LogsetID)
						INTO	VarLogsetID
						FROM	XLG02 XLG02A
						WHERE	XLG02A.XLG01LogDefID = VarLogDefID AND
							TRUNC(XLG02A.XLG02StartDate, 'DD') = (	SELECT	TRUNC(MIN(XLG02B.XLG02StartDate), 'DD')
												FROM	XLG02 XLG02B);

					EXCEPTION
						WHEN OTHERS THEN
							CLOSE LogCursor;

							ParRC := -1;
							RETURN;
					END;

					SELECT	COUNT(*)
					INTO	VarDelete
					FROM	XLG03
					WHERE	XLG02LogsetID = VarLogsetID;

					VarCount := VarCount - VarDelete;

					BEGIN

						DELETE
						FROM	XLG03
						WHERE	XLG02LogsetID = VarLogsetID;

						DELETE
						FROM	XLG02
						WHERE	XLG02LogsetID = VarLogsetID;

					EXCEPTION
						WHEN OTHERS THEN
							CLOSE LogCursor;

							ParRC := -1;
							RETURN;
					END;

				END LOOP;

			END IF;

		END LOOP;

		CLOSE LogCursor;

		ParRC := 1;
		RETURN;

	END sp_XLG_TruncateDefintions;

/* ---------------------------  EFC Registry  -------------------------------*/

/*
Project:
	Empire Foundation Classes
Description:
	Gets the object's ID from the parent ID and path
Parameters:
	ParStartID	- Starting point of the path
	ParPath		- Relative path to the ID
Return Value:
	The found ID, -1 if not found
Revision History:
	Jakub Janda 16.10.2000 Created
*/

	PROCEDURE sp_XRG_GetObjectID
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarPos		INTEGER;
		VarObjectID	INTEGER;
		VarObjectName	VARCHAR2(70);
		VarNewID	INTEGER;
		VarPath		VARCHAR2(255);

	BEGIN

		IF ParStartID < 0 THEN
			ParRC := -1;
			RETURN;
		END IF;

--	Assign the starting values

		VarObjectID := ParStartID;
		VarPath := LOWER(ParPath);

--	If the path is empty, verify the existence of ID

		IF (RTRIM(VarPath) IS NULL) OR (LENGTH(RTRIM(VarPath)) <= 0) THEN

			SELECT	COUNT(XRG01ObjectID)
			INTO	VarNewID
			FROM	XRG01
			WHERE	XRG01ObjectID = VarObjectID;

			IF VarNewID > 0 THEN
				ParRC := VarObjectID;
				RETURN;
			ELSE
				ParRC := -1;
				RETURN;
			END IF;
		END IF;

--	Go through all objects in path

		WHILE	LENGTH(RTRIM(VarPath)) > 0 LOOP

--	Get the name of next object in path

			VarPos := INSTR(VarPath, '\');

			IF VarPos > 0 THEN
				VarObjectName := LTRIM(RTRIM(SUBSTR(VarPath, 1, VarPos - 1)));
				VarPath := SUBSTR(VarPath, VarPos + 1, LENGTH(VarPath) - VarPos);

			ELSIF VarPos = 0 THEN
				VarObjectName := LTRIM(RTRIM(VarPath));
				VarPath := '';

			ELSE
				ParRC := -1;
				RETURN;
			END IF;

--	Get the ID of object

			BEGIN
				SELECT	XRG01ObjectID
				INTO	VarNewID
				FROM	XRG01
				WHERE	XRG01ParentID = VarObjectID AND
					LOWER(LTRIM(RTRIM(XRG01Name))) = VarObjectName;

			EXCEPTION
				WHEN OTHERS THEN
					ParRC := -1;
					RETURN;
			END;

			VarObjectID := VarNewID;
		END LOOP;

		ParRC := VarObjectID;
		RETURN;

	END sp_XRG_GetObjectID;

/*
Project:
	Empire Foundation Classes
Description:
	Deletes all workspace instances
Parameters:
	ParStartID	- Starting point of the path
	ParPath		- Relative path to the ID
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 16.10.2000 Created
*/

	PROCEDURE sp_XRG_DeleteInstances
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarObjectID	INTEGER;
	BEGIN

--	Get the object's ID

		EFC.sp_XRG_GetObjectID(ParStartID, ParPath, VarObjectID);

		IF VarObjectID < 0 THEN
			ParRC := VarObjectID;
			RETURN;
		END IF;

--	Delete the object and all its child objects

		DELETE	XRG01 XRG01A
		WHERE	XRG01A.XRG01ObjectID IN
			(SELECT	XRG01B.XRG01ObjectID
			FROM	XRG01 XRG01B
			WHERE	LEVEL > 2
			START WITH XRG01B.XRG01ObjectID = VarObjectID
			CONNECT BY PRIOR XRG01B.XRG01ObjectID = XRG01B.XRG01ParentID AND
				(LEVEL <> 3 OR
				LOWER(RTRIM(XRG01B.XRG01Value)) = 'workspace instance'));

		ParRC := 1;
		RETURN;

	END sp_XRG_DeleteInstances;

/*
Project:
	Empire Foundation Classes
Description:
	Deletes object and all its children
Parameters:
	ParStartID	- Starting point of the path
	ParPath		- Relative path to the ID
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 16.10.2000 Created
*/

	PROCEDURE sp_XRG_DeleteObject
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarObjectID	INTEGER;
	BEGIN

--	Get the object's ID

		EFC.sp_XRG_GetObjectID(ParStartID, ParPath, VarObjectID);

		IF VarObjectID < 0 THEN
			ParRC := VarObjectID;
			RETURN;
		END IF;

--	Delete the object and all its child objects

		DELETE	XRG01 XRG01A
		WHERE	XRG01A.XRG01ObjectID IN
			(SELECT	XRG01B.XRG01ObjectID
			FROM	XRG01 XRG01B
			START WITH XRG01B.XRG01ObjectID = VarObjectID
			CONNECT BY PRIOR XRG01B.XRG01ObjectID = XRG01B.XRG01ParentID);

		ParRC := 1;
		RETURN;

	END sp_XRG_DeleteObject;

/*
Project:
	Empire Foundation Classes
Description:
	Gets the object's value from the parent ID and path
Parameters:
	ParStartID	- Starting point of the path
	ParPath		- Relative path to the ID
Return Value:
	ID of the object, -1 if not found
Revision History:
	Jakub Janda 16.10.2000 Created
*/

	PROCEDURE sp_XRG_GetObjectValue
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParValue	OUT VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarObjectID	INTEGER;
	BEGIN

--	Get the object's ID

		EFC.sp_XRG_GetObjectID(ParStartID, ParPath, VarObjectID);

		IF VarObjectID < 0 THEN
			ParValue := '';
			ParRC := VarObjectID;
			RETURN;
		END IF;

--	Get the object's value

		BEGIN
			SELECT	XRG01Value
			INTO	ParValue
			FROM	XRG01
			WHERE	XRG01ObjectID = VarObjectID;

		EXCEPTION
			WHEN OTHERS THEN
				ParValue := '';
				ParRC := -1;
				RETURN;
		END;

		ParRC := VarObjectID;
		RETURN;

	END sp_XRG_GetObjectValue;

/*
Project:
	Empire Foundation Classes
Description:
	Gets all profiles from given path
Parameters:
	ParStartID	- Starting point of the path
	ParPath		- Relative path to the ID
	ParExport	- Are the profiles exported?
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 14.07.2000 Created
*/

	PROCEDURE sp_XRG_GetProfiles
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParExport	IN INTEGER,
		ParDefCursor	IN OUT DefCursor)
	AS
		VarObjectID	INTEGER;
	BEGIN

--	Get the object's ID

		EFC.sp_XRG_GetObjectID(ParStartID, ParPath, VarObjectID);

		IF VarObjectID < 0 THEN

			OPEN ParDefCursor FOR
			SELECT	XRG01ObjectID,
				XRG01ParentID,
				XRG01Name,
				0 AS XRG01Default,
				0 AS XRG01Current,
				0 AS XRG01Export
			FROM	XRG01
			WHERE	0 = 1;

			RETURN;
		END IF;

--	Select all profiles

		OPEN ParDefCursor FOR
		SELECT	XRG01ObjectID,
			XRG01ParentID,
			XRG01Name,
			0 AS XRG01Default,
			0 AS XRG01Current,
			ParExport AS XRG01Export
		FROM	XRG01
		WHERE	XRG01ParentID = VarObjectID AND
			LOWER(RTRIM(XRG01Value)) = 'user profile';

	END sp_XRG_GetProfiles;

/*
Project:
	Empire Foundation Classes
Description:
	Gets the object and all its descendants
Parameters:
	ParStartID	- Starting point of the path
	ParPath		- Relative path to the ID
	ParDepth	- To what depth should the tree be scanned (0 - infinite)
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 16.10.2000 Created
*/

	PROCEDURE sp_XRG_GetTree
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParDepth	IN INTEGER := 0,
		ParDefCursor	IN OUT DefCursor)
	AS
		VarObjectID	INTEGER;
	BEGIN

--	Get the object's ID

		EFC.sp_XRG_GetObjectID(ParStartID, ParPath, VarObjectID);

		IF VarObjectID < 0 THEN
			RETURN;
		END IF;

--	Select subtree from given branch

		IF ParDepth = 1 THEN

			OPEN ParDefCursor FOR
			SELECT	XRG01ObjectID,
				XRG01ParentID,
				XRG01Name,
				XRG01Value
			FROM	XRG01
			WHERE	XRG01ObjectID = VarObjectID OR
				XRG01ParentID = VarObjectID;

		ELSE

			OPEN ParDefCursor FOR
			SELECT	XRG01ObjectID,
				XRG01ParentID,
				XRG01Name,
				XRG01Value
			FROM	XRG01
			WHERE	ParDepth = 0 OR
				LEVEL <= (ParDepth + 1)
			START WITH XRG01ObjectID = VarObjectID
			CONNECT BY PRIOR XRG01ObjectID = XRG01ParentID;

		END IF;

	END sp_XRG_GetTree;

/*
Project:
	Empire Foundation Classes
Description:
	Sets the existing object's name and value
Parameters:
	ParStartID	- Starting point of the path
	ParPath		- Relative path to the ID
	ParName		- New name of object
	ParValue	- New value of object
Return Value:
	The object's ID, -1 if error
Revision History:
	Jakub Janda 29.10.2001 Created
*/

	PROCEDURE sp_XRG_SetObjectName
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParValue	IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarObjectID	INTEGER;
	BEGIN

--	Get the object's ID

		EFC.sp_XRG_GetObjectID(ParStartID, ParPath, VarObjectID);

		IF VarObjectID < 0 THEN
			ParRC := VarObjectID;
			RETURN;
		END IF;

--	Set the object's new name and value

		BEGIN
			UPDATE	XRG01
			SET	XRG01Name = ParName,
				XRG01Value = ParValue
			WHERE	XRG01ObjectID = VarObjectID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := VarObjectID;
		RETURN;

	END sp_XRG_SetObjectName;

/*
Project:
	Empire Foundation Classes
Description:
	Sets the object's value or creates a new object
Parameters:
	ParStartID	- Starting point of the path
	ParPath		- Relative path to the ID
	ParValue	- New value of object
Return Value:
	The new object's ID, -1 if error
Revision History:
	Jakub Janda 16.10.2000 Created
*/

	PROCEDURE sp_XRG_SetObjectValue
		(ParStartID	IN INTEGER := 0,
		ParPath		IN VARCHAR2,
		ParValue	IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarPos		INTEGER;
		VarObjectID	INTEGER;
		VarObjectName	VARCHAR2(70);
		VarNewID	INTEGER;
		VarPath		VARCHAR2(255);
		VarValue	VARCHAR2(255);
	BEGIN

		IF ParStartID < 0 THEN
			ParRC := -1;
			RETURN;
		END IF;

--	Assign the starting values

		VarObjectID := ParStartID;
		VarPath := ParPath;

--	Oracle takes empty string as a null (bastard!)

		IF (ParValue IS NULL) OR (ParValue = '') THEN
			VarValue := ' ';
		ELSE
			VarValue := ParValue;
		END IF;

--	If the path is empty, verify the existence of ID

		IF (RTRIM(VarPath) IS NULL) OR (LENGTH(RTRIM(VarPath))) <= 0 THEN

			SELECT	COUNT(XRG01ObjectID)
			INTO	VarNewID
			FROM	XRG01
			WHERE	XRG01ObjectID = VarObjectID;

			IF VarNewID <= 0 THEN
				ParRC := -1;
				RETURN;
			END IF;
		END IF;

		WHILE	LENGTH(RTRIM(VarPath)) > 0 LOOP

--	Get the name of next object in path

			VarPos := INSTR(VarPath, '\');

			IF VarPos > 0 THEN
				VarObjectName := LTRIM(RTRIM(SUBSTR(VarPath, 1, VarPos - 1)));
				VarPath := SUBSTR(VarPath, VarPos + 1, LENGTH(VarPath) - VarPos);

			ELSIF VarPos = 0 THEN
				VarObjectName := LTRIM(RTRIM(VarPath));
				VarPath := '';

			ELSE
				ParRC := -1;
				RETURN;
			END IF;

--	Get the ID of object

			BEGIN
				SELECT	XRG01ObjectID
				INTO	VarNewID
				FROM	XRG01
				WHERE	XRG01ParentID = VarObjectID AND
					LOWER(LTRIM(RTRIM(XRG01Name))) = LOWER(VarObjectName);

--	If the object doesn't exist, create a new one

			EXCEPTION
				WHEN NO_DATA_FOUND THEN

					SELECT	SRG01.NEXTVAL
					INTO	VarNewID
					FROM	DUAL;

--	This is final name

					IF VarPos = 0 THEN

						BEGIN
							INSERT
							INTO	XRG01
								(XRG01ObjectID,
								XRG01ParentID,
								XRG01Name,
								XRG01Value)
							VALUES	(VarNewID,
								VarObjectID,
								VarObjectName,
								VarValue);

						EXCEPTION
							WHEN OTHERS THEN
								ParRC := -1;
								RETURN;
						END;

						ParRC := VarNewID;
						RETURN;

--	This is branch in path

					ELSE
						BEGIN

							INSERT
							INTO	XRG01
								(XRG01ObjectID,
								XRG01ParentID,
								XRG01Name,
								XRG01Value)
							VALUES	(VarNewID,
								VarObjectID,
								VarObjectName,
								' ');

						EXCEPTION
							WHEN OTHERS THEN
								ParRC := -1;
								RETURN;
						END;

					END IF;

				WHEN OTHERS THEN
					ParRC := -1;
					RETURN;
			END;

			VarObjectID := VarNewID;
		END LOOP;

--	Update the value

		BEGIN
			UPDATE	XRG01
			SET	XRG01Value = VarValue
			WHERE	XRG01ObjectID = VarObjectID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := VarObjectID;
		RETURN;

	END sp_XRG_SetObjectValue;

/*
Project:
	Empire Foundation Classes
Description:
	Copies a tree of objects from one destination to another
Parameters:
	ParSourceID	- Starting point of the source path
	ParSourcePath	- Relative path to the source ID
	ParDestID	- Starting point of the destination path
	ParDestPath	- Relative path to the destination ID
Return Value:
	The destination object's ID, -1 if error
Revision History:
	Jakub Janda 03.09.2003 Created
*/

	PROCEDURE sp_XRG_CopyTree
		(ParSourceID	IN INTEGER := 0,
		ParSourcePath	IN VARCHAR2,
		ParDestID	IN INTEGER := 0,
		ParDestPath	IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarSourceObjectID	INTEGER;
		VarDestObjectID		INTEGER;
		VarSourceValue		VARCHAR2(255);
		VarObjectID		INTEGER;
		VarInsertID		INTEGER;
		CURSOR CopyCursor IS SELECT XRG01ObjectID FROM XRG01 WHERE XRG01ObjectID < 0;
	BEGIN

--	Get the source object's ID

		EFC.sp_XRG_GetObjectValue(ParSourceID, ParSourcePath, VarSourceValue, VarSourceObjectID);

		IF VarSourceObjectID < 0 THEN
			ParRC := VarSourceObjectID;
			RETURN;
		END IF;

--	Create the destination object's ID

		EFC.sp_XRG_GetObjectID(ParDestID, ParDestPath, VarDestObjectID);

		IF VarSourceObjectID = VarDestObjectID THEN
			ParRC := 1;
			RETURN;
		END IF;

		IF VarDestObjectID >= 0 THEN

--	Delete all child objects

			DELETE	XRG01 XRG01A
			WHERE	XRG01A.XRG01ObjectID IN
				(SELECT	XRG01B.XRG01ObjectID
				FROM	XRG01 XRG01B
				START WITH XRG01B.XRG01ParentID = VarDestObjectID
				CONNECT BY PRIOR XRG01B.XRG01ObjectID = XRG01B.XRG01ParentID);

		END IF;

--	Create destination object

		EFC.sp_XRG_SetObjectValue(ParDestID, ParDestPath, VarSourceValue, VarDestObjectID);

		IF VarDestObjectID < 0 THEN
			ParRC := VarDestObjectID;
			RETURN;
		END IF;

--	Copy all child objects with negative ID

		INSERT
		INTO	XRG01
			(XRG01ObjectID,
			XRG01ParentID,
			XRG01Name,
			XRG01Value)
		SELECT	-XRG01ObjectID,
		        -XRG01ParentID,
			XRG01Name,
			XRG01Value
		FROM	XRG01
		START WITH XRG01ParentID = VarSourceObjectID
		CONNECT BY PRIOR XRG01ObjectID = XRG01ParentID;

		UPDATE	XRG01
		SET	XRG01ParentID = VarDestObjectID
		WHERE	XRG01ParentID = -VarSourceObjectID;

--	Update ID of objects

		OPEN CopyCursor;

		LOOP

			FETCH	CopyCursor
			INTO	VarObjectID;

			EXIT WHEN CopyCursor%NOTFOUND;

			SELECT	SRG01.NEXTVAL
			INTO	VarInsertID
			FROM	DUAL;

			UPDATE	XRG01
			SET	XRG01ObjectID = VarInsertID
			WHERE	XRG01ObjectID = VarObjectID;

			UPDATE	XRG01
			SET	XRG01ParentID = VarInsertID
			WHERE	XRG01ParentID = VarObjectID;

		END LOOP;

		CLOSE CopyCursor;

		ParRC := VarDestObjectID;
		RETURN;

	END sp_XRG_CopyTree;

/* --------------------------  EFC Translation  -----------------------------*/

/*
Project:
	Empire Foundation Classes
Description:
	Deletes translate code from database
Parameters:
	Existing code values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 13.04.2001 Created
*/

	PROCEDURE sp_XTR_DelCode
		(ParMsgID	IN INTEGER,
		ParRC		OUT INTEGER)
	AS
	BEGIN

		BEGIN

			DELETE
			FROM	XTR03
			WHERE	XTR03MsgID = ParMsgID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XTR_DelCode;

/*
Project:
	Empire Foundation Classes
Description:
	Deletes existing language from database
Parameters:
	Existing language values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 08.11.2002 Created
*/

	PROCEDURE sp_XTR_DelLanguage
		(ParAppName	IN VARCHAR2,
		ParLangName	IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
	BEGIN

--	Delete messages

		DELETE
		FROM	XTR03
		WHERE	XTR03.XTR02LangID IN
			(SELECT	XTR02.XTR02LangID
			FROM	XTR01,
				XTR02
			WHERE	XTR01.XTR01AppID = XTR02.XTR01AppID AND
				LOWER(RTRIM(LTRIM(XTR01.XTR01AppName))) = LOWER(RTRIM(LTRIM(ParAppName))) AND
				LOWER(RTRIM(LTRIM(XTR02.XTR02LangName))) = LOWER(RTRIM(LTRIM(ParLangName))));

--	Delete language

		BEGIN

			DELETE
			FROM	XTR02
			WHERE	LOWER(RTRIM(LTRIM(XTR02.XTR02LangName))) = LOWER(RTRIM(LTRIM(ParLangName))) AND
				XTR02.XTR01AppID IN
				(SELECT	XTR01.XTR01AppID
				FROM	XTR01
				WHERE	LOWER(RTRIM(LTRIM(XTR01.XTR01AppName))) = LOWER(RTRIM(LTRIM(ParAppName))));

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XTR_DelLanguage;

/*
Project:
	Empire Foundation Classes
Description:
	Returns all message texts for given message code
Parameters:
	ParAppName	- Name of the application
	ParMsgName	- Message code
Return Value:
	None
Revision History:
	Jakub Janda 07.11.2002 Created
*/

	PROCEDURE sp_XTR_GetDetail
		(ParAppName	IN VARCHAR2,
		ParMsgName	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XTR03.XTR03MsgID,
			XTR02.XTR02LangID,
			XTR02.XTR02LangName,
			XTR03.XTR03MsgText
		FROM	XTR01,
			XTR02,
			XTR03
		WHERE	XTR01.XTR01AppID = XTR02.XTR01AppID AND
			XTR02.XTR02LangID = XTR03.XTR02LangID(+) AND
			LOWER(RTRIM(LTRIM(XTR01.XTR01AppName))) = LOWER(RTRIM(LTRIM(ParAppName))) AND
			LOWER(RTRIM(LTRIM(XTR03.XTR03MsgName(+)))) = LOWER(RTRIM(LTRIM(ParMsgName)));

	END sp_XTR_GetDetail;

/*
Project:
	Empire Foundation Classes
Description:
	Returns all languages for given application
Parameters:
	ParAppName - Name of the application
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 16.10.2000 Created
*/

	PROCEDURE sp_XTR_GetLanguages
		(ParAppName	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XTR02.XTR02LangID,
			XTR02.XTR02LangName,
			XTR02.XTR02LangDesc
		FROM	XTR01,
			XTR02
		WHERE	XTR01.XTR01AppID = XTR02.XTR01AppID AND
			LOWER(RTRIM(LTRIM(XTR01.XTR01AppName))) = LOWER(RTRIM(LTRIM(ParAppName)));

	END sp_XTR_GetLanguages;

/*
Project:
	Empire Foundation Classes
Description:
	Returns all message names for given application
Parameters:
	ParAppName - Name of the application
Return Value:
	None
Revision History:
	Jakub Janda 06.11.2002 Created
*/

	PROCEDURE sp_XTR_GetMaster
		(ParAppName	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	DISTINCT UPPER(XTR03.XTR03MsgName) AS XTR03MsgName
		FROM	XTR01,
			XTR02,
			XTR03
		WHERE	XTR01.XTR01AppID = XTR02.XTR01AppID AND
			XTR02.XTR02LangID = XTR03.XTR02LangID AND
			LOWER(RTRIM(LTRIM(XTR01.XTR01AppName))) = LOWER(RTRIM(LTRIM(ParAppName)));

	END sp_XTR_GetMaster;

/*
Project:
	Empire Foundation Classes
Description:
	Returns all message names and texts for given application and language
Parameters:
	ParAppName	- Name of the application
	ParLangName	- Name of the language
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 16.10.2000 Created
*/

	PROCEDURE sp_XTR_GetMessages
		(ParAppName	IN VARCHAR2,
		ParLangName	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XTR03.XTR03MsgID,
			UPPER(XTR03.XTR03MsgName) AS XTR03MsgName,
			XTR03.XTR03MsgText
		FROM	XTR01,
			XTR02,
			XTR03
		WHERE	XTR01.XTR01AppID = XTR02.XTR01AppID AND
			XTR02.XTR02LangID = XTR03.XTR02LangID AND
			LOWER(RTRIM(LTRIM(XTR01.XTR01AppName))) = LOWER(RTRIM(LTRIM(ParAppName))) AND
			LOWER(RTRIM(LTRIM(XTR02.XTR02LangName))) = LOWER(RTRIM(LTRIM(ParLangName)));

	END sp_XTR_GetMessages;

/*
Project:
	Empire Foundation Classes
Description:
	Inserts new translate code to database
Parameters:
	New code values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 08.11.2002 Created
*/

	PROCEDURE sp_XTR_InsCode
		(ParLangID	IN INTEGER,
		ParMsgName	IN VARCHAR2,
		ParMsgText	IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarMsgID	INTEGER;
	BEGIN

		SELECT	STR03.NEXTVAL
		INTO	VarMsgID
		FROM	DUAL;

		BEGIN

			INSERT
			INTO	XTR03
				(XTR03MsgID,
				XTR02LangID,
				XTR03MsgName,
				XTR03MsgText)
			VALUES	(VarMsgID,
				ParLangID,
				ParMsgName,
				ParMsgText);

		EXCEPTION
        		WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XTR_InsCode;

/*
Project:
	Empire Foundation Classes
Description:
	Inserts new language to database
Parameters:
	New language values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 08.11.2002 Created
*/

	PROCEDURE sp_XTR_InsLanguage
		(ParAppName	IN VARCHAR2,
		ParLangName	IN VARCHAR2,
		ParLangDesc	IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarAppID	INTEGER;
		VarLangID	INTEGER;
	BEGIN

--	Get ID of application, create it if it doesn't exist

		BEGIN

			SELECT	XTR01AppID
			INTO	VarAppID
			FROM	XTR01
			WHERE	LOWER(RTRIM(LTRIM(XTR01.XTR01AppName))) = LOWER(RTRIM(LTRIM(ParAppName)));

		EXCEPTION
			WHEN NO_DATA_FOUND THEN

				SELECT	STR01.NEXTVAL
				INTO	VarAppID
				FROM	DUAL;

				BEGIN

					INSERT
					INTO	XTR01
						(XTR01AppID,
						XTR01AppName)
					VALUES	(VarAppID,
						ParAppName);

				EXCEPTION
					WHEN OTHERS THEN
						ParRC := -1;
						RETURN;
				END;

			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

--	Insert new language

		SELECT	STR02.NEXTVAL
		INTO	VarLangID
		FROM	DUAL;

		BEGIN

			INSERT
			INTO	XTR02
				(XTR02LangID,
				XTR01AppID,
				XTR02LangName,
				XTR02LangDesc)
			VALUES	(VarLangID,
				VarAppID,
				ParLangName,
				ParLangDesc);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XTR_InsLanguage;

/*
Project:
	Empire Foundation Classes
Description:
	Updates translate code in database
Parameters:
	Existing code values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 13.04.2001 Created
*/

	PROCEDURE sp_XTR_UpdCode
		(ParMsgID	IN INTEGER,
		ParMsgName	IN VARCHAR2,
		ParMsgText	IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
	BEGIN

		BEGIN

			UPDATE	XTR03
			SET	XTR03MsgName = ParMsgName,
				XTR03MsgText = ParMsgText
			WHERE	XTR03MsgID = ParMsgID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XTR_UpdCode;

/* --------------------------  EFC User rights  -----------------------------*/

/*
Project:
	Empire Foundation Classes
Description:
	Removes group dependency
Parameters:
	Existing dependency values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 14.03.2001 Created
*/

	PROCEDURE sp_XUR_DelDependency
		(ParParentID	IN INTEGER,
		ParChildID	IN INTEGER,
		ParRC		OUT INTEGER)
	AS
	BEGIN

		BEGIN

			DELETE
			FROM	XUR04
			WHERE	XUR01ParentID = ParParentID AND
				XUR01ChildID = ParChildID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_DelDependency;

/*
Project:
	Empire Foundation Classes
Description:
	Deletes user rights object
Parameters:
	Existing object values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 22.03.2001 Created
*/

	PROCEDURE sp_XUR_DelObject
		(ParObjectID	IN INTEGER,
		ParRC		OUT INTEGER)
	AS
	BEGIN

--	Delete all rights assigned to given object

		DELETE	XUR07
		WHERE	XUR07.XUR06ID IN
			(SELECT	XUR06.XUR06ID
			FROM	XUR06
			WHERE	XUR06.XUR02ObjectID IN
				(SELECT	XUR02.XUR02ObjectID
				FROM	XUR02
				START WITH XUR02.XUR02ObjectID = ParObjectID
				CONNECT BY PRIOR XUR02.XUR02ObjectID = XUR02.XUR02ParentID));

--	Delete all users assigned to given object

		DELETE	XUR06
		WHERE	XUR06.XUR02ObjectID IN
			(SELECT	XUR02.XUR02ObjectID
			FROM	XUR02
			START WITH XUR02.XUR02ObjectID = ParObjectID
			CONNECT BY PRIOR XUR02.XUR02ObjectID = XUR02.XUR02ParentID);

--	Delete all assignable rights for given object

		DELETE	XUR05
		WHERE	XUR05.XUR02ObjectID IN
			(SELECT	XUR02.XUR02ObjectID
			FROM	XUR02
			START WITH XUR02.XUR02ObjectID = ParObjectID
			CONNECT BY PRIOR XUR02.XUR02ObjectID = XUR02.XUR02ParentID);

--	Delete the object and all its children

		BEGIN

			DELETE	XUR02 XUR02A
			WHERE	XUR02A.XUR02ObjectID IN
				(SELECT	XUR02B.XUR02ObjectID
				FROM	XUR02 XUR02B
				START WITH XUR02B.XUR02ObjectID = ParObjectID
				CONNECT BY PRIOR XUR02B.XUR02ObjectID = XUR02B.XUR02ParentID);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_DelObject;

/*
Project:
	Empire Foundation Classes
Description:
	Makes right impossible to be chosen for given object
Parameters:
	Existing dependency values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 22.03.2001 Created
*/

	PROCEDURE sp_XUR_DelObjectRight
		(ParObjectID	IN INTEGER,
		ParRightsID	IN INTEGER,
		ParRC		OUT INTEGER)
	AS
	BEGIN

		BEGIN

			DELETE
			FROM	XUR05
			WHERE	XUR02ObjectID = ParObjectID AND
				XUR03RightsID = ParRightsID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_DelObjectRight;

/*
Project:
	Empire Foundation Classes
Description:
	Deletes user right from database
Parameters:
	Existing user right ID
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 26.03.2001 Created
*/

	PROCEDURE sp_XUR_DelRight
		(ParRightsID	IN INTEGER,
		ParRC		OUT INTEGER)
	AS
	BEGIN

--	Delete assigned rights

		DELETE
		FROM	XUR05
		WHERE	XUR03RightsID = ParRightsID;

--	Delete all assignable rights

		DELETE
		FROM	XUR07
		WHERE	XUR03RightsID = ParRightsID;

--	Delete the right

		BEGIN
			DELETE
			FROM	XUR03
			WHERE	XUR03RightsID = ParRightsID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_DelRight;

/*
Project:
	Empire Foundation Classes
Description:
	Deletes user/group from database
Parameters:
	Existing user/group ID
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 13.03.2001 Created
*/

	PROCEDURE sp_XUR_DelUser
		(ParUserID	IN INTEGER,
		ParRC		OUT INTEGER)
	AS
	BEGIN

--	Delete user/group dependencies

		DELETE
		FROM	XUR04
		WHERE	XUR01ParentID = ParUserID OR
			XUR01ChildID = ParUserID;

--	Delete all rights for given user/group

		DELETE
		FROM	XUR07
		WHERE	XUR07.XUR06ID IN
			(SELECT	XUR06.XUR06ID
			FROM	XUR06
			WHERE	XUR06.XUR01UserID = ParUserID);

--	Delete all objects for given user/group

		DELETE
		FROM	XUR06
		WHERE	XUR01UserID = ParUserID;

--	Delete the user/group

		BEGIN

			DELETE
			FROM	XUR01
			WHERE	XUR01UserID = ParUserID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_DelUser;

/*
Project:
	Empire Foundation Classes
Description:
	Disconnects user and object
Parameters:
	Existing user right values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 27.03.2001 Created
*/

	PROCEDURE sp_XUR_DelUserObject
		(ParXUR06ID	IN INTEGER,
		ParRC		OUT INTEGER)
	AS
	BEGIN

--	Delete all assigned rights

		DELETE
		FROM	XUR07
		WHERE	XUR06ID = ParXUR06ID;

--	Delete the user/object connection

		BEGIN

			DELETE
			FROM	XUR06
			WHERE	XUR06ID = ParXUR06ID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_DelUserObject;

/*
Project:
	Empire Foundation Classes
Description:
	Disconnects object, user and right
Parameters:
	Existing user right values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 27.03.2001 Created
*/

	PROCEDURE sp_XUR_DelUserRight
		(ParXUR06ID	IN INTEGER,
		ParRightsID	IN INTEGER,
		ParRC		OUT INTEGER)
	AS
	BEGIN

		BEGIN

			DELETE
			FROM	XUR07
			WHERE	XUR06ID = ParXUR06ID AND
				XUR03RightsID = ParRightsID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_DelUserRight;

/*
Project:
	Empire Foundation Classes
Description:
	Returns all groups that can be parent of given user/group
Parameters:
	ParUserID - ID of user or group
Return Value:
	None
Revision History:
	Jakub Janda 12.03.2001 Created
*/

	PROCEDURE sp_XUR_GetGroupsAll
		(ParUserID	IN INTEGER,
		ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XUR01UserID,
			XUR01Code,
			XUR01FirstName
		FROM	XUR01
		WHERE	XUR01UserID <> ParUserID AND
			XUR01Type > 0 AND
			XUR01Type < 3 AND
			XUR01UserID NOT IN	(SELECT	XUR04.XUR01ParentID
						FROM	XUR04
						WHERE	XUR01ChildID = ParUserID);

	END sp_XUR_GetGroupsAll;

/*
Project:
	Empire Foundation Classes
Description:
	Returns all groups that are parent of given user/group
Parameters:
	ParUserID - ID of user or group
Return Value:
	None
Revision History:
	Jakub Janda 13.03.2001 Created
*/

	PROCEDURE sp_XUR_GetGroupsParent
		(ParUserID	IN INTEGER,
		ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XUR01.XUR01UserID,
			XUR01.XUR01Code,
			XUR01.XUR01FirstName
		FROM	XUR01,
			XUR04
		WHERE	XUR01.XUR01UserID = XUR04.XUR01ParentID AND
			XUR04.XUR01ChildID = ParUserID;

	END sp_XUR_GetGroupsParent;

/*
Project:
	Empire Foundation Classes
Description:
	Returns all user rights objects
Parameters:
	None
Return Value:
	None
Revision History:
	Jakub Janda 12.03.2001 Created
*/

	PROCEDURE sp_XUR_GetObjects
		(ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XUR02ObjectID,
			XUR02ParentID,
			XUR02Code,
			XUR02Name
		FROM	XUR02;

	END sp_XUR_GetObjects;

/*
Project:
	Empire Foundation Classes
Description:
	Returns all rights assigned to given object and user
Parameters:
	ParObjectID	- ID of object to get rights for
	ParUserID	- ID of user to get rights for
Return Value:
	None
Revision History:
	Jakub Janda 19.03.2001 Created
*/

	PROCEDURE sp_XUR_GetObjectRights
		(ParObjectID	IN INTEGER,
		ParXUR06ID	IN INTEGER,
		ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XUR03.XUR03RightsID,
			NVL(XUR07.XUR07Type, -1) AS XUR07Type,
			XUR03.XUR03Code,
			XUR03.XUR03Name
		FROM	XUR03,
			XUR05,
			XUR07
		WHERE	XUR03.XUR03RightsID = XUR05.XUR03RightsID AND
			XUR03.XUR03RightsID = XUR07.XUR03RightsID(+) AND
			XUR05.XUR02ObjectID = ParObjectID AND
			XUR07.XUR06ID(+) = ParXUR06ID;

	END sp_XUR_GetObjectRights;

/*
Project:
	Empire Foundation Classes
Description:
	Returns all users/groups assigned to given object
Parameters:
	ParObjectID - ID of object to get users for
Return Value:
	None
Revision History:
	Jakub Janda 19.03.2001 Created
*/

	PROCEDURE sp_XUR_GetObjectUsers
		(ParObjectID	IN INTEGER,
		ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XUR06.XUR06ID,
			XUR01.XUR01UserID,
			XUR01.XUR01Code,
			XUR01.XUR01Type,
			XUR01.XUR01Status,
			XUR01.XUR01FirstName,
			XUR01.XUR01LastName,
			XUR01.XUR01PreTitle,
			XUR01.XUR01PostTitle
		FROM	XUR01,
			XUR06
		WHERE	XUR01.XUR01UserID = XUR06.XUR01UserID AND
			XUR06.XUR02ObjectID = ParObjectID;

	END sp_XUR_GetObjectUsers;

/*
Project:
	Empire Foundation Classes
Description:
	Returns all rights that can be assigned to given object
Parameters:
	ParObjectID	- ID of object to get assignable rights for
Return Value:
	None
Revision History:
	Jakub Janda 19.03.2001 Created
*/

	PROCEDURE sp_XUR_GetRights
		(ParObjectID	IN INTEGER,
		ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XUR03.XUR03RightsID,
			NVL(XUR05.XUR02ObjectID / XUR05.XUR02ObjectID, 0) AS XUR05Assignable,
			XUR03.XUR03Code,
			XUR03.XUR03Name
		FROM	XUR03,
			XUR05
		WHERE	XUR03.XUR03RightsID = XUR05.XUR03RightsID(+) AND
			XUR05.XUR02ObjectID(+) = ParObjectID;

	END sp_XUR_GetRights;

/*
Project:
	Empire Foundation Classes
Description:
	Returns all user rights
Parameters:
	None
Return Value:
	None
Revision History:
	Jakub Janda 26.03.2001 Created
*/

	PROCEDURE sp_XUR_GetRightsAll
		(ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XUR03.XUR03RightsID,
			XUR03.XUR03Code,
			XUR03.XUR03Name
		FROM	XUR03;

	END sp_XUR_GetRightsAll;

/*
Project:
	Empire Foundation Classes
Description:
	Gets informations about user
Parameters:
	UserCode - Code of user to get info for
Return Value:
	 1 - Success
	 0 - There are no users in database
	-1 - Failure
Revision History:
	Jakub Janda 14.07.2000 Created
*/

	PROCEDURE sp_XUR_GetUserInfo
		(ParUserCode	IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor)
	AS
		VarUserID	INTEGER;
		VarUserCount	INTEGER;
	BEGIN


--	Get the user ID

		BEGIN
			SELECT	XUR01UserID
			INTO	VarUserID
			FROM	XUR01
			WHERE	LOWER(LTRIM(RTRIM(XUR01Code))) = LOWER(LTRIM(RTRIM(ParUserCode))) AND
				XUR01Type = 0;

		EXCEPTION
			WHEN NO_DATA_FOUND THEN

--	Is this the first user?

				SELECT	COUNT(XUR01UserID)
				INTO	VarUserCount
				FROM	XUR01
				WHERE	XUR01Type = 0 AND
					XUR01Status = 1;

				IF VarUserCount < 1 THEN
					OPEN ParDefCursor FOR
					SELECT	0, 1, '`MSG\RIGHTS\USER\FIRST`', '', '', ''
					FROM	DUAL;

					RETURN;
				END IF;

				OPEN ParDefCursor FOR
				SELECT	-1, 0, '`MSG\RIGHTS\USER\INVALID`', '', '', ''
				FROM	DUAL;

				RETURN;

			WHEN OTHERS THEN
				OPEN ParDefCursor FOR
				SELECT	-1, 0, '`MSG\RIGHTS\USER\INVALID`', '', '', ''
				FROM	DUAL;

				RETURN;
		END;

--	User exists

		OPEN ParDefCursor FOR
		SELECT	XUR01UserID,
			XUR01Status,
			XUR01FirstName,
			XUR01LastName,
			XUR01PreTitle,
			XUR01PostTitle
		FROM	XUR01
		WHERE	XUR01UserID = VarUserID;

		RETURN;

	END sp_XUR_GetUserInfo;

/*
Project:
	Empire Foundation Classes
Description:
	Returns all users and groups in table
Parameters:
	None
Return Value:
	None
Revision History:
	Jakub Janda 12.03.2001 Created
*/

	PROCEDURE sp_XUR_GetUsers
		(ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
    SELECT XUR01UserID,
			       XUR01Code,
					   XUR01Type,
		         XUR01Status,
					   XUR01FirstName,
					   XUR01LastName,
					   XUR01PreTitle,
					   XUR01PostTitle,
					   XUR01Phone
      FROM XUR01;
	END sp_XUR_GetUsers;

/*
Project:
	Empire Foundation Classes
Description:
	Returns all users and groups that begins with given code
	and are not already assigned to given object
Parameters:
	None
Return Value:
	None
Revision History:
	Jakub Janda 12.03.2001 Created
*/

	PROCEDURE sp_XUR_GetUsersCode
		(ParObjectID	IN INTEGER,
		ParCode		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParDefCursor	IN OUT DefCursor)
	AS
	BEGIN

		OPEN ParDefCursor FOR
		SELECT	XUR01UserID,
			XUR01Code,
			XUR01Type,
			XUR01Status,
			XUR01FirstName,
			XUR01LastName,
			XUR01PreTitle,
			XUR01PostTitle
		FROM	XUR01
		WHERE	(ParCode IS NULL OR
			UPPER(XUR01.XUR01Code) LIKE UPPER(ParCode || '%')) AND
			(ParName IS NULL OR
			(XUR01Type = 0 AND
			UPPER(XUR01.XUR01LastName) LIKE UPPER(ParName || '%')) OR
			(XUR01Type <> 0 AND
			UPPER(XUR01.XUR01FirstName) LIKE UPPER(ParName || '%'))) AND
			XUR01.XUR01UserID NOT IN (	SELECT	XUR06.XUR01UserID
							FROM	XUR06
							WHERE	XUR06.XUR02ObjectID = ParObjectID);

	END sp_XUR_GetUsersCode;

/*
Project:
	Empire Foundation Classes
Description:
	Checks if user has right for given object
Parameters:
	UserID		- ID of user to check
	ObjectPath	- Path to object to check
	RightCode	- Code of right to check for
Return Value:
	 1 - User has right for given object
	 0 - User has not right for given object
	-1 - Failure
Revision History:
	Jakub Janda 14.07.2000 Created
*/

	PROCEDURE sp_XUR_CheckRight
		(ParUserID	IN INTEGER,
		ParObjectPath	IN VARCHAR2,
		ParRightsCode	IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarPos		INTEGER;
		VarCount	INTEGER;
		VarStatus	INTEGER;
		VarRightsID	INTEGER;
		VarNewID	INTEGER;
		VarObjectID	INTEGER;
		VarObjectCode	VARCHAR2(30);
		VarObjectPath	VARCHAR2(255);
	BEGIN


--	Check parameters

		IF ParUserID IS NULL OR RTRIM(ParRightsCode) IS NULL OR LENGTH(RTRIM(ParRightsCode)) <= 0 OR RTRIM(ParObjectPath) IS NULL OR LENGTH(RTRIM(ParObjectPath)) <= 0 THEN
			ParRC := -1;
			RETURN;
		END IF;


--	Get the ID of right

		BEGIN
			SELECT	XUR03RightsID
			INTO	VarRightsID
			FROM	XUR03
			WHERE	LOWER(LTRIM(RTRIM(XUR03Code))) = LOWER(LTRIM(RTRIM(ParRightsCode)));

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

--	Is the user enabled?

		SELECT	XUR01Status
		INTO	VarStatus
		FROM	XUR01
		WHERE	XUR01UserID = ParUserID;

		IF (VarStatus IS NULL) OR (VarStatus <> 1) THEN
			ParRC := 0;
			RETURN;
		END IF;

--	Is the user member of ADMIN group?

		SELECT	COUNT(XUR01.XUR01UserID)
		INTO	VarCount
		FROM	XUR01
		WHERE	XUR01.XUR01Type = 2 AND
			XUR01.XUR01UserID IN	(SELECT	XUR01ParentID UserID
						FROM	XUR04
						START WITH	XUR01ChildID = ParUserID AND
							        XUR01Status = 1
						CONNECT BY PRIOR XUR01ParentID = XUR01ChildID);

		IF VarCount > 0 THEN
			ParRC := 1;
			RETURN;
		END IF;


--	Go through all objects in path

		VarObjectID := NULL;
		VarObjectPath := UPPER(ParObjectPath);

		WHILE	LENGTH(RTRIM(VarObjectPath)) > 0 LOOP

--	Get the name of next object in path

			VarPos := INSTR(VarObjectPath, '\');

			IF VarPos > 0 THEN
				VarObjectCode := LTRIM(RTRIM(SUBSTR(VarObjectPath, 1, VarPos - 1)));
				VarObjectPath := SUBSTR(VarObjectPath, VarPos + 1, LENGTH(VarObjectPath) - VarPos);

			ELSIF VarPos = 0 THEN
				VarObjectCode := LTRIM(RTRIM(VarObjectPath));
				VarObjectPath := '';

			ELSE
				ParRC := -1;
				RETURN;
			END IF;

--	Get the ID of object

			BEGIN
				SELECT	XUR02ObjectID
				INTO	VarNewID
				FROM	XUR02
				WHERE	(XUR02ParentID = VarObjectID OR
					(XUR02ParentID IS NULL AND
                                        VarObjectID IS NULL)) AND
					UPPER(LTRIM(RTRIM(XUR02Code))) = VarObjectCode;

			EXCEPTION
				WHEN OTHERS THEN
					ParRC := -1;
					RETURN;
			END;

			VarObjectID := VarNewID;

--	Is the right granted?

			SELECT	COUNT(XUR06.XUR06ID)
			INTO	VarCount
			FROM	XUR06,
				XUR07
			WHERE	XUR06.XUR02ObjectID = VarObjectID AND
				XUR07.XUR03RightsID = VarRightsID AND
				XUR06.XUR06ID = XUR07.XUR06ID AND
				(XUR07.XUR07Type = 1 OR
				LENGTH(RTRIM(VarObjectPath)) <= 0 OR
				RTRIM(VarObjectPath) IS NULL) AND
				(XUR06.XUR01UserID IN	(SELECT	XUR01ParentID
							FROM	XUR04
							START WITH XUR01ChildID = ParUserID
							CONNECT BY PRIOR XUR01ParentID = XUR01ChildID) OR
				XUR06.XUR01UserID IN	(SELECT	XUR01UserID
							FROM	XUR01
							WHERE	XUR01UserID = ParUserID OR
							XUR01Type = 3));

			IF VarCount > 0 THEN
				ParRC := 1;
				RETURN;
			END IF;
		END LOOP;

		ParRC := 0;
		RETURN;

	END sp_XUR_CheckRight;

/*
Project:
	Empire Foundation Classes
Description:
	Adds group dependency
Parameters:
	New dependency values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 13.03.2001 Created
*/

	PROCEDURE sp_XUR_InsDependency
		(ParParentID	IN INTEGER,
		ParChildID	IN INTEGER,
		ParRC		OUT INTEGER)
	AS
	BEGIN

		BEGIN

			INSERT
			INTO	XUR04
				(XUR01ParentID,
				XUR01ChildID)
			VALUES	(ParParentID,
				ParChildID);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_InsDependency;

/*
Project:
	Empire Foundation Classes
Description:
	Adds user rights object
Parameters:
	New object values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 22.03.2001 Created
*/

	PROCEDURE sp_XUR_InsObject
		(ParParentID	IN INTEGER,
		ParCode		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarObjectID	INTEGER;
	BEGIN

		SELECT	SUR02.NEXTVAL
		INTO	VarObjectID
		FROM	DUAL;

		BEGIN

			INSERT
			INTO	XUR02
				(XUR02ObjectID,
				XUR02ParentID,
				XUR02Code,
				XUR02Name)
			VALUES	(VarObjectID,
				ParParentID,
				ParCode,
				ParName);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := VarObjectID;
		RETURN;

	END sp_XUR_InsObject;

/*
Project:
	Empire Foundation Classes
Description:
	Makes right possible to be chosen for given object
Parameters:
	New dependency values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 13.03.2001 Created
*/

	PROCEDURE sp_XUR_InsObjectRight
		(ParObjectID	IN INTEGER,
		ParRightsID	IN INTEGER,
		ParRC		OUT INTEGER)
	AS
	BEGIN

		BEGIN

			INSERT
			INTO	XUR05
				(XUR02ObjectID,
				XUR03RightsID)
			VALUES	(ParObjectID,
				ParRightsID);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_InsObjectRight;

/*
Project:
	Empire Foundation Classes
Description:
	Inserts new user right
Parameters:
	New right values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 26.03.2001 Created
*/

	PROCEDURE sp_XUR_InsRight
		(ParCode	IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarRightsID	INTEGER;
	BEGIN

		SELECT	SUR03.NEXTVAL
		INTO	VarRightsID
		FROM	DUAL;

		BEGIN

			INSERT
			INTO	XUR03
				(XUR03RightsID,
				XUR03Code,
				XUR03Name)
			VALUES	(VarRightsID,
				ParCode,
				ParName);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_InsRight;

/*
Project:
	Empire Foundation Classes
Description:
	Inserts new user/group to database
Parameters:
	New user/group values
Return Value:
	The new object's ID, -1 if error
Revision History:
	Jakub Janda 13.03.2001 Created
*/

	PROCEDURE sp_XUR_InsUser
	(ParCode	     IN VARCHAR2,
		ParType		   IN INTEGER,
		ParStatus	   IN INTEGER,
		ParFirstName IN VARCHAR2,
		ParLastName	 IN VARCHAR2,
		ParPreTitle	 IN VARCHAR2,
		ParPostTitle IN VARCHAR2,
  ParPhone     IN VARCHAR2,
		ParRC		    OUT INTEGER)
	AS
		VarUserID	INTEGER;
	BEGIN

		SELECT	SUR01.NEXTVAL
		INTO	VarUserID
		FROM	DUAL;

		BEGIN

			INSERT
			INTO	XUR01
				(XUR01UserID,
				XUR01Code,
				XUR01Type,
				XUR01Status,
				XUR01FirstName,
				XUR01LastName,
				XUR01PreTitle,
				XUR01PostTitle,
      XUR01Phone)
			VALUES	(VarUserID,
				ParCode,
				ParType,
				ParStatus,
				ParFirstName,
				ParLastName,
				ParPreTitle,
				ParPostTitle,
      ParPhone);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := VarUserID;
		RETURN;

	END sp_XUR_InsUser;

/*
Project:
	Empire Foundation Classes
Description:
	Connects object and user
Parameters:
	New user right values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 27.03.2001 Created
*/

	PROCEDURE sp_XUR_InsUserObject
		(ParUserID	IN INTEGER,
		ParObjectID	IN INTEGER,
		ParRC		OUT INTEGER)
	AS
		VarXUR06ID	INTEGER;
	BEGIN

		SELECT	SUR06.NEXTVAL
		INTO	VarXUR06ID
		FROM	DUAL;

		BEGIN

			INSERT
			INTO	XUR06
				(XUR06ID,
				XUR01UserID,
				XUR02ObjectID)
			VALUES	(VarXUR06ID,
				ParUserID,
				ParObjectID);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_InsUserObject;

/*
Project:
	Empire Foundation Classes
Description:
	Connects object, user and right
Parameters:
	New user right values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 27.03.2001 Created
*/

	PROCEDURE sp_XUR_InsUserRight
		(ParXUR06ID	IN INTEGER,
		ParRightsID	IN INTEGER,
		ParType		IN INTEGER,
		ParRC		OUT INTEGER)
	AS
		VarXUR07ID	INTEGER;
	BEGIN

		SELECT	SUR07.NEXTVAL
		INTO	VarXUR07ID
		FROM	DUAL;

		BEGIN

			INSERT
			INTO	XUR07
				(XUR07ID,
				XUR06ID,
				XUR03RightsID,
				XUR07Type)
			VALUES	(VarXUR07ID,
				ParXUR06ID,
				ParRightsID,
				ParType);

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;


	END sp_XUR_InsUserRight;

/*
Project:
	Empire Foundation Classes
Description:
	Checks if user is member of given group
Parameters:
	UserID		- ID of user to check
	Group		- Code of group to check for
Return Value:
	 1 - User is member of given group
	 0 - User is not member of given group
	-1 - Failure
Revision History:
	Jakub Janda 14.07.2000 Created
*/

	PROCEDURE sp_XUR_IsMember
		(ParUserID	IN INTEGER,
		ParGroup	IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
		VarCount	INTEGER;
	BEGIN

		SELECT	COUNT(XUR01.XUR01UserID)
		INTO	VarCount
		FROM	XUR01
		WHERE	XUR01.XUR01Type > 1 AND
			LOWER(LTRIM(RTRIM(XUR01Code))) = LOWER(LTRIM(RTRIM(ParGroup))) AND
			XUR01.XUR01UserID IN	(SELECT	XUR01ParentID UserID
						FROM	XUR04
						START WITH XUR01ChildID = ParUserID
						CONNECT BY PRIOR XUR01ParentID = XUR01ChildID);

		IF VarCount = 1 THEN
			ParRC := 1;
		ELSE
			ParRC := 0;
		END IF;

		RETURN;

	END sp_XUR_IsMember;

/*
Project:
	Empire Foundation Classes
Description:
	Updates user rights object
Parameters:
	Existing object values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 22.03.2001 Created
*/

	PROCEDURE sp_XUR_UpdObject
		(ParObjectID	IN INTEGER,
		ParParentID	IN INTEGER,
		ParCode		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
	BEGIN

		BEGIN

			UPDATE	XUR02
			SET	XUR02ParentID = ParParentID,
				XUR02Code = ParCode,
				XUR02Name = ParName
			WHERE	XUR02ObjectID = ParObjectID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_UpdObject;

/*
Project:
	Empire Foundation Classes
Description:
	Updates user right
Parameters:
	Existing right values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 26.03.2001 Created
*/

	PROCEDURE sp_XUR_UpdRight
		(ParRightsID	IN INTEGER,
		ParCode		IN VARCHAR2,
		ParName		IN VARCHAR2,
		ParRC		OUT INTEGER)
	AS
	BEGIN

		BEGIN

			UPDATE	XUR03
			SET	XUR03Code = ParCode,
				XUR03Name = ParName
			WHERE	XUR03RightsID = ParRightsID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_UpdRight;

/*
Project:
	Empire Foundation Classes
Description:
	Updates user/group in database
Parameters:
	Existing user/group values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 13.03.2001 Created
*/

	PROCEDURE sp_XUR_UpdUser
	(ParUserID	   IN INTEGER,
		ParCode		   IN VARCHAR2,
		ParType		   IN INTEGER,
		ParStatus	   IN INTEGER,
		ParFirstName IN VARCHAR2,
		ParLastName	 IN VARCHAR2,
		ParPreTitle	 IN VARCHAR2,
		ParPostTitle IN VARCHAR2,
  ParPhone     IN VARCHAR2,
		ParRC		    OUT INTEGER)
	AS
	BEGIN

		BEGIN

			UPDATE XUR01
			   SET XUR01Code = ParCode,
				     XUR01Type = ParType,
				     XUR01Status = ParStatus,
				     XUR01FirstName = ParFirstName,
				     XUR01LastName = ParLastName,
				     XUR01PreTitle = ParPreTitle,
				     XUR01PostTitle = ParPostTitle,
           XUR01Phone = ParPhone
			 WHERE XUR01UserID = ParUserID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_UpdUser;

/*
Project:
	Empire Foundation Classes
Description:
	Changes type of existing user right
Parameters:
	Existing user right values
Return Value:
	 1 - Success
	-1 - Failure
Revision History:
	Jakub Janda 29.03.2001 Created
*/

	PROCEDURE sp_XUR_UpdUserRight
		(ParXUR06ID	IN INTEGER,
		ParRightsID	IN INTEGER,
		ParType		IN INTEGER,
		ParRC		OUT INTEGER)
	AS
	BEGIN

		BEGIN

			UPDATE	XUR07
			SET	XUR07Type = ParType
			WHERE	XUR06ID = ParXUR06ID AND
				XUR03RightsID = ParRightsID;

		EXCEPTION
			WHEN OTHERS THEN
				ParRC := -1;
				RETURN;
		END;

		ParRC := 1;
		RETURN;

	END sp_XUR_UpdUserRight;

END EFC;
/
--
SPOOL OFF
